package com.daqing.financial.crms;


import com.daqing.framework.domain.crms.ext.*;
import com.daqing.framework.domain.crms.request.CustomerRequest;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author: gongsj.
 * @Description: 客户资源管理controllerApi定义
 * @Date:Created in 2020/09/09 14:33.
 * @Modified By:
 */
@Api(value = "客户资源管理", tags = "提供客户信息增删改查等相关方法")
public interface CustomerControllerApi {

    /**
     * 列表展示
     */
    @ApiOperation(value = "客户信息列表展示", notes = "客户信息列表展示",response = CustomerTO.class)
    ResponseResult queryList(Integer page, Integer size, CustomerRequest customerRequest);

    /**
     * 客户的详细信息
     */
    @ApiOperation(value = "客户的详细信息", notes = "客户的详细信息")
    ResponseResult queryDetails(Long id);

    /**
     * 删除所选客户
     */
    @ApiOperation(value = "删除所选客户", notes = "删除所选客户")
    ResponseResult deleteCustomer(Long[]  ids);

    /**
     * 新增个人类型客户信息
     */
    @ApiOperation(value = "新增个人类型客户信息", notes = "新增个人类型客户信息")
    ResponseResult savePersonal(CustomerPersonalTOI customerPersonalTOI);

    /**
     * 更新个人类型客户信息
     */
    @ApiOperation(value = "更新个人类型客户信息", notes = "更新个人类型客户信息")
    ResponseResult updatePersonal(CustomerPersonalTOU customerPersonalTOU);

    /**
     * 导入excel数据
     */
    @ApiOperation(value = "导入excel数据", notes = "导入excel数据")
    ResponseResult excelImportCustomer(MultipartFile file);

    /**
     * 导出数据到excel
     */
    @ApiOperation(value = "导出数据到excel", notes = "导出数据到excel")
    void excelExportCustomer(HttpServletResponse response);

    /**
     * 导出excel模板
     */
    @ApiOperation(value = "导出excel模板", notes = "导出excel模板")
    void excelTemplate(HttpServletResponse response);
}
