package com.daqing.financial.crms;

import com.daqing.framework.domain.crms.ext.CustomerCompanyTOI;
import com.daqing.framework.domain.crms.ext.CustomerCompanyTOU;
import com.daqing.framework.domain.crms.ext.CustomerPersonalTOI;
import com.daqing.framework.domain.crms.ext.CustomerPersonalTOU;
import com.daqing.framework.domain.crms.request.CustomerWorkbenchRequest;
import com.daqing.framework.domain.crms.response.CustomerWorkbenchListVO;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 工作台客户资源接口定义
 *
 * @auther River
 * @date 2020/10/19 10:24
 */
@Api(value = "工作台客户资源", tags = "提供工作台客户信息增删改查等相关方法")
public interface CustomerWorkbenchControllerApi {

    /**
     * 列表展示
     */
    @ApiOperation(value = "客户信息列表展示", notes = "客户信息列表展示",response = CustomerWorkbenchListVO.class)
    ResponseResult List(Integer page, Integer size, CustomerWorkbenchRequest customerWorkbenchRequest);

    /**
     * 详情
     */
    @ApiOperation(value = "详情",notes = "详情")
    ResponseResult info(Long id);

    /**
     * 删除
     */
    @ApiOperation(value = "删除",notes = "删除")
    ResponseResult delete(Long[] ids);

    /**
     * 新增个人
     */
    @ApiOperation(value = "新增个人类型客户信息", notes = "新增个人类型客户信息")
    ResponseResult savePersonal(CustomerPersonalTOI customerPersonalTOI);

    /**
     * 更新个人类型客户信息
     */
    @ApiOperation(value = "更新个人类型客户信息", notes = "更新个人类型客户信息")
    ResponseResult updatePersonal(CustomerPersonalTOU customerPersonalTOU);

    /**
     * 通过审核
     */
    @ApiOperation(value = "通过审核", notes = "通过审核")
    ResponseResult pass(Long id,Long manager);

    /**
     * 不通过
     */
    @ApiOperation(value = "不通过",notes = "不通过")
    ResponseResult noPass(Long id,String cause);

    /**
     * 获取当前客户部门经理的部门下所有客户经理
     */
    @ApiOperation(value = "获取当前客户部门经理的部门下所有客户经理",notes = "获取当前客户部门经理的部门下所有客户经理")
    ResponseResult getCustomerManager();
}
