package com.daqing.financial.hrauth;

import com.daqing.framework.domain.hrms.request.LoginRequest;
import com.daqing.framework.domain.hrms.request.ResetPwdRequest;
import com.daqing.framework.domain.hrms.request.UpdatePwdRequest;
import com.daqing.framework.domain.hrms.request.UserLoginRequest;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: gongsj.
 * @Description: 登录controllerApi定义
 * @Date:Created in 2020/09/07 11:33.
 * @Modified By:
 */
@Api(value = "登录相关操作", tags = "提供登录相关操作")
public interface UserLoginControllerApi {

    /**
     * 验证手机号及验证码
     */
    @ApiOperation(value = "验证手机号及验证码", notes = "验证手机号及验证码")
    ResponseResult verifyMobile(UserLoginRequest user);

    @ApiOperation(value = "重置密码")
    ResponseResult getBackPwd(ResetPwdRequest user);

    @ApiOperation(value = "登录")
    ResponseResult login(LoginRequest loginRequest);
    @ApiOperation(value = "修改超管员密码")
    ResponseResult updatePwd(UpdatePwdRequest user);

}
