package com.daqing.financial.hrms;

import com.daqing.framework.domain.hrms.PermissionEntity;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: gongsj.
 * @Description: 权限管理controllerApi定义
 * @Date:Created in 2020/09/11 11:13.
 * @Modified By:
 */
@Api(value = "权限管理相关操作", tags = "提供权限信息增删改查等相关方法")
public interface PermissionControllerApi {
    /**
     * 新增一条权限信息
     */
    @ApiOperation(value = "新增一条权限信息", notes = "新增一条权限信息")
    ResponseResult save(PermissionEntity permission);
    /**
     * 权限信息树形结构展示
     */
    @ApiOperation(value = "权限信息树形结构展示", notes = "权限信息树形结构展示")
    ResponseResult tree();

    /**
     * 拖拉拽重新排序，批量修改权限信息
     */
    @ApiOperation(value = "拖拉拽重新排序，批量修改权限信息", notes = "拖拉拽重新排序，批量修改权限信息")
    ResponseResult updateSort(PermissionEntity[] permissions);

    /**
     * 根据id查询权限详细信息
     */
    @ApiOperation(value = "根据id查询权限详细信息", notes = "根据id查询权限详细信息")
    ResponseResult info(Long id);

    /**
     * 根据id修改权限信息
     */
    @ApiOperation(value = "根据id修改权限信息", notes = "根据id修改权限信息")
    ResponseResult update(PermissionEntity permission);

    /**
     * 根据id数组批量删除权限信息
     */
    @ApiOperation(value = "根据id数组批量删除权限信息", notes = "根据id数组批量删除权限信息")
    ResponseResult delete(Long[] ids);
}
