package com.daqing.financial.hrms;

import com.daqing.framework.domain.hrms.ext.PositionVO;
import com.daqing.framework.domain.hrms.request.PositionRequest;
import com.daqing.framework.domain.hrms.response.PositionResponse;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: gongsj.
 * @Description: 职位信息管理controllerApi定义
 * @Date:Created in 2020/09/07 11:33.
 * @Modified By:
 */
@Api(value = "职位信息管理相关操作", tags = "提供职位信息增删改查等相关方法")
public interface PositionControllerApi {
    /**
     * 新增一条职位信息
     */
    @ApiOperation(value = "新增一条职位信息", notes = "新增一条职位信息")
    ResponseResult save(PositionRequest positionRequest);

    /**
     * 分页加条件查询职位信息
     */
    @ApiOperation(value = "分页加条件查询职位信息", notes = "分页加条件查询职位信息",response = PositionVO.class)
    ResponseResult list(Integer page, Integer size, String queryMsg);

    /**
     * 修改职位信息
     */
    @ApiOperation(value = "修改职位信息", notes = "修改职位信息")
    ResponseResult update(PositionRequest positionRequest);

    /**
     * 根据职位id查询职位信息详情
     */
    @ApiOperation(value = "根据职位id查询职位信息详情", notes = "根据职位id查询职位信息详情",response = PositionResponse.class)
    ResponseResult info(Long id);

    /**
     * 删除职位信息
     */
    @ApiOperation(value = "删除职位信息", notes = "删除职位信息")
    ResponseResult delete(Long[] ids);

    /**
     * 所有的职位id和名称
     */
    @ApiOperation(value = "所有的职位id和名称", notes = "所有的职位id和名称")
    ResponseResult listPositionIdAndName(List<Long> deptIds);

    /**
     * 所有的角色id和名称
     */
    @ApiOperation(value = "所有的角色id和名称", notes = "所有的角色id和名称")
    ResponseResult listRoleIdAndName();
}
