package com.daqing.financial.hrms;

import com.daqing.framework.domain.hrms.ext.EmployeeAndUserVO;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.http.HttpResponse;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @auther River
 * @date 2020/10/15 9:44
 */
@Api(value = "用户相关操作", tags = "提供工作台人力资源等相关方法")
public interface UserControllerApi {

    @ApiOperation(value = "用户详情", notes = "用户详情", response = EmployeeAndUserVO.class)
    ResponseResult info();

    @ApiOperation(value = "修改用户信息", notes = "修改用户信息")
    ResponseResult update(EmployeeAndUserVO employeeAndUserVO);

    @ApiOperation(value = "获取验证码", notes = "获取验证码")
    ResponseResult code(String phone);

    @ApiOperation(value = "修改密码", notes = "修改密码")
    ResponseResult updatePassword(String primaryPassword, String newPassword, String affirmNewPassword);

    @ApiOperation(value = "绑定手机号", notes = "绑定手机号")
    ResponseResult binding(String phone, String code);

    @ApiOperation(value = "取消微信绑定", notes = "取消微信绑定")
    ResponseResult cancel();

    @ApiOperation(value = "图像文件上传", notes = "图像文件上传")
    ResponseResult uploadFile(MultipartFile file);

    @ApiOperation(value = "更新员工图像(小程序端)", notes = "更新员工图像(小程序端)")
    ResponseResult updateHeadPortraitUrl(String headPortraitUrl);
}
