package com.daqing.financial.crms.controller;


import com.daqing.financial.crms.service.ICrmsCustomerRelatedService;
import com.daqing.framework.annotation.Log;
import com.daqing.framework.domain.crms.CrmsCustomerRelated;
import com.daqing.framework.enums.OperationType;
import com.daqing.framework.enums.OperationUnit;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 客户关联表 前端控制器
 * </p>
 *
 * @author Qyq
 * @since 2020-11-12
 */
@Api(tags = {"关联关系"})
@RestController
@RequestMapping("/crms-customer-related")
public class CrmsCustomerRelatedController {

    @Resource
    private ICrmsCustomerRelatedService crmsCustomerRelatedService;

    /**
     * 新增关联关系
     */
    @Log(detail = "新增关联关系",level = 3,operationUnit = OperationUnit.COMPANY,operationType = OperationType.INSERT)
    @PostMapping("/insertCustomerRelated")
    @ApiOperation(value = "新增关联关系")
    public ResponseResult insertCustomerRelated(@RequestBody List<CrmsCustomerRelated> relatedList) {
        return new ResponseResult<>().SUCCESS(crmsCustomerRelatedService.insertCustomerRelated(relatedList));
    }
}
