package com.daqing.financial.crms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.framework.domain.crms.CustomerEntity;
import com.daqing.framework.domain.crms.ext.ApplicationRecordPO;
import com.daqing.framework.domain.crms.ext.ApplyDetailPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 客户小程序认证(录入)
 *
 * @auther River
 * @date 2021/1/27 15:54
 */
@Mapper
public interface CustomerAppletDao extends BaseMapper<CustomerEntity> {

    Boolean saveCustomerIdAndUserId(@Param("customerId") Integer customerId, @Param("userId") Integer userId,
                                    @Param("type") Integer type);

    Integer getCustomerStatus(@Param("userId") Integer userId, @Param("type") Integer type);

    Integer getCustomerId(@Param("userId") Integer userId, @Param("type") Integer type);

    Boolean updateCustomer(@Param("customer") CustomerEntity customerEntity);

    Long getCompanyIdByCustomerId(Long customerId);

    Integer getCompanyId(Integer customerId);

    IPage<ApplicationRecordPO> getApplicationRecord(Page page, @Param("companyId")Integer companyId, @Param("status")Integer status);

    List<ApplicationRecordPO> getApplyMount(Integer companyId);

    Integer businessUnderwayCount(Integer companyId);

    ApplyDetailPO getApplyDetail(Integer id);

    String getAuditOpinion(Integer businessId);
}
