package com.daqing.financial.crms.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.framework.domain.crms.CustomerEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.crms.PersonalCustomerEntity;
import com.daqing.framework.domain.crms.request.CustomerRequest;
import com.daqing.framework.domain.crms.response.CustomerEntityResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 记录客户基本信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 09:57:32
 */
@Mapper
public interface CustomerDao extends BaseMapper<CustomerEntity> {

    IPage<CustomerEntityResponse> queryList(Page page, @Param("cr") CustomerRequest customerRequest);

    CustomerEntity queryCustomerById(Long id);

    boolean updateCustomerById(@Param("ids") List<Long> ids);

    List<String> queryCustomerNameById(@Param("ids") List<Long> ids);

    boolean saveCustomer(CustomerEntity customerEntity);

    boolean updateCustomer(CustomerEntity customerEntity);

    List<Long> listCustomerId();

    List<Long> listCompanyCustomerIds();

    List<CustomerEntity> queryCompanyCodeAndName(int type);

    String getCodeByType(Integer type);

    List<String> listCustomerName(Integer type);

    String getNameByCustomerId(Long CustomerId);

    String getSocialUnifiedCodeByCustomerId(Long customerId);

    List<String> listSocialUnifiedCode();
}
