package com.daqing.financial.crms.feign;

import com.daqing.framework.domain.hrms.EmployeeEntity;
import com.daqing.framework.domain.hrms.ext.EmployeeTO;
import com.daqing.framework.domain.hrms.ext.EmployeeVO;
import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * 这是一个声明式的远程调用
 */
@FeignClient("dq-financial-hrms")
public interface HrmsFeignService {

    @GetMapping("/hrms/dept/list")
    ResponseResult list(@RequestParam Map<String, Object> params);

    @GetMapping("/hrms/employee/getEmployeeAndDeptById") // 远程调用传递集合类型的参数必须以数组封装，不然会导致数据接收不完整
    ResponseResult<List<EmployeeTO>> getEmployeeAndDeptById(@RequestParam("ids") Long[] ids);

    @GetMapping("/hrms/employee/getEmployeeById")
    ResponseResult<EmployeeEntity> getEmployeeById(@RequestParam("id") Long id);

    @GetMapping("/hrms/employee/listEmployeeName")
    ResponseResult<List<EmployeeVO>> listEmployeeName();

    @GetMapping("/hrms/dept/listEmployeeById")
    ResponseResult<List<EmployeeEntity>> listEmployeeById(@RequestParam("id") Long id);
}
