package com.daqing.financial.crms.model.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 关联人/关联企业
 * </p>
 *
 * @author Qyq
 * @since 2020-11-13
 */
@Data
public class CrmsCompanyPersonalReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联人名称
     */
    @ApiModelProperty(value = "关联人名称")
    private String relatedName;

    /**
     * 联系地址
     */
    @ApiModelProperty(value = "联系地址")
    private String address;

    /**
     * 社会统一代码
     */
    @ApiModelProperty(value = "社会统一代码")
    private String socialUnifiedCode;

    /**
     * 注册资金（元）
     */
    @ApiModelProperty(value = "注册资金（元）")
    private String registeredCapital;

    /**
     * 注册时间
     */
    @ApiModelProperty(value = "注册时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String registeredTime;

    /**
     * 所属行业
     */
    @ApiModelProperty(value = "所属行业")
    private String industry;

    /**
     * 法人姓名
     */
    @ApiModelProperty(value = "法人姓名")
    private String legalPersonName;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;

    /**
     * 关联关系
     */
    @ApiModelProperty(value = "关联关系")
    private String relationship;

    /**
     * 股东情况
     */
    @ApiModelProperty(value = "股东情况")
    private String shareholdersSituation;

    /**
     * 婚姻状况,0:未婚,1:已婚,2:离异,3:再婚
     */
    @ApiModelProperty(value = "婚姻状况,0:未婚,1:已婚,2:离异,3:再婚")
    private Integer maritalStatus;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idCard;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    private Integer age;

    /**
     * 性别：1、男，0、女
     */
    @ApiModelProperty(value = "性别：1、男，0、女")
    private Integer gender;

    /**
     * 学历,0:本科,1:大专,2:高职,3:中专,4:其他
     */
    @ApiModelProperty(value = "学历,0:本科,1:大专,2:高职,3:中专,4:其他")
    private Integer education;

    /**
     * 工作单位
     */
    @ApiModelProperty(value = "工作单位")
    private String employer;

    /**
     * 职务
     */
    @ApiModelProperty(value = "职务")
    private String position;

    /**
     * 关联人类型
     */
    @ApiModelProperty(value = "关联人类型")
    private String type;

    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private Integer relatedCompanyId;
}
