package com.daqing.financial.crms.model.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 申请记录响应类
 *
 * @auther River
 * @date 2021/2/22 11:33
 */
@Data
@ToString
public class ApplicationRecordResponse implements Serializable {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("客户类型")
    private Integer type;

    @ApiModelProperty("贷款用途")
    private String amountWide;

    @ApiModelProperty("申请额度")
    private BigDecimal applyAmount;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("申请日期")
    private Date applyDate;

    @ApiModelProperty("申请期限")
    private String applyTime;

    @ApiModelProperty("状态,0:已完成,1:已受理,2:审核中,3:拒绝,4:驳回,5:撤销")
    private Integer status;
}
