package com.daqing.financial.crms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.crms.model.request.CompanyCustomerRequest;
import com.daqing.framework.domain.crms.ext.CustomerCompanyTOI;
import com.daqing.framework.domain.crms.ext.CustomerCompanyTOU;
import com.daqing.framework.domain.crms.ext.CustomerPersonalTOI;
import com.daqing.framework.domain.crms.ext.CustomerPersonalTOU;
import com.daqing.framework.domain.crms.request.CustomerRequest;
import com.daqing.framework.domain.crms.request.DgApplyAmountInfoRequest;
import com.daqing.framework.model.response.ResponseResult;
import com.daqing.framework.utils.PageUtils;
import com.daqing.framework.domain.crms.CustomerEntity;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 记录客户基本信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 09:57:32
 */
public interface CustomerService extends IService<CustomerEntity> {

    PageUtils queryList(Integer page, Integer size, CustomerRequest customerRequest);

    ResponseResult queryCustomerById(Long id);

    List<String> updateCustomerById(Long[] ids);

    boolean saveCustomerPersonal(CustomerPersonalTOI customerPersonalTOI);

    /*boolean saveCustomerCompany(CustomerCompanyTOI customerCompanyTOI);*/

    boolean updateCustomerPersonal(CustomerPersonalTOU customerPersonalTOU);

    /*boolean updateCustomerCompany(CustomerCompanyTOU customerCompanyTOU);*/

    void excelExportCustomer(HttpServletResponse response);

    ResponseResult excelImportCustomer(MultipartFile excel);

    void excelTemplate(HttpServletResponse response);

    ResponseResult queryCustomerInfoById(DgApplyAmountInfoRequest applyAmountInfo);

    List<CustomerEntity> queryCompanyCodeAndName(int type);

    boolean insertCompany(CompanyCustomerRequest companyCustomerReq);

    boolean updateCompanyNew(CompanyCustomerRequest companyCustomerReq);
}

