package com.daqing.financial.crms.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.crms.mapper.CrmsCompanyPersonalMapper;
import com.daqing.financial.crms.service.ICrmsCompanyPersonalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.framework.domain.crms.CrmsCompanyPersonal;
import com.daqing.framework.utils.PageUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 关联人/关联企业 服务实现类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-13
 */
@Service
public class CrmsCompanyPersonalServiceImpl extends ServiceImpl<CrmsCompanyPersonalMapper, CrmsCompanyPersonal> implements ICrmsCompanyPersonalService {
    @Override
    public PageUtils queryPage(Integer page, Integer size, Integer customerId) {
        //分页参数
        if (page <= 0) {
            page = 1;
        }
        if (size <= 0) {
            size = 10;
        }
        IPage<CrmsCompanyPersonal> positionVO = this.getBaseMapper().pageByCondition(new Page(page, size),customerId);

        return new PageUtils(positionVO);
    }

    @Override
    public boolean updateIsExistRelated(Integer id, Integer isExistRelated) {
        return this.getBaseMapper().updateIsExistRelated(id,isExistRelated);
    }

    @Override
    public CrmsCompanyPersonal selectById(Long id) {
        return this.getBaseMapper().selectById(id);
    }
}
