package com.daqing.financial.guarantee.controller;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.daqing.financial.guarantee.service.AlCollectionGroupService;
import com.daqing.financial.guarantee.util.R;
import com.daqing.framework.domain.guarantee.AlCollectionGroup;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 保后清收组 前端控制器
 * </p>
 *
 * @author lr
 * @since 2021-08-12
 */
@RestController
@Api(value = "保后清收组", tags = "清收组管理")
@RequestMapping("/al-collection-group")
public class AlCollectionGroupController {

    @Autowired
    private AlCollectionGroupService collectionGroupService;

    @ApiOperation(value = "添加或更新清收组")
    @PostMapping("/saveOrUpdate")
    public R saveOrUpdate(
            @ApiParam(name = "collectionGroup", value = "清收组信息", required = true)
            @RequestBody AlCollectionGroup collectionGroup) {
        String groupName = collectionGroup.getGroupName();
        QueryWrapper<AlCollectionGroup> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("group_name",groupName);
        AlCollectionGroup one = collectionGroupService.getOne(queryWrapper);
        if (ObjectUtil.isNotNull(one)){
            return R.error().message("组名已存在");
        }
        boolean add = collectionGroupService.saveOrUpdate(collectionGroup);
        return add ? R.ok() : R.error();
    }

    @ApiOperation(value = "清收组列表",response = IPage.class)
    @GetMapping("/list")
    public R list() {
        List<AlCollectionGroup> groupList = collectionGroupService.list();
        return R.ok().data("groupList",groupList);
    }

    @ApiOperation(value = "删除清收组")
    @PostMapping("/delete")
    public R delete(
            @ApiParam(name = "id", value = "id", required = true)
            @RequestParam Integer id) {
        boolean delete =  collectionGroupService.removeById(id);
        return delete ? R.ok() : R.error();
    }

}

