package com.daqing.financial.guarantee.controller;


import com.daqing.financial.guarantee.service.AlReimbursementService;
import com.daqing.financial.guarantee.util.R;
import com.daqing.framework.annotation.Log;
import com.daqing.framework.domain.guarantee.AlReimbursement;
import com.daqing.framework.enums.OperationType;
import com.daqing.framework.enums.OperationUnit;
import com.daqing.framework.model.response.ResponseResult;
import com.daqing.framework.utils.PageUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 保后代偿清收相关信息 前端控制器
 * </p>
 *
 * @author lr
 * @since 2021-08-12
 */
@Api(tags = {"保后代偿清收相关信息"})
@RestController
@RequestMapping("/al-reimbursement")
public class AlReimbursementController {

    @Autowired
    private AlReimbursementService reimbursementService;

    @GetMapping("/modifyReimbursement")
    @ApiOperation(value = "保后代偿清收是否修改")
    public R modifyReimbursement(
            @RequestParam(value = "id", required = false) Integer id,
            @RequestParam(value = "collectionGroupId", required = false) Integer collectionGroupId,
            @RequestParam(value = "personLiableId", required = false) Integer personLiableId){
        AlReimbursement reimbursement = reimbursementService.getById(id);
        if (!reimbursement.getCollectionGroupId().equals(collectionGroupId)||!reimbursement.getPersonLiableId().equals(personLiableId)){
            return R.ok().message("更换清收人或清收组会影响已生成的的年度统计信息，该清收负责人需手动重新生成！");
        }
        return R.ok();
    }
}

