package com.daqing.financial.guarantee.controller;


import com.daqing.financial.guarantee.model.request.CopyForMeRequest;
import com.daqing.financial.guarantee.model.response.CopyForMeResponse;
import com.daqing.financial.guarantee.service.IDgCopyUserService;
import com.daqing.financial.guarantee.util.R;
import com.daqing.financial.guarantee.util.TaskNodeUtil;
import com.daqing.framework.annotation.Log;
import com.daqing.framework.enums.OperationType;
import com.daqing.framework.enums.OperationUnit;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 抄送用户表 前端控制器
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Api(tags = {"抄送我的"})
@RestController
@RequestMapping("/dg-copy-user")
public class DgCopyUserController {

    @Autowired
    private IDgCopyUserService copyUserService;

    @Log(detail = "查询抄送我的",level = 4,operationUnit = OperationUnit.COPYFOR,operationType = OperationType.SELECT)
    @ApiOperation("查询抄送我的")
    @PostMapping("/queryCopyForMe")
    public R queryCopyForMe(@RequestBody CopyForMeRequest copyForMeRequest){
        List<CopyForMeResponse> copyForMeList = copyUserService.queryCopyForMe(copyForMeRequest);
        return R.ok().data("copyForMeList",copyForMeList).data("total",copyUserService.queryTotal(copyForMeRequest));
    }

    @Log(detail = "导出抄送我的列表",level = 4,operationUnit = OperationUnit.COPYFOR,operationType = OperationType.SELECT)
    @ApiOperation(value = "导出抄送我的列表")
    @GetMapping("/exportCopyForMe")
    public void queryCopyForMe(HttpServletResponse response){
        try {
            copyUserService.exportCopyForMe(response);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
