package com.daqing.financial.guarantee.controller;

import com.daqing.financial.guarantee.model.request.DgFormDesignRequest;
import com.daqing.financial.guarantee.model.response.DgFormDesignListResponse;
import com.daqing.financial.guarantee.service.IDgFormDesignService;
import com.daqing.framework.annotation.Log;
import com.daqing.framework.enums.OperationType;
import com.daqing.framework.enums.OperationUnit;
import com.daqing.framework.model.response.ResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 表单设计控制层
 *
 * @auther River
 * @date 2021/1/15 10:38
 */
@RestController
@RequestMapping("/form/design")
@Api(value = "表单设计", tags = "后台表单设计")
public class DgFormDesignController {


    @Autowired
    private IDgFormDesignService dgFormDesignService;

    /**
     * 列表
     */
    @Log(detail = "表单设计列表",level = 3,operationUnit = OperationUnit.FORMDESIGN,operationType = OperationType.SELECT)
    @GetMapping("/list")
    @ApiOperation(value = "根据节点id返回当前节点的表单字段", response = DgFormDesignListResponse.class)
    public ResponseResult list(@RequestParam("processId") Integer processId) {

        return ResponseResult.SUCCESS(dgFormDesignService.list(processId));
    }

    /**
     * 修改
     */
    @Log(detail = "修改表单设计",level = 4,operationUnit = OperationUnit.FORMDESIGN,operationType = OperationType.UPDATE)
    @PostMapping("/update")
    @ApiOperation(value = "修改操作")
    public ResponseResult update(@RequestBody DgFormDesignRequest dgFormDesignRequest) {

        Boolean result = dgFormDesignService.update(dgFormDesignRequest);

        return result ? ResponseResult.SUCCESS() : ResponseResult.FAIL();
    }
}
