package com.daqing.financial.guarantee.feign;

import com.daqing.framework.domain.crms.CrmsCompanyPersonal;
import com.daqing.framework.domain.crms.CrmsCustomerRelated;
import com.daqing.framework.domain.crms.request.DgApplyAmountInfoRequest;
import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


/**
 * 这是一个声明式的远程调用
 */
@FeignClient(value = "dq-financial-crms", contextId = "guaranteeToCrms")
public interface CrmsFeignService {

    /**
     * 根据客户编号/客户名称获取企业信息
     */
    @PostMapping("/crms/customer/queryCustomerInfoById")
    ResponseResult queryCustomerInfoById(@RequestBody DgApplyAmountInfoRequest applyAmountInfo);

    /**
     * 新增个人/企业关联人
     */
    @PostMapping("/crms-customer-related/insertCustomerRelated")
    ResponseResult insertCustomerRelated(@RequestBody List<CrmsCustomerRelated> relatedList);

    /**
     * 编辑是否存在关联人
     */
    @PostMapping("/crms-company-personal/updateIsExistRelated")
    ResponseResult updateIsExistRelated(@RequestParam("id")Integer id, @RequestParam("isExistRelated")Integer isExistRelated);

    /**
     * 个人/企业关联人列表
     */
    @GetMapping("/crms-company-personal/companyPersonalList")
    ResponseResult companyPersonalList(@RequestParam("page") Integer page, @RequestParam("size") Integer size, @RequestParam("customerId") Integer customerId);

}