package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.request.AlCollectionListRequest;
import com.daqing.financial.guarantee.model.response.MoreOverdueDetailResponse;
import com.daqing.financial.guarantee.model.response.OverdueDetailResponse;
import com.daqing.framework.domain.guarantee.AlCollection;
import com.daqing.framework.domain.guarantee.po.AlCollectionListPO;
import com.daqing.framework.domain.guarantee.po.AlCollectionPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 保后催收 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Mapper
public interface AlCollectionMapper extends BaseMapper<AlCollection> {

    IPage<AlCollectionPO> list(@Param("page") Page page, @Param("codeOrName") String codeOrName,
                               @Param("status") Integer status);

    // collection是个关键字,尽量不要用,特别是别名
    Boolean collection(@Param("ac") AlCollection alCollection);

    OverdueDetailResponse getOverdueDetailByInsuranceId(Integer insuranceId);

    Integer getCollectionCountByInsuranceId(Integer insuranceId);

    MoreOverdueDetailResponse moreOverdueDetail(Integer id);

    Integer getInsuranceIdById(Integer id);

    IPage<AlCollectionListPO> collectionList(@Param("page") Page page, @Param("acr") AlCollectionListRequest alCollectionListRequest);

    List<AlCollectionListPO> collectionListExcel(@Param("ids") List<Integer> ids,@Param("insuranceId")Integer insuranceId);
}
