package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.request.CollectionProgressReq;
import com.daqing.financial.guarantee.model.request.StatisticsListReq;
import com.daqing.financial.guarantee.model.response.CollectionProgressResp;
import com.daqing.framework.domain.guarantee.AlCollectionStatistics;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2021-08-19
 */
@Mapper
public interface AlCollectionStatisticsMapper extends BaseMapper<AlCollectionStatistics> {

    List<CollectionProgressResp> selectCollectionProgressPage(@Param(value = "cpr") CollectionProgressReq collectionProgressReq);

    int selectCollectionProgressPageTotal(@Param(value = "cpr") CollectionProgressReq collectionProgressReq);

    List<CollectionProgressResp> selectBatchData(@Param(value = "ids")List<String> idList);

    String selectJobNumber(Integer personLiableId);

    List<String> selectAnnualList();

    List<AlCollectionStatistics> selectAnnualStatisticsList(@Param(value = "slr")StatisticsListReq statisticsListReq);

    List<AlCollectionStatistics> selectAnnualStatisticsListByPersonSort();

    int selectAnnualStatisticsListTotal(@Param(value = "slr")StatisticsListReq statisticsListReq);

    int deleteAnnualStatistics(String year);

    int selectStatisticsYear(String year);

    int selectGenerateYear(String year);

    List<Integer> selectYearPerson(String year);

    void truncate();

    List<Integer> selectGroupList(Integer id);

    ArrayList<Integer> selectPerson();
}
