package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.AlRepaymentCountRes;
import com.daqing.financial.guarantee.model.response.AlRepaymentEntryListRes;
import com.daqing.financial.guarantee.model.response.AlRepaymentEntryRes;
import com.daqing.financial.guarantee.model.response.AlRepaymentRes;
import com.daqing.framework.domain.guarantee.AlRepaymentEntry;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 还款记录表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Mapper
public interface AlRepaymentEntryMapper extends BaseMapper<AlRepaymentEntry> {

    IPage<AlRepaymentEntryListRes> pageByCondition(Page page, String customerNumberOrName, Integer status, Integer insuranceId);

    List<AlRepaymentRes> selectListByIds(@Param("ids")List<String> ids,@Param("insuranceId")Integer insuranceId);

    List<AlRepaymentEntry> listAlRepayment();

    List<AlRepaymentEntry> listAlRepaymentByInsuranceId(Integer id);

    List<AlRepaymentCountRes> selectRepaymentList(Integer insuranceId);

    List<AlRepaymentEntryRes> selectOverDueDays();

    List<AlRepaymentEntryRes> selectBind();

    Integer compensationSituation(@Param("date")String date, @Param("insuranceId")Integer insuranceId);
}
