package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.BusinessApplicationListResponse;
import com.daqing.financial.guarantee.model.response.DgApplyAmountInfoResponse;
import com.daqing.framework.domain.guarantee.DgApplyAmountInfo;
import com.daqing.framework.domain.guarantee.DgApplyField;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 申请贷款信息 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgApplyAmountInfoMapper extends BaseMapper<DgApplyAmountInfo> {

    IPage<BusinessApplicationListResponse> pageByCondition(Page page, @Param("CustomerNumberOrName")String CustomerNumberOrName);

    List<BusinessApplicationListResponse> excelList();

    DgApplyAmountInfoResponse selectApplyAmountInfoById(Integer id);

    List<BusinessApplicationListResponse> selectListByIds(@Param("ids")List<String> ids,@Param("userId") Integer userId);

    DgApplyField queryApplyField();

    Boolean updateApplyField(@Param("af") DgApplyField dgApplyField);

    int selectBusinessTaday(String dateTime);

    String selectMaxBusinessTaday(String dateTime);

    List<Map<String, Integer>> getNewBusinessCount(@Param("beginTime") String beginTime, @Param("endTime") String endTime);

    /*List<Integer> getNewBusinessDate(@Param("beginTime") String beginTime, @Param("endTime") String endTime);*/

    Map<String, Integer> getTodayBusinessCount(@Param("today") String today);
}
