package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.AssetsInvestigationListResponse;
import com.daqing.financial.guarantee.model.response.DgAssetsInvestigationResponse;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.framework.domain.guarantee.DgAssetsInvestigation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资产调查 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-23
 */
@Mapper
public interface DgAssetsInvestigationMapper extends BaseMapper<DgAssetsInvestigation> {

    IPage<AssetsInvestigationListResponse> pageByCondition(Page page, String customerNumberOrName, List<String> roleIdlist, String userId, Integer status);

    DgAssetsInvestigationResponse selectInfoById(Integer id);

    List<AssetsInvestigationListResponse> selectListByIds(@Param("ids") List<String> ids, @Param("userId") Integer userId);

    List<DgNoticeListResponse> selectAssetsList(String userId, List<String> roleIdlist);
}
