package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.request.DgComplianceInvestigationRequest;
import com.daqing.financial.guarantee.model.response.DgComplianceInvestigationResponse;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.framework.domain.guarantee.DgComplianceInvestigation;
import com.daqing.framework.domain.guarantee.DgWorkConferenceConsider;
import com.daqing.framework.domain.guarantee.po.AttacheAndABUserIdPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 合规调查 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgComplianceInvestigationMapper extends BaseMapper<DgComplianceInvestigation> {

    IPage<DgComplianceInvestigationResponse> list(Page page, @Param("cr") DgComplianceInvestigationRequest dgComplianceInvestigationRequest,
                                                  @Param("roleIds") List<Integer> roleIds, @Param("userId") Integer userId);

    List<DgComplianceInvestigationResponse> listExcel(@Param("ids") List<Integer> ids,@Param("userId")Integer userId);

    Boolean survey(@Param("iid") Integer iid, @Param("opinion") String opinion, @Param("date") Date date,
                   @Param("userId") Integer userId, @Param("operationStatus") Integer operationStatus,
                   @Param("auditStatus") Integer auditStatus, @Param("fileUrl") String fileUrl);

    Boolean uploadAccessory(@Param("businessId") Integer businessId, @Param("fileUrl") String fileUrl);

    Boolean updateToAudit(@Param("businessId") Integer businessId, @Param("operationStatus") Integer operationStatus,
                          @Param("roleId") Integer roleId);

    DgComplianceInvestigation getComplianceInvestigation(Integer iid);

    Boolean updateAssign(@Param("iid") Integer iid, @Param("userId") Integer userId,
                         @Param("auditStatus") Integer auditStatus, @Param("operationStatus") Integer operationStatus);

    Boolean assign(@Param("dci") DgComplianceInvestigation dgComplianceInvestigation);

    Boolean check(@Param("iid") Integer iid, @Param("opinion") String opinion,
                  @Param("date") Date date, @Param("auditStatus") Integer auditStatus,
                  @Param("operationStatus") Integer operationStatus, @Param("userId") Integer userId);

    Integer getOperationStatusByBusinessId(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId);

    Integer getAuditStatusByBusinessId(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId);

    DgComplianceInvestigation queryDgComplianceInvestigation(Integer iid);

    Boolean insertWorkConferenceConsider(@Param("wcc") DgWorkConferenceConsider dgWorkConferenceConsider);

    Boolean updateAuditStatusByBusinessId(@Param("businessId") Integer businessId, @Param("auditStatus") Integer auditStatus);

    Boolean updateOperationStatusById(@Param("id") Integer id, @Param("operationStatus") Integer operationStatus,
                                      @Param("opinion") String opinion);

    Boolean updateBusinessStatusByBusinessId(@Param("businessId") Integer businessId, @Param("businessStatus") Integer businessStatus);

    Integer getGuaranteeId(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId);

    Integer getDgAssetsInvestigationId(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId);

    Integer countWorkConferenceConsider(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId);

    Integer countComplianceInvestigation(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId);

    Boolean updateWorkConferenceConsider(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId,
                                         @Param("auditStatus") Integer auditStatus, @Param("operationStatus") Integer operationStatus);

    Integer getAuditProcessLatestProcessIdByBusinessId(@Param("businessId") Integer businessId);

    Boolean updateDgComplianceInvestigationUserIdById(@Param("id") Integer id, @Param("userId") Integer userId);

    AttacheAndABUserIdPO getAttacheAndABByBusinessId(Integer businessId);

    List<DgNoticeListResponse> selectComplianceList(String userId, List<String> roleIdlist);

    Integer getCUserId(Integer businessId);
}
