package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.financial.guarantee.model.response.GuaranteeListResponse;
import com.daqing.framework.domain.guarantee.DgGuaranteeAssignUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 担保部记录 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgGuaranteeAssignUserMapper extends BaseMapper<DgGuaranteeAssignUser> {

    IPage<GuaranteeListResponse> pageByCondition(Page page,@Param("customerNumberOrName") String customerNumberOrName,@Param("roleIdlist") List<String> roleIdlist,@Param("userId") String userId,@Param("status") Integer status);

    List<GuaranteeListResponse> selectListByIds(@Param("ids") List<String> ids,@Param("userId") Integer userId);

    Boolean updateAuditStatusByBusinessId(@Param("businessId") Integer businessId, @Param("auditStatus") Integer auditStatus);

    Boolean updateOperationStatusById(@Param("businessId") Integer businessId, @Param("operationStatus") Integer operationStatus);

    List<DgNoticeListResponse> selectGuaranteeList(String userId, List<String> roleIdlist);
}
