package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.financial.guarantee.model.response.GuaranteeLetterDetailRes;
import com.daqing.financial.guarantee.model.response.GuaranteeLetterListResponse;
import com.daqing.framework.domain.guarantee.DgGuaranteeLetterAssignUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 担保函记录 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-12
 */
@Mapper
public interface DgGuaranteeLetterAssignUserMapper extends BaseMapper<DgGuaranteeLetterAssignUser> {

    IPage<GuaranteeLetterListResponse> pageByCondition(Page page, Integer userId, List<String> roleIdList, Integer status, String customerNumberOrName);

    List<GuaranteeLetterListResponse> selectBatchData(@Param("ids") List<String> idList,@Param("userId")Integer userId);

    GuaranteeLetterListResponse selectGuaranteeLetter(String businessId,String roleId);

    List<DgNoticeListResponse> selectGuaranteeLetterList(String userId, List<String> roleIdlist);

    GuaranteeLetterDetailRes selectGuaranteeLetterDetail(Integer id);
}
