package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.request.DgLoanCommitteeConsiderConsent;
import com.daqing.financial.guarantee.model.request.DgLoanCommitteeConsiderRequest;
import com.daqing.financial.guarantee.model.response.AuditOpinionResponse;
import com.daqing.financial.guarantee.model.response.DgLoanCommitteeConsiderResponse;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.framework.domain.guarantee.DgLoanCommitteeConsider;
import com.daqing.framework.domain.guarantee.po.AuditOpinionPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 贷审会审议 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgLoanCommitteeConsiderMapper extends BaseMapper<DgLoanCommitteeConsider> {

    IPage<DgLoanCommitteeConsiderResponse> list(Page page, @Param("codeOrName") String codeOrName, @Param("roleIds") List<Integer> roleIds,
                                                @Param("userId") Integer userId,@Param("status") Integer status);

    List<DgLoanCommitteeConsiderResponse> excelList(@Param("ids") List<Integer> ids,@Param("userId")Integer userId);

    Boolean check(@Param("lr") DgLoanCommitteeConsiderConsent dgLoanCommitteeConsiderConsent, @Param("userId") Integer userId,
                  @Param("status") Integer status, @Param("operatingStatus") Integer operatingStatus, @Param("date") Date date);

    Boolean TheJudgesDrawn(@Param("businessId") Integer businessId, @Param("allPerson") String allPerson);

    String getJudges(Integer id);

    AuditOpinionPO getAuditOpinion(Integer businessId);

    DgLoanCommitteeConsider query(Integer id);

    DgLoanCommitteeConsider getDgLoanCommitteeConsider(Integer id);

    Boolean updateAuditStatusByBusinessId(@Param("businessId") Integer businessId, @Param("status") Integer status);

    Boolean updateOperationStatusById(@Param("id") Integer id, @Param("operatingStatus") Integer operatingStatus,
                                      @Param("refuseOpinion") String opinion);

    Boolean updateGuaranteeLetterAssignUser(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId,
                                            @Param("auditStatus") Integer auditStatus, @Param("operatingStatus") Integer operatingStatus,
                                            @Param("auditOpinion") String auditOpinion);

    Boolean updateGuaranteeLetterAuditStatusByBusinessId(@Param("businessId") Integer businessId, @Param("auditStatus") Integer auditStatus);

    Integer getAuditStatus(Integer id);

    Boolean updateLoanCommitteeConsiderUserIdById(@Param("id") Integer id, @Param("userId") Integer userId);

    Integer countGuaranteeLetterAssignUser(@Param("businessId") Integer businessId, @Param("roleId") Integer roleId);

    List<DgNoticeListResponse> selectLoanCommitteeList(String userId, List<String> roleIdlist);
}
