package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.financial.guarantee.model.response.LoanNoticeDetailRes;
import com.daqing.financial.guarantee.model.response.LoanNoticeListResponse;
import com.daqing.framework.domain.guarantee.DgLoanNotice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 放款通知 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgLoanNoticeMapper extends BaseMapper<DgLoanNotice> {

    IPage<LoanNoticeListResponse> pageByCondition(Page page, List<String> roleIdList, Integer userId, Integer status, String customerNumberOrName);

    List<LoanNoticeListResponse> selectBatchData(@Param("ids") List<String> idList,@Param("userId")Integer userId);

    LoanNoticeListResponse selectLoanNotice(String businessId, String roleId);

    List<DgNoticeListResponse> selectLoanNoticeList(String userId, List<String> roleIdlist);

    LoanNoticeDetailRes selectLoanNoticeDetail(Integer id);
}
