package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.financial.guarantee.model.response.PaymentConfirmationDetailRes;
import com.daqing.financial.guarantee.model.response.PaymentConfirmationListResponse;
import com.daqing.framework.domain.guarantee.DgPaymentConfirmationConsider;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 回款确认 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgPaymentConfirmationConsiderMapper extends BaseMapper<DgPaymentConfirmationConsider> {

    IPage<PaymentConfirmationListResponse> pageByCondition(Page page, List<String> roleIdList , Integer userId , Integer status, String customerNumberOrName);

    List<PaymentConfirmationListResponse> selectBatchData(@Param("ids") List<String> idList,@Param("userId")Integer userId);

    List<DgNoticeListResponse> selectPaymentConfirmationList(String userId, List<String> roleIdlist);

    PaymentConfirmationDetailRes selectPaymentConfirmationDetail(Integer id);
}
