package com.daqing.financial.guarantee.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.framework.domain.guarantee.DgLoanCommitteeConsider;
import com.daqing.framework.domain.guarantee.DgWorkConferenceConsider;
import com.daqing.framework.domain.guarantee.po.DgWorkConferencePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 工作会审议 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Mapper
public interface DgWorkConferenceConsiderMapper extends BaseMapper<DgWorkConferenceConsider> {

    IPage<DgWorkConferencePO> list(Page page, @Param("codeOrName") String codeOrName, @Param("roleIds") List<Integer> roleIds,
                                   @Param("userId") Integer userId, @Param("status") Integer status);

    List<DgWorkConferencePO> excelList(@Param("ids") List<Integer> ids,@Param("userId")Integer userId);

    Boolean check(@Param("id") Integer id, @Param("userId") Integer userId, @Param("opinion") String opinion,
                  @Param("auditStatus") Integer auditStatus, @Param("operationStatus") Integer operationStatus,
                  @Param("date") Date date, @Param("joinJudge") String joinJudge);

    DgWorkConferenceConsider getWorkConferenceConsider(Integer id);

    Boolean insertLoanCommitteeConsider(@Param("lcc") DgLoanCommitteeConsider dgLoanCommitteeConsider);

    DgWorkConferenceConsider query(Integer id);

    Boolean updateAuditStatusByBusinessId(@Param("businessId") Integer businessId, @Param("auditStatus") Integer auditStatus);

    Boolean updateOperationStatusById(@Param("id") Integer id, @Param("operationStatus") Integer operationStatus,
                                      @Param("opinion") String opinion);

    Boolean updateOperationStatus(@Param("id") Integer id, @Param("operationStatus") Integer operationStatus);

    Boolean updateWorkConferenceUserIdById(@Param("id") Integer id, @Param("userId") Integer userId);

    List<DgNoticeListResponse> selectWorkConferenceList(String userId, List<String> roleIdlist);
}
