package com.daqing.financial.guarantee.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 催收列表请求参数
 *
 * @auther River
 * @date 2021/3/23 10:01
 */
@Data
@ToString
public class AlCollectionListRequest implements Serializable {

    @ApiModelProperty("page")
    private Integer page;

    @ApiModelProperty("size")
    private Integer size;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("开始时间")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("保后id")
    private Integer insuranceId;
}
