package com.daqing.financial.guarantee.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 催收请求参数
 *
 * @auther River
 * @date 2021/3/22 16:29
 */
@Data
@ToString
public class AlCollectionRequest implements Serializable {

    @ApiModelProperty("保后id")
    private Integer insuranceId;

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("催收方式：1->电话催收；2->上门/外访,3其他催收描述")
    @Min(value = 1, message = "参数格式不正确")
    @Max(value = 3, message = "参数格式不正确")
    private Integer collectionMethod;

    @ApiModelProperty("催收时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @NotNull(message = "请选择催收时间")
    private Date collectionTime;

    @ApiModelProperty("催收反馈")
    @NotNull(message = "请输入催收反馈")
    private String collectionFeedback;

    @ApiModelProperty("拜访人")
    @NotNull(message = "拜访人不能为空")
    private String visitor;

    @ApiModelProperty("其他催收描述")
    private String other;

    @ApiModelProperty("情况说明")
    @NotNull(message = "请输入情况说明")
    private String situationDescription;

    @ApiModelProperty("附件")
    @NotNull(message = "请上传催收附件")
    private String[] enclosureFiles;

}
