package com.daqing.financial.guarantee.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2021/1/18 9:57
 * @Version 1.0
 */
@Data
public class CopyForMeRequest {

    @ApiModelProperty(value = "当前页码,默认为第一页")
    private Integer page = 1;

    @ApiModelProperty(value = "每页记录数,默认显示10条")
    private Integer size = 10;

    @ApiModelProperty("申请时间,固定类型,0:今天,1:昨天,2:本周,3:本月,4:本年")
    private Integer createFixedTime;

    @ApiModelProperty("客户名称")
    private String clientName;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("起始时间")
    private String startTime;

    @ApiModelProperty("用户id")
    private Integer userId;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("结束时间")
    private String endTime;

}
