package com.daqing.financial.guarantee.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 业务效率个人请求参数
 *
 * @auther River
 * @date 2020/11/11 10:39
 */
@Data
@ToString
public class DgEfficiencyPersonRequest implements Serializable {

    @ApiModelProperty("申请时间,固定类型,0:今天,1:昨天,2:本周,3:本月,4:本年")
    private Integer createFixedTime;

    @ApiModelProperty("申请时间,自定义时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createCustomTime;

    @ApiModelProperty("流程状态,0->我发起,1->待审批,2->已审批,3->抄送我")
    private Integer flowStatus;

    @ApiModelProperty("提单人或者客户名称")
    private String empOrName;

    @ApiModelProperty("操作人id")
    private Integer personId;

    @ApiModelProperty("辅助字段,不用管,起始时间")
    private String startTime;

    @ApiModelProperty("辅助字段,不用管,结束时间")
    private String endTime;
}
