package com.daqing.financial.guarantee.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 业务效率团队请求参数
 *
 * @auther River
 * @date 2020/11/10 16:00
 */
@Data
@ToString
public class DgEfficiencyTeamRequest implements Serializable {

    @ApiModelProperty("申请时间,固定类型,0:今天,1:昨天,2:本周,3:本月,4:本年")
    private Integer createFixedTime;

    @ApiModelProperty("业务状态,0->已完成,1->已否决,3->进行中,4->已撤销")
    private Integer flowStatus;

    @ApiModelProperty("部门id")
    private Integer departmentId;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("起始时间")
    private String startTime;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("结束时间")
    private String endTime;
}
