package com.daqing.financial.guarantee.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 贷审会审议请求参数
 *
 * @auther River
 * @date 2020/11/24 14:27
 */
@Data
@ToString
public class DgLoanCommitteeConsiderRequest implements Serializable {

    @NotNull(message = "id不能为空")
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("议定事项")
    private String agreedItems;

    @ApiModelProperty("附加事项")
    private String additionalItems;

    @ApiModelProperty("贷款金额")
    private BigDecimal loanMoney;

    @ApiModelProperty("贷款期限")
    private String loanTern;

    @ApiModelProperty("同意")
    private String[] agreePersons;

    @ApiModelProperty("不同意")
    private String[] disagreePersons;

    @ApiModelProperty("附件")
    private String[] fileUrls;

    @ApiModelProperty("操作,1:通过,2:驳回,3:拒绝")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("贷审会通过时间")
    private Date passingTime;

    @ApiModelProperty("拒绝/驳回意见")
    private String refuseOpinion;
}
