package com.daqing.financial.guarantee.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 业务统计请求参数
 *
 * @auther River
 * @date 2020/11/5 14:39
 */
@Data
@ToString
public class DgStatisticsRequest implements Serializable {

    @ApiModelProperty("部门名称")
    private String deptId;

    @ApiModelProperty("业务类型")
    private String type;

    @ApiModelProperty("提单人员工id")
    private Integer empId;

    @ApiModelProperty("申请时间,固定类型,0:今天,1:昨天,2:本周,3:本月,4:本年")
    private Integer createFixedTime;

    @ApiModelProperty("客户名称或者编号")
    private String codeOrName;

    @ApiModelProperty("起始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

}
