package com.daqing.financial.guarantee.model.request;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.daqing.financial.guarantee.util.ExcelAttribute;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @Author chen
 * @DATE 2021/9/2 11:20
 * @Version 1.0
 */
@Data
public class ExcelImpInsuranceVO {

    //第几行
    @ExcelIgnore
    private Long index;

    @ExcelAttribute(sort = 0)
    @ApiModelProperty(value = "客户名称")
    @ExcelProperty(value = "客户名称",index = 0)
    private String customerName;

    @ExcelAttribute(sort = 1)
    @ExcelProperty(value = "贷款银行",index = 1)
    @ApiModelProperty(value = "贷款银行")
    private String bank;

    @ExcelAttribute(sort = 2)
    @ExcelProperty(value = "担保额度/贷款金额",index = 2)
    @ApiModelProperty(value = "担保额度/贷款金额")
    private String guaranteeAmount;

    @ExcelAttribute(sort = 3)
    @ExcelProperty(value = "贷款开始日期",index = 3)
    @ApiModelProperty(value = "贷款开始日期")
    private String loanStartTime;

    @ExcelAttribute(sort = 4)
    @ExcelProperty(value = "贷款结束日期",index = 4)
    @ApiModelProperty(value = "贷款结束日期")
    private String loanEndTime;

    @ExcelAttribute(sort = 5)
    @ExcelProperty(value = "担保期限",index = 5)
    @ApiModelProperty(value = "担保期限")
    private String guaranteeTime;

    @ExcelAttribute(sort = 6)
    @ExcelProperty(value = "业务类别",index = 6)
    @ApiModelProperty(value = "业务类别")
    private String businessType;

    @ExcelAttribute(sort = 7)
    @ExcelProperty(value = "贷款用途",index = 7)
    @ApiModelProperty(value = "贷款用途")
    private String amountWide;

    @ExcelAttribute(sort = 8)
    @ExcelProperty(value = "代偿金额",index = 8)
    @ApiModelProperty(value = "代偿金额")
    private String compensationAmount;

    @ExcelAttribute(sort = 9)
    @ExcelProperty(value = "代偿余额",index = 9)
    @ApiModelProperty(value = "代偿余额")
    private String compensatoryBalance;

    @ExcelAttribute(sort = 10)
    @ExcelProperty(value = "代偿时间",index = 10)
    @ApiModelProperty(value = "代偿时间")
    private String compensatoryTime;

    @ExcelAttribute(sort = 11)
    @ExcelProperty(value = "清收负责人",index = 11)
    @ApiModelProperty(value = "清收负责人")
    private String personLiable;

    @ExcelAttribute(sort = 12)
    @ExcelProperty(value = "所属清收组",index = 12)
    @ApiModelProperty(value = "所属清收组")
    private String collectionGroup;

    @ExcelAttribute(sort = 13)
    @ExcelProperty(value = "所在区域",index = 13)
    @ApiModelProperty(value = "所在区域")
    private String area;

    @ExcelAttribute(sort = 14)
    @ExcelProperty(value = "经营情况",index = 14)
    @ApiModelProperty(value = "经营情况")
    private String operation;

    @ExcelAttribute(sort = 15)
    @ExcelProperty(value = "诉讼情况",index = 15)
    @ApiModelProperty(value = "诉讼情况")
    private String litigation;

    @ExcelAttribute(sort = 16)
    @ExcelProperty(value = "抵押情况",index = 16)
    @ApiModelProperty(value = "抵押情况")
    private String mortgage;

    @ApiModelProperty("失败原因")
    @ExcelAttribute(sort = 17)
    @ExcelProperty(value = "失败原因",index = 17)
    private String failureMsg;

}
