package com.daqing.financial.guarantee.model.request;

import com.daqing.framework.domain.guarantee.DgAssetsAssessmentAssetsLog;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author chen
 * @DATE 2020/11/12 17:14
 * @Version 1.0
 */
@Data
public class InvestigateAssetsRequest {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "状态 0：待指派；1：审核中；2：已审核；3：拒绝；4：驳回；5：已撤销；6：草稿；")
    private Integer status;

    @ApiModelProperty(value = "审核意见")
    private String applyContent;

    @ApiModelProperty(value = "附件")
    private String[] file;

    @ApiModelProperty(value = "资产评估报告（名称）")
    private String assetsName;

    @ApiModelProperty(value = "资产评估报告编号")
    private String assetsCode;

    @ApiModelProperty(value = "评估日期")
    private Date assetsTime;

    @ApiModelProperty(value = "评估价值")
    private String[] assetsAmount;

    @ApiModelProperty(value = "房产价值")
    private BigDecimal houseMoney;
    @ApiModelProperty(value = "车辆价值")
    private BigDecimal carMoney;
    @ApiModelProperty(value = "设备价值")
    private BigDecimal equipmentMoney;
    @ApiModelProperty(value = "其他价值")
    private BigDecimal otherMoney;



    @ApiModelProperty(value = "合计")
    private BigDecimal amountSum;

    @ApiModelProperty(value = "审计报告（名称）")
    private String auditName;

    @ApiModelProperty(value = "审计编号")
    private String auditCode;

    @ApiModelProperty(value = "审计日期")
    private Date auditTime;

    @ApiModelProperty(value = "审计价值（万元）")
    private BigDecimal auditAmount;

    @ApiModelProperty(value = "评估价值列表")
    private List<DgAssetsAssessmentAssetsLog> assessmentList;

    @ApiModelProperty(value = "反担保措施（中划线隔开）")
    private String[] enGuaranteeMeasures;

    @ApiModelProperty(value = "反担保措施描述")
    private String description;

}
