package com.daqing.financial.guarantee.model.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author chen
 * @DATE 2020/11/12 17:14
 * @Version 1.0
 */
@Data
public class InvestigateGuaranteeRequest implements Serializable {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "状态 0：待指派；1：审核中；2：已审核；3：拒绝；4：驳回；5：已撤销；6：草稿；")
    private Integer status;

    @ApiModelProperty(value = "审核意见")
    private String applyContent;

    @ApiModelProperty(value = "营业执照复印件")
    private String[] businessLicense;

    @ApiModelProperty(value = "上传法定代表人夫妻及企业实际经营者身份证复印件")
    private String[] legalCardCopy;

    @ApiModelProperty(value = "法定代表人夫妻户口本，结婚证（离婚证）复印件")
    private String[] marriageCopy;

    @ApiModelProperty(value = "法定代表人身份证明")
    private String[] legalCopy;

    @ApiModelProperty(value = "公司章程")
    private String[] companyConstitution;

    @ApiModelProperty(value = "会计师事务所审计的上一年度及本年度审计报告")
    private String[] accountingFirm;

/*    @ApiModelProperty(value = "企业信用报告")
    private List<String> companyCreditList;

    @ApiModelProperty(value = "企业法人夫妇信用报告，实际经营者信用报告")
    private List<String> creditReportList;

    @ApiModelProperty(value = "征信业务授权书，承诺书")
    private List<String> certificateAuthorizationList;

    @ApiModelProperty(value = "增值税纳税申报表首表复印件/完税证明")
    private List<String> taxCertificateList;*/

    @ApiModelProperty(value = "股东会会议纪要")
    private String[] meetingMinutes;

/*    @ApiModelProperty(value = "反担保资料和评估报告")
    private List<String> assessmentReportList;*/

    @ApiModelProperty(value = "谈话纪要")
    private String[] conversationSummary;

    @ApiModelProperty(value = "考察照片")
    private String[] inspectionPhotos;

    @ApiModelProperty(value = "区分保存和提交按钮")
    private Integer isSaveOrCommit;


}
