package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.daqing.framework.utils.excel.CollectionListConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 催收列表返回类
 *
 * @auther River
 * @date 2021/3/23 10:39
 */
@Data
@ToString
public class AlCollectionListResponse extends BaseRowModel implements Serializable {

    @ExcelIgnore
    @ApiModelProperty("id")
    private Integer id;

    @ExcelProperty(value = "业务编号", index = 0)
    @ApiModelProperty("业务编号")
    private String code;

    @ExcelProperty(value = "客户名称", index = 1)
    @ApiModelProperty("客户名称")
    private String name;

    @ExcelProperty(value = "逾期金额(元)", index = 2)
    @ApiModelProperty("逾期金额")
    private BigDecimal overdueAmount;

    @ExcelProperty(value = "逾期利息(元)", index = 3)
    @ApiModelProperty("逾期利息")
    private BigDecimal overdueInterest;

    @ExcelProperty(value = "其他费用(元)", index = 4)
    @ApiModelProperty("其他费用")
    private BigDecimal otherExpenses;

    @ExcelProperty(value = "逾期次数", index = 5)
    @ApiModelProperty("逾期次数")
    private Integer overduePeriods;

    @ExcelProperty(value = "催收方法", index = 6,converter = CollectionListConverter.class)
    @ApiModelProperty("催收方式：1->电话催收；2->上门/外访；")
    private Integer collectionMethod;

    @ExcelProperty(value = "催收人", index = 7)
    @ApiModelProperty("催收人")
    private String collectionUserName;

    @ExcelProperty(value = "催收时间", index = 8)
    @ApiModelProperty("催收时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date collectionTime;

    @ExcelProperty(value = "催收反馈", index = 9)
    @ApiModelProperty("催收反馈")
    private String collectionFeedback;

}
