package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.daqing.framework.utils.excel.CollectionConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 催收管理列表返回类
 *
 * @auther River
 * @date 2021/3/19 16:14
 */
@Data
@ToString
public class AlCollectionResponse extends BaseRowModel implements Serializable {

    @ExcelIgnore
    @ApiModelProperty("id")
    private Integer id;

    @ExcelProperty(value = "业务编号", index = 0)
    @ApiModelProperty("业务编号")
    private String code;

    @ExcelProperty(value = "客户名称", index = 1)
    @ApiModelProperty("客户名称")
    private String name;

    @ExcelProperty(value = "联系电话", index = 2)
    @ApiModelProperty("联系电话")
    private String phone;

    @ExcelProperty(value = "业务类别", index = 3)
    @ApiModelProperty("业务类别")
    private String type;

    @ExcelProperty(value = "担保额度(元)", index = 4)
    @ApiModelProperty("担保额度")
    private BigDecimal amount;

    @ExcelProperty(value = "逾期期数", index = 5)
    @ApiModelProperty("逾期期数")
    private Integer overduePeriods;

    @ExcelProperty(value = "逾期额度(元)", index = 6)
    @ApiModelProperty("逾期额度")
    private BigDecimal overdueAmount;

    @ExcelProperty(value = "逾期利息(元)", index = 7)
    @ApiModelProperty("逾期利息")
    private BigDecimal overdueInterest;

    @ExcelProperty(value = "所属部门", index = 8)
    @ApiModelProperty("所属部门")
    private String department;

    @ExcelProperty(value = "催收次数", index = 9)
    @ApiModelProperty("催收次数")
    private Integer numberOfCollection;

    @ExcelProperty(value = "还款状态", index = 10, converter = CollectionConverter.class)
    @ApiModelProperty("状态,1->还款中;2->已逾期;3->已还清;4->已结项")
    private Integer status;
}
