package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.metadata.BaseRowModel;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 还款记录表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
public class AlRepaymentCountRes extends BaseRowModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 保后外键id
     */
    private Integer insuranceId;

    /**
     * 还款期数
     */
    private Integer repaymentSum;

    /**
     * 担保额度
     */
    private BigDecimal guaranteeAmount;

    /**
     * 还款额度
     */
    private BigDecimal alreadyPaymentSum;

    /**
     * 剩余额度
     */
    private BigDecimal remainSum;

    /**
     * 创建时间
     */
    @TableField(fill= FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField(fill= FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
