package com.daqing.financial.guarantee.model.response;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 还款记录表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
public class AlRepaymentEntryListRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 保后外键id
     */
    private Integer insuranceId;

    /**
     * 应还款日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date repaymentDate;

    /**
     * 实际还款日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date actualRepaymentDate;

    /**
     * 逾期天数
     */
    private Integer overdueDays;

    /**
     * 还款总额（元）
     */
    private BigDecimal totalRepayment;

    /**
     * 本次还款（元）
     */
    private BigDecimal currentRepayment;

    /**
     * 利息（元）
     */
    private BigDecimal interest;

    /**
     * 其他费用（元）
     */
    private BigDecimal otherExpenses;

    /**
     * 减免金额（元）
     */
    private BigDecimal deductionAmount;

    /**
     * 还款备注
     */
    private String repaymentNotes;

    /**
     * 还款状态：1->待还款；2->已还款；3->已逾期；4->未到期；
     */
    private Integer repaymentStatus;

    /**
     * 提交人id
     */
    private Integer submitterId;

    /**
     * 提交人名称
     */
    private String submitterName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField(fill= FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField(fill= FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date updateTime;
    /**
     * 担保额度（元）
     */
    private Double guaranteeAmount;
}
