package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.metadata.BaseRowModel;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 还款记录表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
public class AlRepaymentEntryRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 保后外键id
     */
    private Integer insuranceId;

    /**
     * 应还款日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date repaymentDate;

    /**
     * 逾期天数
     */
    private Integer overdueDays;

    /**
     * 实际还款日
     */
    private Date actualRepaymentDate;

    /**
     * 剩余额度
     */
    private BigDecimal remainAmount;

    /**
     * 创建时间
     */
    @TableField(fill= FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField(fill= FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
