package com.daqing.financial.guarantee.model.response;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 资产调查
 * </p>
 *
 * @author Qyq
 * @since 2020-11-23
 */
@Data
@TableName("dg_assets_investigation")
public class AssetsInvestigationResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 资产评估报告（名称）
     */
    private String assetsName;

    /**
     * 资产评估报告编号
     */
    private String assetsCode;

    /**
     * 评估日期
     */
    private Date assetsTime;

    /**
     * 评估价值
     */
    private String assetsAmount;

    /**
     * 合计
     */
    private BigDecimal amountSum;

    /**
     * 审计报告（名称）
     */
    private String auditName;

    /**
     * 审计编号
     */
    private String auditCode;

    /**
     * 审计日期
     */
    private Date auditTime;

    /**
     * 审计价值（万元）
     */
    private BigDecimal auditAmount;

    /**
     * 反担保措施
     */
    private String guaranteeMeasures;

    /**
     * 附件
     */
    private String file;
}
