package com.daqing.financial.guarantee.model.response;

import com.daqing.framework.domain.guarantee.DgBusinessCompany;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.LinkedHashMap;

/**
 * AB角合规调查等审核意见、审核人、时间
 *
 * @auther River
 * @date 2020/11/25 16:01
 */
@Data
@ToString
public class AuditOpinionResponse implements Serializable {

    @ApiModelProperty("担保A角调查意见")
    private String aAuditOpinion;

    @ApiModelProperty("A角姓名")
    private String aName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("A角调查时间")
    private Date aTime;

    @ApiModelProperty("担保B角调查意见")
    private String bAuditOpinion;

    @ApiModelProperty("B角姓名")
    private String bName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("B角调查时间")
    private Date bTime;

    @ApiModelProperty("资产审核意见")
    private String assetAuditOpinion;

    @ApiModelProperty("资产姓名")
    private String assetName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("资产审核时间")
    private Date assetTime;

    @ApiModelProperty("信息审核意见")
    private String messageAuditOpinion;

    @ApiModelProperty("信息姓名")
    private String messageName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("信息审核时间")
    private Date messageTime;

    @ApiModelProperty("法规审核意见")
    private String regulationAuditOpinion;

    @ApiModelProperty("法规姓名")
    private String regulationName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("法规审核时间")
    private Date regulationTime;

    /**
     * 业务申请详细
     */
    @ApiModelProperty(value = "业务申请详细")
    private DgApplyAmountInfoResponse dgApplyAmountInfo;

    /**
     * 企业详细
     */
/*    @ApiModelProperty(value = "企业详细")
    private LinkedHashMap linkedHashMap;*/

    @ApiModelProperty(value = "企业详细")
    private DgBusinessCompany dgBusinessCompany;
}
