package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.daqing.framework.utils.excel.ApprovalStatusConverter;
import com.daqing.framework.utils.excel.BusinessStatusConverter;
import com.daqing.framework.utils.excel.OperatingStatusConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ToString
public class BusinessApplicationExportResponse extends BaseRowModel implements Serializable {

  /*  *//**
     * 主键id
     *//*
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    *//**
     * 企业id
     *//*
    @ApiModelProperty(value = "企业id")
    private Integer companyId;

    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    *//**
     * 提单人id
     *//*
    @ApiModelProperty(value = "提单人id")
    private Integer presenterId;*/

    /**
     * 业务编号
     */
    @ExcelProperty(value = "业务编号",index = 0)
    @ApiModelProperty(value = "业务编号")
    private String businessCode;

    /**
     * 客户名称
     */
    @ExcelProperty(value = "客户名称",index = 1)
    @ApiModelProperty(value = "客户名称")
    private String name;

    /**
     * 联系电话
     */
    @ExcelProperty(value = "联系电话",index = 2)
    @ApiModelProperty(value = "联系电话")
    private String phone;
    /**
     * 业务类型
     */
    @ExcelProperty(value = "业务类别",index = 3)
    @ApiModelProperty(value = "业务类型")
    private String businessType;
    /**
     * 申请额度
     */
    @ExcelProperty(value = "申请额度",index = 4)
    @ApiModelProperty(value = "申请额度")
    private BigDecimal applyAmount;

    /**
     * 申请期限
     */
    @ExcelProperty(value = "申请期限",index = 5)
    @ApiModelProperty(value = "申请期限")
    private String applyTime;

    /**
     * 申请时间
     */
    @ExcelProperty(value = "申请日期",index = 6)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "申请时间")
    private Date createTime;

    @ApiModelProperty("审核状态")
    @ExcelProperty(value = "审核状态",index = 7,converter = ApprovalStatusConverter.class)
    private Integer status;

    @ApiModelProperty("业务状态")
    @ExcelProperty(value = "业务状态",index = 8,converter = BusinessStatusConverter.class)
    private Integer businessStatus;

    @ApiModelProperty("操作状态")
    @ExcelProperty(value = "操作状态",index = 9,converter = OperatingStatusConverter.class)
    private Integer operatingStatus;

    /**
     * 提单人
     */
    @ExcelProperty(value = "提单人",index = 10)
    @ApiModelProperty(value = "提单人")
    private String account;

    /**
     * 部门名称
     */
    @ExcelProperty(value = "部门名称",index = 11)
    @ApiModelProperty(value = "部门名称")
    private String deptName;

}
