package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author chen
 * @DATE 2021/8/20 15:11
 * @Version 1.0
 */
@Data
public class CollectionProgressResp {

    @ApiModelProperty(value = "主键id")
    @ExcelIgnore
    private Integer id;

    @ApiModelProperty(value = "业务编号")
    @ExcelProperty(value = "业务编号",index = 0)
    private String businessCode;

    @ApiModelProperty(value = "客户名称")
    @ExcelProperty(value = "企业名称",index = 1)
    private String customerName;

    @ApiModelProperty(value = "法人-姓名")
    @ExcelProperty(value = "法定代表人",index = 2)
    private String legalName;

    @ApiModelProperty(value = "联系电话")
    @ExcelProperty(value = "联系电话",index = 3)
    private String phone;

    @ApiModelProperty(value = "贷款银行（用中划线隔开）")
    @ExcelProperty(value = "贷款银行",index = 4)
    private String bank;

    @ApiModelProperty(value = "贷款金额（元）")
    @ExcelProperty(value = "贷款金额（元）",index = 5)
    private BigDecimal guaranteeAmount;

    @ApiModelProperty(value = "贷款期限")
    @ExcelProperty(value = "贷款期限",index = 6)
    private String guaranteeTime;

    @ApiModelProperty(value = "代偿时间")
    @ExcelProperty(value = "代偿时间",index = 7)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date compensatoryTime;

    @ApiModelProperty(value = "代偿金额（元）")
    @ExcelProperty(value = "代偿金额（元）",index = 8)
    private BigDecimal compensationAmount;

    @ApiModelProperty(value = "代偿余额（元）")
    @ExcelProperty(value = "代偿余额（元）",index = 9)
    private BigDecimal compensatoryBalance;

    @ApiModelProperty(value = "抵押情况")
    @ExcelProperty(value = "抵押情况",index = 10)
    private String mortgage;

    @ApiModelProperty(value = "诉讼情况")
    @ExcelProperty(value = "诉讼情况",index = 11)
    private String litigation;

    @ApiModelProperty(value = "经营情况")
    @ExcelProperty(value = "经营情况",index = 12)
    private String operation;

    @ApiModelProperty(value = "所在区域")
    @ExcelProperty(value = "所在区域",index = 13)
    private String area;

    @ApiModelProperty(value = "清偿方式")
    @ExcelProperty(value = "清偿方式",index = 14)
    private String repaymentMethod;

    @ApiModelProperty(value = "清收负责人")
    @ExcelProperty(value = "清收负责人",index = 15)
    private String personLiable;

    @ApiModelProperty(value = "备注")
    @ExcelProperty(value = "备注",index = 16)
    private String repaymentNotes;

}
