package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.daqing.framework.utils.excel.BusinessStatusConverter;
import com.daqing.framework.utils.excel.TaskNodeConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author chen
 * @DATE 2021/1/18 9:56
 * @Version 1.0
 */
@Data
public class CopyForMeResponse {

    @ExcelIgnore
    @ApiModelProperty(value = "提单人id")
    private Integer applicantId;

    @ExcelIgnore
    @ApiModelProperty(value = "审批人id")
    private Integer approveId;

    @ApiModelProperty(value = "提单人")
    @ExcelProperty(value = "提单人",index = 0)
    private String applicant;

    @ApiModelProperty("客户名称")
    @ExcelProperty(value = "客户名称",index = 1)
    private String clientName;

    @ApiModelProperty("申请日期")
    @ExcelProperty(value = "申请日期",index = 2)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date applicationDate;

    @ApiModelProperty("任务节点")
    @ExcelProperty(value = "任务节点",index = 3,converter = TaskNodeConverter.class)
    private String taskNode;

    @ApiModelProperty("完成时间")
    @ExcelProperty(value = "完成时间",index = 4)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date approveDate;

    @ApiModelProperty("业务状态")
    @ExcelProperty(value = "业务状态",index = 5,converter = BusinessStatusConverter.class)
    private Integer businessStatus;

    @ExcelIgnore
    @ApiModelProperty("截图路径")
    private String picUrl;

    @ExcelIgnore
    @ApiModelProperty("详情id")
    private Integer detailId;

    @ExcelIgnore
    @ApiModelProperty("业务id")
    private Integer businessId;

    /**
     * 下列属性用于解决抄送详情跳转问题
     */

    @ApiModelProperty("业务编号")
    @ExcelIgnore
    private String businessCode;

    @ApiModelProperty("联系电话")
    @ExcelIgnore
    private String phone;

    @ApiModelProperty("业务类别")
    @ExcelIgnore
    private String businessType;

    @ApiModelProperty("申请额度")
    @ExcelIgnore
    private Double loanMoney;

    @ApiModelProperty("申请期限(月)")
    @ExcelIgnore
    private String loanTern;

    @ExcelIgnore
    @ApiModelProperty("贷审会同意时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date passingTime;

    @ExcelIgnore
    @ApiModelProperty("银行名称")
    private String bank;

    @ExcelIgnore
    @ApiModelProperty("附件")
    private String file;

    @ExcelIgnore
    @ApiModelProperty("图片附件")
    private String imgFile;

}
