package com.daqing.financial.guarantee.model.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 申请贷款信息
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
public class DgEnclosureInfoResponse implements Serializable {


    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 营业执照复印件
     */
    private List<String> businessLicenseList;

    /**
     * 上传法定代表人夫妻及企业实际经营者身份证复印件
     */
    private List<String> legalCardCopyList;

    /**
     * 法定代表人夫妻户口本，结婚证（离婚证）复印件
     */
    private List<String> marriageCopyList;

    /**
     * 法定代表人身份证明
     */
    private List<String> legalCopyList;

    /**
     * 公司章程
     */
    private List<String> companyConstitutionList;

    /**
     * 会计师事务所审计的上一年度及本年度审计报告
     */
    private List<String> accountingFirmList;

    /**
     * 企业信用报告
     */
    private List<String> companyCreditList;

    /**
     * 企业法人夫妇信用报告，实际经营者信用报告
     */
    private List<String> creditReportList;

    /**
     * 征信业务授权书，承诺书
     */
    private List<String> certificateAuthorizationList;

    /**
     * 增值税纳税申报表首表复印件/完税证明
     */
    private List<String> taxCertificateList;

    /**
     * 股东会会议纪要
     */
    private List<String> meetingMinutesList;

    /**
     * 反担保资料和评估报告
     */
    private List<String> assessmentReportList;

    /**
     * 谈话纪要
     */
    private List<String> conversationSummaryList;

    /**
     * 考察照片
     */
    private List<String> inspectionPhotosList;

    private String businessLicense;

    private String legalCardCopy;

    private String marriageCopy;

    private String legalCopy;

    private String companyConstitution;

    private String accountingFirm;

    private String companyCredit;

    private String creditReport;

    private String certificateAuthorization;

    private String taxCertificate;

    private String meetingMinutes;

    private String assessmentReport;

    private String conversationSummary;

    private String inspectionPhotos;

    /**
     * 其他
     */
    private String otherFile;
}
