package com.daqing.financial.guarantee.model.response;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 担保部记录
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_guarantee_assign_user")
public class DgGuaranteeAssignUserResponse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 角色id
     */
    private Integer roleId;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 用户id
     */
    private Integer empId;

    /**
     * 类型（1：第一审批人 2：指派人AB角 3:第一审批人审核 3：经理）
     */
    private Integer type;

    /**
     * 状态(1：待指派 2：审核中  3：审核通过 4：审核不通过 5：驳回)
     */
    private Integer status;

    /**
     * 操作状态: 0->已发起；2->待处理；3->已处理；
     */
    private Integer operatingStatus;

    /**
     * 审核金额
     */
    private BigDecimal amount;

    /**
     * 期限
     */
    private String term;

    /**
     * 补充调查原因
     */
    private List<String> remark;

    private String remarks;

    /**
     * 其他原因
     */
    private String otherRemark;

    /**
     * 审核意见
     */
    private String applyContent;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
    /**
     * A角名称
     */
    private String aName;
    /**
     * B角名称
     */
    private String bName;
}
