package com.daqing.financial.guarantee.model.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 贷审会查看响应类
 *
 * @auther River
 * @date 2020/12/2 17:34
 */
@Data
@ToString
public class DgLoanCommitteeConsiderInfoResponse implements Serializable {
    /**
     * 贷审会议定事项
     */
    @ApiModelProperty("贷审会议定事项")
    private String agreedItems;

    /**
     * 贷审会附加事项
     */
    @ApiModelProperty("贷审会附加事项")
    private String additionalItems;

    /**
     * 贷款金额（贷审会意见）
     */
    @ApiModelProperty("贷款金额（贷审会意见）")
    private BigDecimal loanMoney;

    /**
     * 贷款期限（贷审会意见）
     */
    @ApiModelProperty("贷款期限（贷审会意见）")
    private String loanTern;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("贷审会时间")
    private Date time;

    /**
     * 同意（贷审委员）
     */
    @ApiModelProperty("同意（贷审委员）")
    private String[] agreePersons;

    /**
     * 不同意（贷审委员）
     */
    @ApiModelProperty("不同意（贷审委员）")
    private String[] disagreePersons;

    /**
     * 附件（会议记录）
     */
    @ApiModelProperty("附件（会议记录）")
    private String[] fileUrls;
}
