package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.daqing.framework.utils.excel.ApprovalStatusConverter;
import com.daqing.framework.utils.excel.BusinessStatusConverter;
import com.daqing.framework.utils.excel.OperatingStatusConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 贷审会响应类
 *
 * @auther River
 * @date 2020/11/24 10:22
 */
@Data
@ToString
public class DgLoanCommitteeConsiderResponse extends BaseRowModel implements Serializable {

    @ExcelIgnore
    @ApiModelProperty("贷审会表id")
    private Integer id;

    @ExcelProperty(value = "业务编号" , index = 0)
    @ApiModelProperty("业务编号")
    private String businessCode;

    @ExcelProperty(value = "客户名称" , index = 1)
    @ApiModelProperty("客户名称")
    private String name;

    @ExcelProperty(value = "联系电话" , index = 2)
    @ApiModelProperty("联系电话")
    private String phone;

    @ExcelProperty(value = "业务类别" , index = 3)
    @ApiModelProperty("业务类别")
    private String businessType;

    @ExcelProperty(value = "金额" , index = 4)
    @ApiModelProperty("金额")
    private BigDecimal applyAmount;

    @ExcelProperty(value = "期限" , index = 5)
    @ApiModelProperty("期限")
    private String applyTime;

    @ExcelProperty(value = "申请日期" , index = 6)
    @ApiModelProperty("申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    @ExcelProperty(value = "操作状态" , index = 7 ,converter = OperatingStatusConverter.class)
    @ApiModelProperty("操作状态,0:已发起,1:待处理,2:已处理")
    private Integer operatingStatus;

    @ExcelProperty(value = "审核状态" , index = 8 ,converter = ApprovalStatusConverter.class)
    @ApiModelProperty("审核状态,0:待指派,1:审核中,2:已审核,3:已拒绝,4:已驳回,5:草稿,6:已撤销")
    private Integer status;

    @ExcelProperty(value = "业务状态" , index = 9 ,converter = BusinessStatusConverter.class)
    @ApiModelProperty("业务状态,1->进行中;2->已完成;3->已否决")
    private Integer businessStatus;

    @ExcelIgnore
    @ApiModelProperty("角色id")
    private Integer roleId;

    @ExcelIgnore
    @ApiModelProperty("业务id")
    private Integer businessId;
}
