package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.daqing.framework.utils.excel.ApprovalStatusConverter;
import com.daqing.framework.utils.excel.BusinessStatusConverter;
import com.daqing.framework.utils.excel.OperatingStatusConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@ToString
public class DgNoticeListResponse extends BaseRowModel implements Serializable {

    @ApiModelProperty(value = "业务编号")
    private String businessCode;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "申请时间")
    private Date createTime;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "企业id")
    private Integer companyId;

    @ExcelIgnore
    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    @ExcelIgnore
    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty(value = "提单人id")
    private Integer presenterId;

    @ApiModelProperty(value = "客户名称")
    private String name;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "业务类型")
    private String businessType;

    @ApiModelProperty(value = "申请额度")
    private BigDecimal applyAmount;

    @ApiModelProperty(value = "申请期限")
    private String applyTime;

    @ApiModelProperty("审核状态")
    private Integer status;

    @ApiModelProperty("业务状态")
    private Integer businessStatus;

    @ApiModelProperty("操作状态")
    private Integer operatingStatus;

//--------------工作会需要内容--------------------------

    @ApiModelProperty("A角")
    private Integer aUserId;

    @ApiModelProperty("B角")
    private Integer bUserId;

    @ApiModelProperty("法规部领导")
    private Integer iUserId;

    @ApiModelProperty("资产部领导")
    private Integer assUserId;

    @ApiModelProperty("信息部领导")
    private Integer mUserId;
//-------------------结束-----------------------------

    @ApiModelProperty("业务管理模块id")
    private Integer modelId;

}
