package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.daqing.framework.utils.excel.ProcessIdConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 业务统计拒绝列表导出到excel实体类
 *
 * @auther River
 * @date 2021/1/4 15:11
 */
@Data
@ToString
public class DgStatisticsExcelRefuseResponse extends BaseRowModel implements Serializable {

    @ApiModelProperty("业务编号")
    @ExcelProperty(value = "业务编号", index = 0)
    private String businessCode;

    @ApiModelProperty("客户姓名")
    @ExcelProperty(value = "客户姓名", index = 1)
    private String name;

    @ApiModelProperty("客户联系方式")
    @ExcelProperty(value = "联系电话", index = 2)
    private String phone;

    @ApiModelProperty("业务类型")
    @ExcelProperty(value = "产品类型", index = 3)
    private String businessType;

    @ApiModelProperty("申请额度")
    @ExcelProperty(value = "金额", index = 4)
    private BigDecimal applyAmount;

    @ApiModelProperty("申请期限")
    @ExcelProperty(value = "期数", index = 5)
    private String applyTime;

    @ApiModelProperty("申请日期")
    @ExcelProperty(value = "申请日期", index = 6)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("拒绝人")
    @ExcelProperty(value = "当前审批人", index = 7)
    private String refuseName;

    @ApiModelProperty("拒绝节点id")
    @ExcelProperty(value = "任务节点", index = 8, converter = ProcessIdConverter.class)
    private Integer processId;

    @ApiModelProperty("拒绝时间")
    @ExcelProperty(value = "拒绝时间", index = 9)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date refuseTime;

    @ApiModelProperty("拒绝原因")
    @ExcelProperty(value = "拒绝原因", index = 10)
    private String refuseOpinion;

    @ApiModelProperty("提单人姓名")
    @ExcelProperty(value = "提单人", index = 11)
    private String employeeName;

    @ApiModelProperty("部门")
    @ExcelProperty(value = "所属部门", index = 12)
    private String department;
}
