package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.daqing.framework.utils.excel.ApprovalStatusConverter;
import com.daqing.framework.utils.excel.BusinessStatusConverter;
import com.daqing.framework.utils.excel.OperatingStatusConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author chen
 * @DATE 2020/11/12 17:36
 * @Version 1.0
 * 担保函返回数据
 */
@Data
public class GuaranteeLetterListResponse {

    @ExcelIgnore
    @ApiModelProperty("法规经理唯一标识")
    private Integer isFgJl;

    @ExcelIgnore
    @ApiModelProperty("业务id")
    private Integer businessId;

    @ExcelIgnore
    @ApiModelProperty("唯一标识")
    private Integer id;

    @ExcelIgnore
    @ApiModelProperty("角色id")
    private Integer roleId;

    @ExcelIgnore
    @ApiModelProperty("银行名称")
    private String bank;

    @ExcelIgnore
    @ApiModelProperty(value = "审核意见")
    private String auditOpinion;

    @ExcelIgnore
    @ApiModelProperty("贷审会同意时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date passingTime;

    @ApiModelProperty("附件（会议记录）")
    @ExcelIgnore
    private String file;

    @ApiModelProperty("业务编号")
    @ExcelProperty(value = "业务编号",index = 0)
    private String businessCode;

    @ApiModelProperty("客户名称")
    @ExcelProperty(value = "客户名称",index = 1)
    private String name;

    @ApiModelProperty("联系电话")
    @ExcelProperty(value = "联系电话",index = 2)
    private String phone;

    @ApiModelProperty("业务类别")
    @ExcelProperty(value = "业务类别",index = 3)
    private String businessType;

    @ApiModelProperty("申请额度")
    @ExcelProperty(value = "申请额度(万)",index = 4)
    private Double loanMoney;

    @ApiModelProperty("申请期限(月)")
    @ExcelProperty(value = "申请期限(月)",index = 5)
    private String loanTern;

    @ApiModelProperty("申请日期")
    @ExcelProperty(value = "申请日期",index = 6)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("审核状态")
    @ExcelProperty(value = "审核状态",index = 7,converter = ApprovalStatusConverter.class)
    private Integer status;

    @ApiModelProperty("业务状态")
    @ExcelProperty(value = "业务状态",index = 8,converter = BusinessStatusConverter.class)
    private Integer businessStatus;

    @ApiModelProperty("操作状态")
    @ExcelProperty(value = "操作状态",index = 9,converter = OperatingStatusConverter.class)
    private Integer operatingStatus;


}
