package com.daqing.financial.guarantee.model.response;

import com.daqing.framework.domain.guarantee.AlRepaymentEntry;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 查看时的催收详情
 *
 * @auther River
 * @date 2021/3/22 17:00
 */
@Data
@ToString
public class MoreOverdueDetailResponse implements Serializable {

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("业务类别")
    private String type;

    @ApiModelProperty("客户编号")
    private String code;

    @ApiModelProperty("逾期期数")
    private Integer overduePeriods;

    @ApiModelProperty("逾期金额")
    private BigDecimal overdueAmount;

    @ApiModelProperty("逾期利息")
    private BigDecimal overdueInterest;

    @ApiModelProperty("逾期费用")
    private BigDecimal otherExpenses;

    @ApiModelProperty("催收次数")
    private Integer numberOfCollection;

    @ApiModelProperty("还款记录")
    private List<AlRepaymentEntryListRes> alRepaymentEntryList;

    @ApiModelProperty("催收方式")
    private Integer collectionMethod;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("催收时间")
    private Date collectionTime;

    @ApiModelProperty("催收反馈")
    private String collectionFeedback;

    @ApiModelProperty("情况说明")
    private String situationDescription;

    @ApiModelProperty("附件")
    private String enclosureFile;

    @ApiModelProperty("其他描述")
    private String other;

    @ApiModelProperty("拜访人")
    private String visitor;

    @ApiModelProperty("附件")
    private List<String> enclosureFiles;

}
