package com.daqing.financial.guarantee.model.response;

import com.daqing.framework.domain.guarantee.AlRepaymentEntry;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 催收详情返回类
 *
 * @auther River
 * @date 2021/3/22 14:59
 */
@Data
@ToString
public class OverdueDetailResponse implements Serializable {

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("业务类别")
    private String type;

    @ApiModelProperty("客户编号")
    private String code;

    @ApiModelProperty("逾期期数")
    private Integer overduePeriods;

    @ApiModelProperty("逾期金额")
    private BigDecimal overdueAmount;

    @ApiModelProperty("逾期利息")
    private BigDecimal overdueInterest;

    @ApiModelProperty("逾期费用")
    private BigDecimal otherExpenses;

    @ApiModelProperty("催收次数")
    private Integer numberOfCollection;

    @ApiModelProperty("还款记录")
    private List<AlRepaymentEntryListRes> alRepaymentEntryList;
}
