package com.daqing.financial.guarantee.model.response;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.daqing.framework.utils.excel.ApprovalStatusConverter;
import com.daqing.framework.utils.excel.BusinessStatusConverter;
import com.daqing.framework.utils.excel.OperatingStatusConverter;
import com.daqing.framework.utils.excel.TaskNodeConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2020/12/28 16:31
 * @Version 1.0
 */
@Data
public class PersonalEfficiencyListResponse {

    @ExcelIgnore
    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    @ExcelIgnore
    @ApiModelProperty(value = "详情id")
    private Integer detailId;

    @ExcelIgnore
    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ExcelIgnore
    @ApiModelProperty(value = "提单人")
    private Integer applicantId;

    @ApiModelProperty(value = "提单人")
    @ExcelProperty(value = "提单人",index = 0)
    private String applicant;

    @ApiModelProperty("客户名称")
    @ExcelProperty(value = "客户名称",index = 1)
    private String clientName;

    @ApiModelProperty("申请日期")
    @ExcelProperty(value = "申请日期",index = 2)
    private String applicationDate;

    @ApiModelProperty("累计耗时")
    @ExcelProperty(value = "累计耗时",index = 3)
    private String timeConsuming;

    @ApiModelProperty("完成时间")
    @ExcelProperty(value = "完成时间",index = 4)
    private String completeTime;

    @ApiModelProperty("任务节点")
    @ExcelProperty(value = "任务节点",index = 5,converter = TaskNodeConverter.class)
    private String taskNode;

    @ApiModelProperty("审批状态")
    @ExcelProperty(value = "审批状态",index = 6,converter = ApprovalStatusConverter.class)
    private Integer approveStatus;

    @ApiModelProperty("业务状态")
    @ExcelProperty(value = "业务状态",index = 7,converter = BusinessStatusConverter.class)
    private Integer businessStatus;

    @ApiModelProperty("操作状态")
    @ExcelProperty(value = "操作状态",index = 8,converter = OperatingStatusConverter.class)
    private Integer operatingStatus;
}
