package com.daqing.financial.guarantee.model.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author chen
 * @DATE 2021/1/12 14:19
 * @Version 1.0
 */
@Data
public class TodayApprovalRecordResponse {

    @ApiModelProperty("业务编号")
    private String businessNumber;

    @ApiModelProperty("客户名称")
    private String clientName;

    @ApiModelProperty("申请金额")
    private BigDecimal applicationAmount;

    @ApiModelProperty("申请期限")
    private String applicationDeadline;

    @ApiModelProperty("任务节点")
    private String taskNode;

    @ApiModelProperty("处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date processingTime;

    @ApiModelProperty("状态")
    private String status;

}
