package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.CollectionProgressReq;
import com.daqing.financial.guarantee.model.request.GenerateReq;
import com.daqing.financial.guarantee.model.request.StatisticsListReq;
import com.daqing.financial.guarantee.model.response.CollectionGroupListResp;
import com.daqing.financial.guarantee.model.response.CollectionProgressResp;
import com.daqing.financial.guarantee.model.response.Personnel;
import com.daqing.framework.domain.guarantee.AlCollectionStatistics;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lr
 * @since 2021-08-19
 */
public interface AlCollectionStatisticsService extends IService<AlCollectionStatistics> {

    List<CollectionProgressResp> queryCollectionProgress(CollectionProgressReq collectionProgressReq);

    int selectCollectionProgressPageTotal(CollectionProgressReq collectionProgressReq);

    void batchExport(HttpServletResponse response, String ids) throws IOException;

    void generateStatistics(GenerateReq generateReq);

    List<Personnel> collectionGroupList();

    List<AlCollectionStatistics> annualStatisticsList(StatisticsListReq statisticsListReq);

    List<String> annualList();

    int annualStatisticsListTotal(StatisticsListReq statisticsListReq);

    void annualStatisticsListExport(String year,String flag,HttpServletResponse response) throws IOException;

    List<Integer> personnelSelection(String year);

    boolean annualStatisticsDeleted(String year);

    boolean selectYear(String year);

    boolean selectGenerateYear(String year);

    void updateCompleteStatistics(Integer repaymentId,String year);
}
