package com.daqing.financial.guarantee.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.InsuranceSaveReq;
import com.daqing.financial.guarantee.util.R;
import com.daqing.framework.domain.guarantee.AlInsuranceList;
import com.daqing.framework.utils.PageUtils;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 保后管理列表 服务类
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
public interface IAlInsuranceListService extends IService<AlInsuranceList> {

    PageUtils queryPage(Integer page, Integer size, String customerNumberOrName,Integer paymentStatus);

    R insuranceDetail(Integer id);

    void excelExport(List<Integer> ids, HttpServletResponse response);

    int updateStatus(Integer id);

    // int updateInsuranceList();

    boolean saveInsurance(InsuranceSaveReq insuranceSaveReq);

    Integer updateInsurance(InsuranceSaveReq insuranceSaveReq);

    boolean deleteInsurance(Integer insuranceId);

    R compensationSituation(String date,Integer insuranceId);

    Map<String, String> importInsurance(MultipartFile file) throws Exception;

    void exportFailureRecord(HttpServletResponse response, String exportCode);

}
