package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.GuaranteeLetterQueryRequest;
import com.daqing.financial.guarantee.model.request.GuaranteeLetterUpdateStatusRequest;
import com.daqing.financial.guarantee.model.response.GuaranteeLetterDetailRes;
import com.daqing.financial.guarantee.model.response.GuaranteeLetterListResponse;
import com.daqing.framework.domain.guarantee.DgGuaranteeLetterAssignUser;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 担保函记录 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-12
 */
public interface IDgGuaranteeLetterAssignUserService extends IService<DgGuaranteeLetterAssignUser> {

    PageUtils queryPage(GuaranteeLetterQueryRequest guaranteeLetterQueryRequest);

    boolean saveGuaranteeLetter(DgGuaranteeLetterAssignUser guaranteeLetterAssignUser);

    boolean updateGuaranteeLetterStatus(GuaranteeLetterUpdateStatusRequest guaranteeLetterUpdateStatusRequest);

    void batchExport(HttpServletResponse response, String ids,Integer userId) throws IOException;

    GuaranteeLetterListResponse selectGuaranteeLetter(String businessId,String roleId);

    GuaranteeLetterDetailRes guaranteeLetterDetail(Integer id);
}
