package com.daqing.financial.guarantee.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.financial.guarantee.model.request.LoanNoticeQueryRequest;
import com.daqing.financial.guarantee.model.request.LoanNoticeUpdateRequest;
import com.daqing.financial.guarantee.model.response.LoanNoticeDetailRes;
import com.daqing.financial.guarantee.model.response.LoanNoticeListResponse;
import com.daqing.framework.domain.guarantee.DgLoanNotice;
import com.daqing.framework.utils.PageUtils;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 放款通知 服务类
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
public interface IDgLoanNoticeService extends IService<DgLoanNotice> {

    PageUtils queryPage(LoanNoticeQueryRequest loanNoticeQueryRequest);

    boolean updateLoanNotice(LoanNoticeUpdateRequest loanNoticeUpdateRequest);

    void batchExport(HttpServletResponse response, String ids, Integer userId) throws IOException;

    LoanNoticeListResponse selectLoanNotice(String businessId, String roleId);

    LoanNoticeDetailRes loanNoticeDetail(Integer id);
}
