package com.daqing.financial.guarantee.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.financial.guarantee.mapper.DgCopyForMapper;
import com.daqing.financial.guarantee.mapper.DgCopyUserMapper;
import com.daqing.financial.guarantee.mapper.DgProcessUserMapper;
import com.daqing.financial.guarantee.service.IDgCopyForService;
import com.daqing.framework.domain.guarantee.DgCopyFor;
import com.daqing.framework.domain.guarantee.DgCopyUser;
import com.daqing.framework.domain.guarantee.DgProcessUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 抄送详情表 服务实现类
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Service
public class DgCopyForServiceImpl extends ServiceImpl<DgCopyForMapper, DgCopyFor> implements IDgCopyForService {

    @Autowired
    private DgProcessUserMapper processUserMapper;

    @Autowired
    private DgCopyUserMapper copyUserMapper;

    @Override
    public boolean copySendUser(Integer businessId, Integer processId, Integer detailId) throws IOException {
/*        String accessPath = "";

        //图片信息不为空，不生成图片地址
        if(StringUtils.isNotEmpty(imgData)){
            //获取随机值
            String snowflakeId = IdUtil.getSnowflake(6, 4).nextIdStr();
            //文件扩展名
            String ext = ".png";
            //新文件名：雪花算法.文件扩展名
            String newName = snowflakeId + ext;
            //指定存放目录
            String directory = PromptSuccess.UPLOAD_FILE_PATH;
            // String directory = "D:/img/";
            //图片完整路径
            String imgPath = directory + newName;

            ImgUtil.generateImage(imgData, imgPath);
            //拼接图片地址
            //访问路径前缀
            String serverPrefix = PromptSuccess.IMAGE_URL_PATH;
            //访问路径
            accessPath = serverPrefix + newName;
        }*/
        //取出抄送详情id
        Integer copyForId = 0;
        //添加之前判断是否抄送详情存在，如果存在则更新这条数据
        QueryWrapper<DgCopyFor> wrapperOne = new QueryWrapper<>();
        wrapperOne.eq("business_id",businessId).eq("process_id",processId);
        DgCopyFor copyFor = baseMapper.selectOne(wrapperOne);
        if (ObjectUtil.isNotNull(copyFor)){
            //更新数据
            DgCopyFor copyForUpdate = new DgCopyFor();
            //copyForUpdate.setPicUrl(accessPath);
            copyForUpdate.setDetailId(detailId);
            UpdateWrapper<DgCopyFor> updateWrapper = new UpdateWrapper<>();
            updateWrapper.eq("business_id",businessId).eq("process_id",processId);
            baseMapper.update(copyForUpdate, updateWrapper);
            copyForId = copyFor.getId();
        }else {
            DgCopyFor copyForAdd = new DgCopyFor();
            copyForAdd.setBusinessId(businessId);
            copyForAdd.setProcessId(processId);
            //copyForAdd.setPicUrl(accessPath);
            copyForAdd.setDetailId(detailId);
            //添加抄送详情
            baseMapper.insert(copyForAdd);
            copyForId = copyForAdd.getId();
        }

        //查询该模块下需要抄送的用户id
        QueryWrapper<DgProcessUser> wrapper = new QueryWrapper<>();
        wrapper.eq("process_id", processId).select("user_id");
        List<DgProcessUser> list = processUserMapper.selectList(wrapper);
        if (list != null && list.size() != 0) {
            Integer finalCopyForId = copyForId;
            list.forEach(dgProcessUser -> {
                Integer userId = dgProcessUser.getUserId();
                //已经抄送的用户无需再次抄送
                QueryWrapper<DgCopyUser> wrapperCopyUser = new QueryWrapper<>();
                wrapperCopyUser.eq("user_id",userId).eq("copy_id", finalCopyForId);
                DgCopyUser dgCopyUser = copyUserMapper.selectOne(wrapperCopyUser);
                if (ObjectUtil.isNull(dgCopyUser)){
                    DgCopyUser copyUser = new DgCopyUser();
                    copyUser.setCopyId(finalCopyForId);
                    copyUser.setUserId(userId);
                    //添加抄送关系
                    copyUserMapper.insert(copyUser);
                }
            });
        }
        return true;
    }

}
