package com.daqing.financial.guarantee.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.financial.guarantee.controller.DgApplyAmountInfoController;
import com.daqing.financial.guarantee.mapper.*;
import com.daqing.financial.guarantee.model.request.DgComplianceInvestigationRequest;
import com.daqing.financial.guarantee.mapper.*;
import com.daqing.financial.guarantee.mapper.*;
import com.daqing.financial.guarantee.model.request.DgComplianceInvestigationRequest;
import com.daqing.financial.guarantee.model.request.DgEfficiencyTeamRequest;
import com.daqing.financial.guarantee.model.response.*;
import com.daqing.financial.guarantee.model.response.BusinessApplicationListResponse;
import com.daqing.financial.guarantee.model.response.DgNoticeListResponse;
import com.daqing.financial.guarantee.model.response.EfficiencyApprovalResponse;
import com.daqing.financial.guarantee.model.response.*;
import com.daqing.financial.guarantee.service.IDgEfficiencyService;
import com.daqing.financial.guarantee.util.DateUtils;
import com.daqing.framework.domain.guarantee.DgApplyAmountInfo;
import com.daqing.framework.domain.guarantee.DgAuditProcess;
import com.daqing.framework.domain.guarantee.GuaranteeCode;
import com.daqing.framework.domain.guarantee.po.*;
import com.daqing.framework.exception.ExceptionCast;
import com.daqing.framework.model.StatusCode;
import com.daqing.framework.model.response.PromptSuccess;
import com.daqing.framework.util.RedisUtil;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.daqing.framework.util.RedisUtil;
import com.daqing.framework.utils.PageUtils;
import com.daqing.framework.domain.guarantee.DgAuditProcess;
import com.daqing.framework.domain.guarantee.GuaranteeCode;
import com.daqing.framework.domain.guarantee.po.DgWorkConferencePO;
import com.daqing.framework.domain.guarantee.po.StatusPO;
import com.daqing.framework.exception.ExceptionCast;
import com.daqing.framework.model.response.PromptSuccess;
import com.daqing.framework.util.RedisUtil;
import com.google.common.collect.Maps;
import org.springframework.stereotype.Service;


import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @auther River
 * @date 2020/11/10 11:34
 */
@Service
public class DgEfficiencyServiceImpl extends ServiceImpl<DgEfficiencyMapper, DgApplyAmountInfo> implements IDgEfficiencyService {

    @Autowired
    private DgApplyAmountInfoController dgApplyAmountInfoController;

    @Autowired
    private DgApplyAmountInfoMapper applyAmountInfoMapper;

    @Autowired
    private DgAuditProcessMapper dgAuditProcessMapper;

    @Autowired
    private DgApplyAmountListMapper applyAmountListMapper;

    @Autowired
    private DgGuaranteeAssignUserMapper guaranteeAssignUserMapper;

    @Autowired
    private DgAssetsInvestigationMapper assetsInvestigationMapper;

    @Autowired
    private DgMessageInvestigationMapper messageInvestigationMapper;

    @Autowired
    private DgComplianceInvestigationMapper complianceInvestigationMapper;

    @Autowired
    private DgWorkConferenceConsiderMapper workConferenceConsiderMapper;

    @Autowired
    private DgLoanCommitteeConsiderMapper loanCommitteeConsiderMapper;

    @Autowired
    private DgGuaranteeLetterAssignUserMapper guaranteeLetterAssignUserMapper;

    @Autowired
    private DgPaymentConfirmationConsiderMapper paymentConfirmationConsiderMapper;

    @Autowired
    private DgLoanNoticeMapper loanNoticeMapper;

    /**
     * 团队效率
     */
    @Override
    public HashMap<Integer, HashMap<Integer, String>> queryList(DgEfficiencyTeamRequest dgEfficiencyTeamRequest) {

        // 时间筛选(固定时间)
        if (dgEfficiencyTeamRequest.getCreateFixedTime() != null && (dgEfficiencyTeamRequest.getStartTime() == null ||
                dgEfficiencyTeamRequest.getStartTime().length() == 0) && (dgEfficiencyTeamRequest.getEndTime() == null ||
                dgEfficiencyTeamRequest.getEndTime().length() == 0)) {
            SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            switch (dgEfficiencyTeamRequest.getCreateFixedTime()) {
                case 0:
                    dgEfficiencyTeamRequest.setStartTime(dateFormat.format(DateUtils.getDayBegin()));
                    dgEfficiencyTeamRequest.setEndTime(dateFormat.format(DateUtils.getDayEnd()));// 今天
                    break;
                case 1:
                    dgEfficiencyTeamRequest.setStartTime(dateFormat.format(DateUtils.getBeginDayOfYesterday()));
                    dgEfficiencyTeamRequest.setEndTime(dateFormat.format(DateUtils.getEndDayOfYesterDay()));// 昨天
                    break;
                case 2:
                    dgEfficiencyTeamRequest.setStartTime(dateFormat.format(DateUtils.getBeginDayOfWeek()));
                    dgEfficiencyTeamRequest.setEndTime(dateFormat.format(DateUtils.getEndDayOfWeek()));// 本周
                    break;
                case 3:
                    dgEfficiencyTeamRequest.setStartTime(dateFormat.format(DateUtils.getBeginDayOfMonth()));
                    dgEfficiencyTeamRequest.setEndTime(dateFormat.format(DateUtils.getEndDayOfMonth()));// 本月
                    break;
                case 4:
                    dgEfficiencyTeamRequest.setStartTime(dateFormat.format(DateUtils.getBeginDayOfYear()));
                    dgEfficiencyTeamRequest.setEndTime(dateFormat.format(DateUtils.getEndDayOfYear()));// 本年
                    break;
                default:
                    dgEfficiencyTeamRequest.setStartTime(null);
                    dgEfficiencyTeamRequest.setEndTime(null);
            }
        }
        // 处理结束时间为当前日期最后一秒
        if (dgEfficiencyTeamRequest.getEndTime() != null && dgEfficiencyTeamRequest.getEndTime().length() != 0) {
            SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
            Date dateTime = null;
            try {
                dateTime = simpleDateFormat.parse(dgEfficiencyTeamRequest.getEndTime());
            } catch (ParseException e) {
                ExceptionCast.cast(GuaranteeCode.EFFICIENCY_TIME_ERROR);
            }
            dgEfficiencyTeamRequest.setEndTime(dateFormat.format(DateUtils.getDayEndTime(dateTime)));
        }
        // 查询出所有的数据
        List<DgTeamEfficiencyPO> teamEfficiencyList = this.getBaseMapper().queryList(dgEfficiencyTeamRequest);
        List<List<DgTeamEfficiencyPO>> list = new ArrayList<>();
        // 查询出所有的业务id
        List<Integer> businessIdList = this.getBaseMapper().queryBusinessId(dgEfficiencyTeamRequest);
        // 按业务id封装为双层list形式
        for (Integer businessId : businessIdList) {
            List<DgTeamEfficiencyPO> efficiencyList = new ArrayList<>();
            for (DgTeamEfficiencyPO teamEfficiency : teamEfficiencyList) {
                if (businessId.equals(teamEfficiency.getBusinessId())) {
                    efficiencyList.add(teamEfficiency);
                }
            }
            list.add(efficiencyList);
        }
        // 返回数据格式<部门,<节点,时间>>
        HashMap<Integer, HashMap<Integer, String>> hashMap = new HashMap<>();
        String time; // 时间差
        Integer processId; // 业务节点id
        String departmentIdList; // 部门id集合
        // 将数据归类

        for (List<DgTeamEfficiencyPO> dgTeamEfficiencyList : list) {
            if (dgTeamEfficiencyList.size() < 2) {
                continue;
            }

            for (int i = dgTeamEfficiencyList.size() - 1; i > 0; i--) {
                HashMap<Integer, String> map = new HashMap<>();
                // 计算时间差
                time = DateUtils.dateDiff(dgTeamEfficiencyList.get(i - 1).getCreateTime(), dgTeamEfficiencyList.get(i).getCreateTime()) + "";
                processId = dgTeamEfficiencyList.get(i).getProcessId();
                departmentIdList = dgTeamEfficiencyList.get(i).getDepartmentId();
                map.put(processId, time + ",1");
                String[] departmentIds = departmentIdList.split(",");

                Map<String,String> timeSumByDepId = new HashMap<String,String>();
                for (String departmentId : departmentIds) {
                    if (departmentId.equals("0")) {
                        continue;
                    }

                    String dl = dgTeamEfficiencyList.size()+"*"+i+"*"+departmentId;
                    // 没有当前部门的数据,直接新建一个
                    if (hashMap.get(Integer.parseInt(departmentId)) == null) {
                        hashMap.put(Integer.parseInt(departmentId), map);
                    } else {
                        // 有当前部门数据,则再判断是否有当前节点数据
                        HashMap<Integer, String> existMap = hashMap.get(Integer.parseInt(departmentId));
                        if (existMap.get(processId) == null) {
                            existMap.put(processId, time + ",1");
                        } else {
                            // 计算当前部门在当前节点的操作次数
                            int count = Integer.parseInt(existMap.get(processId).substring(existMap.get(processId).indexOf(",") + 1)) + 1;
                            // 计算当前部门在当前节点的累计时间
                            String existTime = existMap.get(processId).substring(0, existMap.get(processId).indexOf(","));

                            //timeSumByDepId 这个map只用于记录遍历部门多少次数
                            timeSumByDepId.put(dl,time);
                            if(timeSumByDepId.size()>1){
                                // 累计时间加上本次时间
                                existMap.put(processId, (Long.parseLong(existTime)) + "," + count);
                            }else{
                                // existMap.put(processId, (Integer.parseInt(existTime) + Integer.parseInt(time)) + "," + count);
                                existMap.put(processId, (Long.parseLong(existTime) + Long.parseLong(time)) + "," + count);
                            }
                        }
                        hashMap.put(Integer.parseInt(departmentId), existMap);

                    }
                }
            }
        }
        // 部门筛选
        if (dgEfficiencyTeamRequest.getDepartmentId() != null) {
            HashMap<Integer, HashMap<Integer, String>> deptMap = new HashMap<>();
            deptMap.put(dgEfficiencyTeamRequest.getDepartmentId(), hashMap.get(dgEfficiencyTeamRequest.getDepartmentId()));
            return deptMap;
        } else {
            return hashMap;
        }
    }

    /**
     * 统计不同业务状态下业务数量
     */
    @Override
    public Map<String, Integer> getBusinessCount() {

        return this.getBaseMapper().getBusinessCount();
    }

    /**
     * 查询审批数目的值的数组
     */
    @Override
    public Map approvalNum() {
        //获取当前用户id
        String userId = DgApplyAmountInfoController.getUserId();
        //近十天的日期数组
        List<String> timeList = dgAuditProcessMapper.selectTenDays(Integer.parseInt(userId));
        //近十天审批数目的值的数组
        List<Integer> approvalList = dgAuditProcessMapper.selectApprovalNum(Integer.parseInt(userId));
        Map map = new HashMap();
        map.put("timeArr", timeList);
        map.put("approvalNumArr", approvalList);
        return map;
    }

    /**
     * 获取当前月份的每天的新建审批数量
     */
    @Override
    public List<Map<String, Integer>> getNewBusinessCount() {

        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");
        // 本月开始时间
        String beginTime = dateFormat.format(DateUtils.getBeginDayOfMonth());
        // 本月结束时间
        String endTime = dateFormat.format(DateUtils.getEndDayOfMonth());

        return applyAmountInfoMapper.getNewBusinessCount(beginTime, endTime);
    }

    /**
     * 获取今天新建审批数量并按申请类型分类
     */
    @Override
    public Map<String, Integer> getTodayBusinessCount() {

        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");

        return applyAmountInfoMapper.getTodayBusinessCount(dateFormat.format(new Date()));
    }

    /**
     * 个人效率记录
     */
    @Override
    public List<PersonalEfficiencyListResponse> queryPersonalEfficiencyList() {
        int size = 100;
        List<PersonalEfficiencyListResponse> efficiencyList = new ArrayList<>();
        //获取当前登录用户id
        int currentUser = Integer.parseInt(this.getUserId());
        //获取当前用户拥有的角色ids
        String roleIds = RedisUtil.get("dq:userRole:" + currentUser);
        //字符串格式
        List<String> roleIdList = new ArrayList<>();
        if (roleIds != null) {
            String[] ids = roleIds.split(",");
            roleIdList = Arrays.asList(ids);
        }
        //数字格式
        List<Integer> roleList = new ArrayList<>();
        if (roleIds != null) {
            String[] roleId = roleIds.split(",");
            for (String id : roleId) {
                roleList.add(Integer.parseInt(id));
            }
        }
        //获取每个业务id的三种状态
        HashMap<Integer, Object> hashMap = Maps.newHashMap();
        ArrayList<StatusPO> statusPOS = Lists.newArrayList();
        //角色不为空
        //担保业务员角色、担保经理角色
        if (roleIdList.contains(String.valueOf(PromptSuccess.DB_YWY_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_JL_ID))) {
            //业务申请列表查询
            IPage<BusinessApplicationListResponse> positionVO = applyAmountListMapper.pageByCondition(new Page(1, size), "", roleIdList, this.getUserId(),null);
            List<BusinessApplicationListResponse> records = positionVO.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(businessApplicationListResponse -> {
                    StatusPO statusPO = new StatusPO();
                    Integer businessId = businessApplicationListResponse.getBusinessId();
                    String name = businessApplicationListResponse.getName();
                    Integer status = businessApplicationListResponse.getStatus();
                    Integer operatingStatus = businessApplicationListResponse.getOperatingStatus();
                    Integer businessStatus = businessApplicationListResponse.getBusinessStatus();
                    statusPO.setCompanyId(businessApplicationListResponse.getCompanyId());
                    statusPO.setDetailId(businessApplicationListResponse.getId());
                    statusPO.setRoleId(businessApplicationListResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setName(name);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(1);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //担保经理角色、担保A角角色、担保B角角色、担保领导角色
        if (roleIdList.contains(String.valueOf(PromptSuccess.DB_JL_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_A_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_B_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_LD_ID))) {
            // 担保部调查列表
            IPage<GuaranteeListResponse> positionVO = guaranteeAssignUserMapper.pageByCondition(new Page(1, size), "", roleIdList, this.getUserId(), null);
            List<GuaranteeListResponse> records = positionVO.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(guaranteeListResponse -> {
                    StatusPO statusPO = new StatusPO();
                    Integer businessId = guaranteeListResponse.getBusinessId();
                    Integer status = guaranteeListResponse.getStatus();
                    String name = guaranteeListResponse.getName();
                    Integer operatingStatus = guaranteeListResponse.getOperatingStatus();
                    Integer businessStatus = guaranteeListResponse.getBusinessStatus();
                    statusPO.setCompanyId(guaranteeListResponse.getCompanyId());
                    statusPO.setDetailId(guaranteeListResponse.getId());
                    statusPO.setRoleId(guaranteeListResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(2);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //资产经理角色、资产专员角色、资产领导角色
        if (roleIdList.contains(String.valueOf(PromptSuccess.ZC_JL_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.ZC_ZY_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.ZC_LD_ID))) {
            // 资产部调查列表
            IPage<AssetsInvestigationListResponse> positionVO = assetsInvestigationMapper.pageByCondition(new Page(1, size), "", roleIdList, this.getUserId(), null);
            List<AssetsInvestigationListResponse> records = positionVO.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(assetsInvestigationListResponse -> {
                    StatusPO statusPO = new StatusPO();
                    Integer businessId = assetsInvestigationListResponse.getBusinessId();
                    Integer status = assetsInvestigationListResponse.getStatus();
                    String name = assetsInvestigationListResponse.getName();
                    Integer operatingStatus = assetsInvestigationListResponse.getOperatingStatus();
                    Integer businessStatus = assetsInvestigationListResponse.getBusinessStatus();
                    statusPO.setCompanyId(assetsInvestigationListResponse.getCompanyId());
                    statusPO.setDetailId(assetsInvestigationListResponse.getId());
                    statusPO.setRoleId(assetsInvestigationListResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(3);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //信息经理角色、信息专员角色、信息领导角色
        if (roleIdList.contains(String.valueOf(PromptSuccess.XX_JL_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.XX_ZY_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.XX_LD_ID))) {
            // 信息部调查列表
            IPage<MessageInvestigationListResponse> positionVO = messageInvestigationMapper.pageByCondition(new Page(1, size), "", roleIdList, this.getUserId(), null);
            List<MessageInvestigationListResponse> records = positionVO.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(messageInvestigationListResponse -> {
                    StatusPO statusPO = new StatusPO();
                    Integer businessId = messageInvestigationListResponse.getBusinessId();
                    Integer status = messageInvestigationListResponse.getStatus();
                    String name = messageInvestigationListResponse.getName();
                    Integer operatingStatus = messageInvestigationListResponse.getOperatingStatus();
                    Integer businessStatus = messageInvestigationListResponse.getBusinessStatus();
                    statusPO.setCompanyId(messageInvestigationListResponse.getCompanyId());
                    statusPO.setDetailId(messageInvestigationListResponse.getId());
                    statusPO.setRoleId(messageInvestigationListResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(4);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //担保部A/B角、法规经理角色、法规部C角、法规部分管领导
        if (roleIdList.contains(String.valueOf(PromptSuccess.DB_A_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_B_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.FG_JL_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.FG_C_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.FG_LD_ID))) {
            // 合规调查列表
            DgComplianceInvestigationRequest dgComplianceInvestigationRequest = new DgComplianceInvestigationRequest();
            IPage<DgComplianceInvestigationResponse> list = complianceInvestigationMapper.list(new Page(1, size), dgComplianceInvestigationRequest, roleList, currentUser);
            List<DgComplianceInvestigationResponse> records = list.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(dgComplianceInvestigationResponse -> {
                    StatusPO statusPO = new StatusPO();
                    Integer businessId = dgComplianceInvestigationResponse.getBusinessId();
                    String name = dgComplianceInvestigationResponse.getName();
                    Integer status = dgComplianceInvestigationResponse.getAuditStatus();
                    Integer operatingStatus = dgComplianceInvestigationResponse.getOperationStatus();
                    Integer businessStatus = dgComplianceInvestigationResponse.getBusinessStatus();
                    statusPO.setDetailId(dgComplianceInvestigationResponse.getIId());
                    statusPO.setRoleId(dgComplianceInvestigationResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(5);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //工作会
        if (roleIdList.contains(String.valueOf(PromptSuccess.GZU_ID))) {
            IPage<DgWorkConferencePO> list = workConferenceConsiderMapper.list(new Page(1, size), "", roleList, currentUser,null);
            List<DgWorkConferencePO> records = list.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(dgWorkConferencePO -> {
                    StatusPO statusPO = new StatusPO();
                    Integer businessId = dgWorkConferencePO.getBusinessId();
                    String name = dgWorkConferencePO.getName();
                    Integer status = dgWorkConferencePO.getAuditStatus();
                    Integer operatingStatus = dgWorkConferencePO.getOperationStatus();
                    Integer businessStatus = dgWorkConferencePO.getBusinessStatus();
                    statusPO.setDetailId(dgWorkConferencePO.getId());
                    statusPO.setRoleId(dgWorkConferencePO.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(6);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //担保部A/B角、贷审会
        if (roleIdList.contains(String.valueOf(PromptSuccess.DB_A_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_B_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DSH_ID))) {
            IPage<DgLoanCommitteeConsiderResponse> list = loanCommitteeConsiderMapper.list(new Page(1, size), "", roleList, currentUser,null);
            List<DgLoanCommitteeConsiderResponse> records = list.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(dgLoanCommitteeConsiderResponse -> {
                    StatusPO statusPO = new StatusPO();
                    Integer businessId = dgLoanCommitteeConsiderResponse.getBusinessId();
                    Integer status = dgLoanCommitteeConsiderResponse.getStatus();
                    String name = dgLoanCommitteeConsiderResponse.getName();
                    Integer operatingStatus = dgLoanCommitteeConsiderResponse.getOperatingStatus();
                    Integer businessStatus = dgLoanCommitteeConsiderResponse.getBusinessStatus();
                    statusPO.setDetailId(dgLoanCommitteeConsiderResponse.getId());
                    statusPO.setRoleId(dgLoanCommitteeConsiderResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(7);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //法规经理、担保部A/B角、资产部经理
        if (roleIdList.contains(String.valueOf(PromptSuccess.FG_JL_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_A_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.DB_B_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.ZC_JL_ID))) {
            //担保函
            IPage<GuaranteeLetterListResponse> iPage = guaranteeLetterAssignUserMapper.pageByCondition(new Page(1, size), currentUser, roleIdList, null, null);
            List<GuaranteeLetterListResponse> records = iPage.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(guaranteeLetterListResponse -> {
                    StatusPO statusPO = new StatusPO();
                    String name = guaranteeLetterListResponse.getName();
                    Integer businessId = guaranteeLetterListResponse.getBusinessId();
                    Integer status = guaranteeLetterListResponse.getStatus();
                    Integer operatingStatus = guaranteeLetterListResponse.getOperatingStatus();
                    Integer businessStatus = guaranteeLetterListResponse.getBusinessStatus();
                    statusPO.setIsFgJl(guaranteeLetterListResponse.getIsFgJl());
                    statusPO.setDetailId(guaranteeLetterListResponse.getId());
                    statusPO.setRoleId(guaranteeLetterListResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(8);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //财务部、法规经理
        if (roleIdList.contains(String.valueOf(PromptSuccess.CWB_ID)) | roleIdList.contains(String.valueOf(PromptSuccess.FG_JL_ID))) {
            //回款确认
            IPage<PaymentConfirmationListResponse> iPage = paymentConfirmationConsiderMapper.pageByCondition(new Page(1, size), roleIdList, currentUser, null, null);
            List<PaymentConfirmationListResponse> records = iPage.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(paymentConfirmationListResponse -> {
                    StatusPO statusPO = new StatusPO();
                    String name = paymentConfirmationListResponse.getName();
                    Integer businessId = paymentConfirmationListResponse.getBusinessId();
                    Integer status = paymentConfirmationListResponse.getStatus();
                    Integer operatingStatus = paymentConfirmationListResponse.getOperatingStatus();
                    Integer businessStatus = paymentConfirmationListResponse.getBusinessStatus();
                    statusPO.setIsFgJl(paymentConfirmationListResponse.getIsFgJl());
                    statusPO.setDetailId(paymentConfirmationListResponse.getId());
                    statusPO.setRoleId(paymentConfirmationListResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(9);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        //法规经理
        if (roleIdList.contains(String.valueOf(PromptSuccess.FG_JL_ID))) {
            //放款通知
            IPage<LoanNoticeListResponse> iPage = loanNoticeMapper.pageByCondition(new Page(1, size), roleIdList, currentUser, null, null);
            List<LoanNoticeListResponse> records = iPage.getRecords();
            if (records != null && records.size() != 0) {
                records.forEach(loanNoticeListResponse -> {
                    StatusPO statusPO = new StatusPO();
                    String name = loanNoticeListResponse.getName();
                    Integer businessId = loanNoticeListResponse.getBusinessId();
                    Integer status = loanNoticeListResponse.getStatus();
                    Integer operatingStatus = loanNoticeListResponse.getOperatingStatus();
                    Integer businessStatus = loanNoticeListResponse.getBusinessStatus();
                    statusPO.setDetailId(loanNoticeListResponse.getId());
                    statusPO.setRoleId(loanNoticeListResponse.getRoleId());
                    statusPO.setBusinessStatus(businessStatus);
                    statusPO.setOperatingStatus(operatingStatus);
                    statusPO.setProcessId(10);
                    statusPO.setName(name);
                    statusPO.setStatus(status);
                    // hashMap.put(businessId, statusPO);
                    statusPO.setBusinessId(businessId);
                    statusPOS.add(statusPO);
                });
            }
        }
        statusPOS.forEach(po -> {
            PersonalEfficiencyListResponse efficiencyListResponse = new PersonalEfficiencyListResponse();
            efficiencyListResponse.setBusinessId(po.getBusinessId());
            //根据业务id查询业务
            DgApplyAmountInfo dgApplyAmountInfo = applyAmountInfoMapper.selectById(po.getBusinessId());
            //业务申请日期
            Date createTime = dgApplyAmountInfo.getCreateTime();
            //提单人id
            Integer presenterId = dgApplyAmountInfo.getPresenterId();
            efficiencyListResponse.setDetailId(po.getDetailId());
            efficiencyListResponse.setRoleId(po.getRoleId());
            efficiencyListResponse.setOperatingStatus(po.getOperatingStatus());
            efficiencyListResponse.setApproveStatus(po.getStatus());
            efficiencyListResponse.setBusinessStatus(po.getBusinessStatus());
            efficiencyListResponse.setTaskNode(String.valueOf(po.getProcessId()));
            efficiencyListResponse.setClientName(po.getName());
            efficiencyListResponse.setApplicantId(presenterId);
            efficiencyListResponse.setApplicationDate(new SimpleDateFormat("yyyy-MM-dd").format(createTime));
            //用户处理过业务,每一个模块统计耗时
            //获取累计耗时，完成时间
            HashMap<String, String> hashMapTime = getTime(po.getBusinessId(), po.getProcessId(), currentUser);
            String countTime = hashMapTime.get("countTime");
            String endTime = hashMapTime.get("endTime");
            efficiencyListResponse.setTimeConsuming(countTime);
            efficiencyListResponse.setCompleteTime(endTime);
            // QueryWrapper<DgAuditProcess> wrapper = new QueryWrapper<>();
            // wrapper.eq("user_id", currentUser).eq("business_id", po.getBusinessId());
            // List<DgAuditProcess> auditProcessList = dgAuditProcessMapper.selectList(wrapper);
            // if (auditProcessList != null && auditProcessList.size() != 0) {
            //     //获取累计耗时，完成时间
            //     HashMap<String, String> hashMapTime = getTime(po.getBusinessId(), currentUser);
            //     String countTime = hashMapTime.get("countTime");
            //     String endTime = hashMapTime.get("endTime");
            //     efficiencyListResponse.setTimeConsuming(countTime);
            //     efficiencyListResponse.setCompleteTime(endTime);
            // }
            efficiencyList.add(efficiencyListResponse);
        });
        //遍历map，key值为业务id
        // for (Integer key : hashMap.keySet()) {
        //     PersonalEfficiencyListResponse efficiencyListResponse = new PersonalEfficiencyListResponse();
        //     efficiencyListResponse.setBusinessId(key);
        //     StatusPO po = (StatusPO) hashMap.get(key);
        //     Integer businessStatus = po.getBusinessStatus();
        //     Integer operatingStatus = po.getOperatingStatus();
        //     Integer processId = po.getProcessId();
        //     Integer status = po.getStatus();
        //     String name = po.getName();
        //     //根据业务id查询业务
        //     DgApplyAmountInfo dgApplyAmountInfo = applyAmountInfoMapper.selectById(key);
        //     //业务申请日期
        //     Date createTime = dgApplyAmountInfo.getCreateTime();
        //     //提单人id
        //     Integer presenterId = dgApplyAmountInfo.getPresenterId();
        //     efficiencyListResponse.setDetailId(po.getDetailId());
        //     efficiencyListResponse.setRoleId(po.getRoleId());
        //     efficiencyListResponse.setOperatingStatus(operatingStatus);
        //     efficiencyListResponse.setApproveStatus(status);
        //     efficiencyListResponse.setBusinessStatus(businessStatus);
        //     efficiencyListResponse.setTaskNode(String.valueOf(processId));
        //     efficiencyListResponse.setClientName(name);
        //     efficiencyListResponse.setApplicantId(presenterId);
        //     efficiencyListResponse.setApplicationDate(new SimpleDateFormat("yyyy-MM-dd").format(createTime));
        //     //用户处理过业务,统计耗时
        //     QueryWrapper<DgAuditProcess> wrapper = new QueryWrapper<>();
        //     wrapper.eq("user_id", currentUser).eq("business_id", key);
        //     List<DgAuditProcess> auditProcessList = dgAuditProcessMapper.selectList(wrapper);
        //     if (auditProcessList != null && auditProcessList.size() != 0) {
        //         //获取累计耗时，完成时间
        //         HashMap<String, Object> hashMapTime = getTime(key, currentUser);
        //         Object countTime = hashMapTime.get("countTime");
        //         Object endTime = hashMapTime.get("endTime");
        //         efficiencyListResponse.setTimeConsuming(countTime(String.valueOf(countTime)));
        //         efficiencyListResponse.setCompleteTime(String.valueOf(endTime));
        //     }
        //     efficiencyList.add(efficiencyListResponse);
        // }
        return efficiencyList;
    }

    //根据业务id和用户id统计耗时
    private HashMap<String, String> getTime(Integer businessId,Integer processId, Integer userId) {
        HashMap<String, String> hashMap = Maps.newHashMap();
        // 这个逻辑有问题(不建议采用),根据业务id和用户查询该用户操作的业务流程信息
        // QueryWrapper<DgAuditProcess> wrapper = new QueryWrapper<>();
        // wrapper.eq("business_id", businessId).eq("user_id",userId).orderByAsc("create_time");
        // List<DgAuditProcess> auditProcessList = dgAuditProcessMapper.selectList(wrapper);
        // long countTime = 0L;
        // if (auditProcessList.size() > 1) {
        //     //遍历业务流程数据，统计该用户的耗时
        //     for (int i = 1; i <= auditProcessList.size() - 1; i++) {
        //         //从第二条数据开始，获取该数据
        //         DgAuditProcess currentProcess = auditProcessList.get(i);
        //         //获取上一流程的时间节点
        //         DgAuditProcess previousProcess = auditProcessList.get(i - 1);
        //         Date previousTime = previousProcess.getCreateTime();
        //         Date currentTime = currentProcess.getCreateTime();
        //         //转换成毫秒统计时间差
        //         long currentTimeTime = currentTime.getTime();
        //         long previousTimeTime = previousTime.getTime();
        //         //累计耗时,毫秒
        //         countTime = currentTimeTime - previousTimeTime;
        //     }
        // }
        long totalTime = 0L;

        //查询用户处理的开始时间
        QueryWrapper<DgAuditProcess> beginWrapperTime = new QueryWrapper<>();

        //查询上个流程的结束时间
        Integer newProId=0;
        if(processId==2 || processId ==3 || processId==4){
            newProId=1;
            beginWrapperTime.select("create_time","id").eq("business_id", businessId).eq("process_id",newProId).orderByDesc("create_time").last("limit 1");
        }else if(processId==1){
            newProId=processId;
            beginWrapperTime.select("create_time","id").eq("business_id", businessId).eq("process_id",newProId).eq("user_id", userId).orderByAsc("create_time").last("limit 1");
        }else{
            newProId=processId-1;
            beginWrapperTime.select("create_time","id").eq("business_id", businessId).eq("process_id",newProId).orderByDesc("create_time").last("limit 1");
        }

//        beginWrapperTime.select("create_time","id").eq("business_id", businessId).eq("process_id",processId).eq("user_id",userId).orderByAsc("create_time").last("limit 1");
        DgAuditProcess beginAuditProcess = dgAuditProcessMapper.selectOne(beginWrapperTime);
        //如果改流程数据为空直接返回默认值
        if (ObjectUtil.isNull(beginAuditProcess)){
            hashMap.put("countTime", "0天0小时0分钟");
            hashMap.put("endTime", "");
            return hashMap;
        }
        Date beginTime = null;
        if(beginAuditProcess !=null){
            beginTime = beginAuditProcess.getCreateTime();
        }


        //查询用户处理的结束时间
        QueryWrapper<DgAuditProcess> endWrapperTime = new QueryWrapper<>();
        endWrapperTime.select("create_time","id").eq("business_id", businessId).eq("process_id",processId).eq("user_id", userId).orderByDesc("create_time").last("limit 1");
        DgAuditProcess endAuditProcess = dgAuditProcessMapper.selectOne(endWrapperTime);

        Date endTime = null;
        if(endAuditProcess !=null){
            endTime = endAuditProcess.getCreateTime();
        }/*else{
            endTime = new Date();
        }*/
        long currentTimeTime=new Date().getTime();
        //转换成毫秒统计时间差
        if(endTime != null){
            currentTimeTime = endTime.getTime();
        }
        long previousTimeTime = beginTime.getTime();
        //累计耗时,毫秒
        if(currentTimeTime > previousTimeTime){
            totalTime = currentTimeTime - previousTimeTime;
        }else{
            QueryWrapper<DgAuditProcess> beginWrapperTime2 = new QueryWrapper<>();
            //属于被驳回的数据
            //查询上个流程的结束时间
            if(processId==2 || processId ==3 || processId==4){
                newProId=1;
                beginWrapperTime2.select("create_time","id").eq("business_id", businessId).eq("process_id",newProId).eq("status",StatusCode.CZ_PROCESSED).orderByAsc("create_time").last("limit 1");
            }else if(processId==1){
                newProId=processId;
                beginWrapperTime2.select("create_time","id").eq("business_id", businessId).eq("process_id",newProId).eq("user_id", userId).eq("status",StatusCode.CZ_PROCESSED).orderByAsc("create_time").last("limit 1");
            }else{
                newProId=processId-1;
                beginWrapperTime2.select("create_time","id").eq("business_id", businessId).eq("process_id",newProId).eq("status",StatusCode.CZ_PROCESSED).orderByAsc("create_time").last("limit 1");
            }
            DgAuditProcess beginAuditProcess2 = dgAuditProcessMapper.selectOne(beginWrapperTime2);
            //如果改流程数据为空直接返回默认值
            if (ObjectUtil.isNull(beginAuditProcess2)){
                hashMap.put("countTime", "0天0小时0分钟");
                hashMap.put("endTime", "");
                return hashMap;
            }
            Date beginTime2 = null;
            if(beginAuditProcess !=null){
                beginTime2 = beginAuditProcess2.getCreateTime();
            }
            long previousTimeTime2 = beginTime2.getTime();
            totalTime = currentTimeTime - previousTimeTime2;
        }

        hashMap.put("countTime", countTime(String.valueOf(totalTime)));
        if(endTime != null){
            hashMap.put("endTime", new SimpleDateFormat("yyyy-MM-dd").format(endTime));
        }else{
            hashMap.put("endTime","");
        }

        return hashMap;
    }

    public static String countTime(String totalTime) {
        long time = Long.parseLong(totalTime);
        long days = time / (1000 * 60 * 60 * 24);
        long hours = (time % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60);
        long minutes = (time % (1000 * 60 * 60)) / (1000 * 60);
        long seconds = (time % (1000 * 60)) / 1000;
        return days + "天" + hours + "小时" + minutes + "分钟";
    }

    /**
     * 获取当前登录用户信息
     */
    private String getUserId() {
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        String token = request.getHeader("token");
        return RedisUtil.get("dq:token:" + token);
    }


    /**
     * 查询审批数目的值的数组
     *
     * @return
     */
    @Override
    public List notice() {
        //获取当前用户id
        String userId = DgApplyAmountInfoController.getUserId();
        //根据角色查询资产部调查列表
        String roleIds = RedisUtil.get("dq:userRole:" + userId);
        PageUtils data = null;
        List<String> roleIdlist = new ArrayList<>();
        if (roleIds != null) {
            String[] ids = roleIds.split(",");
            roleIdlist = Arrays.asList(ids);
        }
        //查询业务管理模块该用户待处理的记录
        //业务申请模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list1 = applyAmountListMapper.selectApplyList(userId, roleIdlist);
        List<DgNoticeListResponse> list = new ArrayList();
        for (DgNoticeListResponse res : list1) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：业务申请：" + res.getBusinessCode());
            res.setModelId(1);
            list.add(res);
        }

        //担保部调查模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list2 = guaranteeAssignUserMapper.selectGuaranteeList(userId, roleIdlist);
        for (DgNoticeListResponse res : list2) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：担保部调查：" + res.getBusinessCode());
            res.setModelId(2);
            list.add(res);
        }

        //资产部调查模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list3 = assetsInvestigationMapper.selectAssetsList(userId, roleIdlist);
        for (DgNoticeListResponse res : list3) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：资产部调查：" + res.getBusinessCode());
            res.setModelId(3);
            list.add(res);
        }

        //信息部调查模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list4 = messageInvestigationMapper.selectMessageList(userId, roleIdlist);
        for (DgNoticeListResponse res : list4) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：信息部调查：" + res.getBusinessCode());
            res.setModelId(4);
            list.add(res);
        }

        //合规调查模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list5 = complianceInvestigationMapper.selectComplianceList(userId, roleIdlist);
        for (DgNoticeListResponse res : list5) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：合规调查：" + res.getBusinessCode());
            res.setModelId(5);
            list.add(res);
        }

        //工作会模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list6 = workConferenceConsiderMapper.selectWorkConferenceList(userId, roleIdlist);
        for (DgNoticeListResponse res : list6) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：工作会：" + res.getBusinessCode());
            res.setModelId(6);
            list.add(res);
        }

        //贷审会模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list7 = loanCommitteeConsiderMapper.selectLoanCommitteeList(userId, roleIdlist);
        for (DgNoticeListResponse res : list7) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：贷审会：" + res.getBusinessCode());
            res.setModelId(7);
            list.add(res);
        }

        //担保函模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list8 = guaranteeLetterAssignUserMapper.selectGuaranteeLetterList(userId, roleIdlist);
        for (DgNoticeListResponse res : list8) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：担保函：" + res.getBusinessCode());
            res.setModelId(8);
            list.add(res);
        }
        //回款确认模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list9 = paymentConfirmationConsiderMapper.selectPaymentConfirmationList(userId, roleIdlist);
        for (DgNoticeListResponse res : list9) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：回款确认：" + res.getBusinessCode());
            res.setModelId(9);
            list.add(res);
        }

        //放款通知模块，查询该用户待处理的记录
        List<DgNoticeListResponse> list10 = loanNoticeMapper.selectLoanNoticeList(userId, roleIdlist);
        for (DgNoticeListResponse res : list10) {
            res.setBusinessCode("您有一个待办任务需办理，评审内容：放款通知：" + res.getBusinessCode());
            res.setModelId(10);
            list.add(res);
        }
        List<DgNoticeListResponse> nowList = this.ListSort(list);
        return nowList;
    }

    /**
     * 根据时间排序（其他排序如根据id排序也类似）
     * @param list
     */
    public List<DgNoticeListResponse> ListSort(List<DgNoticeListResponse> list) {
        //用Collections这个工具类传list进来排序
        Collections.sort(list, new Comparator<DgNoticeListResponse>() {
            @Override
            public int compare(DgNoticeListResponse o1, DgNoticeListResponse o2) {
                SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
                try {
                    Date dt1 = format.parse(format.format(o1.getCreateTime()));
                    Date dt2 = format.parse(format.format(o2.getCreateTime()));
                    if (dt1.getTime() > dt2.getTime()) {
                        return -1;//大的放前面
                    }else {
                        return 1;
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
                return 0;
            }
        });
        return list;
    }

}