package com.daqing.financial.guarantee.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.daqing.financial.guarantee.mapper.DgProcessManageMapper;
import com.daqing.financial.guarantee.mapper.DgProcessUserMapper;
import com.daqing.financial.guarantee.model.request.CopySendUserRequest;
import com.daqing.financial.guarantee.service.IDgProcessUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.framework.domain.guarantee.DgProcessManage;
import com.daqing.framework.domain.guarantee.DgProcessUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 业务模块选择抄送用户表 服务实现类
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Service
public class DgProcessUserServiceImpl extends ServiceImpl<DgProcessUserMapper, DgProcessUser> implements IDgProcessUserService {

    @Autowired
    private DgProcessManageMapper processManageMapper;

    @Override
    public boolean saveCopySendUser(CopySendUserRequest copySendUserRequest) {
        Integer processId = copySendUserRequest.getProcessId();

        QueryWrapper<DgProcessUser> wrapper = new QueryWrapper<>();
        wrapper.eq("process_id",processId);
        baseMapper.delete(wrapper);

        List<Integer> userIds = copySendUserRequest.getUserIds();
        userIds.forEach(userId -> {
            DgProcessUser processUser = new DgProcessUser();
            processUser.setProcessId(processId);
            processUser.setUserId(userId);
            baseMapper.insert(processUser);
        });
        //更新流程管理的更新时间
        UpdateWrapper<DgProcessManage> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("id",processId);
        DgProcessManage processManage = new DgProcessManage();
        processManage.setUpdateTime(new Date());
        processManageMapper.update(processManage,updateWrapper);
        return true;
    }
}
