package com.daqing.financial.guarantee.util;

import com.daqing.financial.guarantee.mapper.DgAuditProcessMapper;
import com.daqing.framework.domain.guarantee.DgAuditProcess;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @Author chen
 * @DATE 2020/11/26 15:45
 * @Version 1.0
 */
@Component
public class AuditProcessUtil{

    @Autowired
    public DgAuditProcessMapper auditProcessMapper;

    private static AuditProcessUtil auditProcessUtil;

    @PostConstruct
    public void init() {
        auditProcessUtil = this;
        auditProcessUtil.auditProcessMapper = this.auditProcessMapper;
    }

    /**
     * 业务流程工具类
     * @param userId 操作用户id
     * @param businessId 业务id
     * @param approver 操作用户账户
     * @param departmentIds 用户所在部门（多个部门id）
     * @param auditOpinion 审批意见
     * @param processId 进程id
     * @param roleId 用户操作角色
     * @param reason 驳回原因
     * @param loanMoney 审批金额
     * @param loanTern 审批期限
     * @return 添加状态
     */
    public static boolean save(Integer userId,Integer businessId, String approver,
                               String departmentIds, String auditOpinion,Integer processId,
                               Integer roleId,String reason,String loanMoney,String loanTern,Integer status) {
        DgAuditProcess auditProcess = new DgAuditProcess();
        auditProcess.setApprover(approver);
        auditProcess.setAuditOpinion(auditOpinion);
        auditProcess.setUserId(userId);
        auditProcess.setStatus(String.valueOf(status));
        auditProcess.setBusinessId(businessId);
        auditProcess.setDepartmentId(departmentIds);
        auditProcess.setRoleId(roleId);
        auditProcess.setProcessId(processId);
        auditProcess.setLoanMoney(loanMoney);
        auditProcess.setLoanTern(loanTern);
        auditProcess.setReason(reason);
        int insert = auditProcessUtil.auditProcessMapper.insert(auditProcess);
        return insert > 0;
    }
}
