package com.daqing.financial.guarantee.util;

import com.daqing.financial.guarantee.feign.HrmsFeignService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @Author chen
 * @DATE 2020/12/25 16:34
 * @Version 1.0
 */
@Component
public class OrdinaryUtil {

    @Autowired
    private HrmsFeignService hrmsFeignService;

    private static OrdinaryUtil ordinaryUtil;

    @PostConstruct
    public void init() {
        ordinaryUtil = this;
        ordinaryUtil.hrmsFeignService = this.hrmsFeignService;
    }

    /**
     * 根据用户id获取所在部门id
     * @param userId 角色id
     * @return 部门ids
     */
    public static String getDepartmentId(Integer userId) {
        String departmentIds = ordinaryUtil.hrmsFeignService.getDepartmentIds(userId);
        if (departmentIds == null || departmentIds.length() == 0) {
            departmentIds = "0";
        } else {
            boolean flag = true;
            // 判断departmentIds是不是"1,2,3,4"这种格式,不是就设置为"0"
            for (int i = 0; i < departmentIds.length(); i++) {
                if ("0123456789,".indexOf(departmentIds.charAt(i)) == -1) {
                    flag = false;
                }
            }
            if (!flag) {
                departmentIds = "0";
            }
        }
        return departmentIds;
    }
}
