//package com.daqing.financial.hrauth.config;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.http.HttpMethod;
//import org.springframework.security.authentication.AuthenticationManager;
//import org.springframework.security.crypto.password.PasswordEncoder;
//import org.springframework.security.oauth2.config.annotation.configurers.ClientDetailsServiceConfigurer;
//import org.springframework.security.oauth2.config.annotation.web.configuration.AuthorizationServerConfigurerAdapter;
//import org.springframework.security.oauth2.config.annotation.web.configuration.EnableAuthorizationServer;
//import org.springframework.security.oauth2.config.annotation.web.configurers.AuthorizationServerEndpointsConfigurer;
//import org.springframework.security.oauth2.config.annotation.web.configurers.AuthorizationServerSecurityConfigurer;
//import org.springframework.security.oauth2.provider.ClientDetailsService;
//import org.springframework.security.oauth2.provider.code.AuthorizationCodeServices;
//import org.springframework.security.oauth2.provider.code.InMemoryAuthorizationCodeServices;
//import org.springframework.security.oauth2.provider.token.AuthorizationServerTokenServices;
//import org.springframework.security.oauth2.provider.token.DefaultTokenServices;
//import org.springframework.security.oauth2.provider.token.TokenStore;
//
///**
// * 配置OAuth2.0授权服务器
// *
// * @auther River
// * @date 2020/9/21 17:49
// */
//@Configuration
//@EnableAuthorizationServer
//public class AuthorizationServer extends AuthorizationServerConfigurerAdapter {
//
//    @Autowired
//    private TokenStore tokenStore;
//
//    @Autowired
//    private ClientDetailsService clientDetailsService;
//
//    @Autowired
//    private AuthenticationManager authenticationManager;
//
//    @Autowired
//    private AuthorizationCodeServices authorizationCodeServices;
//    @Autowired
//    public PasswordEncoder passwordEncoder;
//
//    /**
//     * 配置令牌的安全约束(允许哪些请求访问)
//     */
//    @Override
//    public void configure(AuthorizationServerSecurityConfigurer security) throws Exception {
//        security
//                .tokenKeyAccess("permitAll()")  // 公开提供公钥加密的端点(就是使用jwt令牌的时候需要的)
//                .checkTokenAccess("permitAll()")  // 校验令牌
//                .allowFormAuthenticationForClients(); //允许表单提交,允许客户端访问 OAuth2 授权接口，否则请求 token 会返回 401。
//    }
//
//    /**
//     * 配置支持哪些客户端访问
//     */
//    @Override
//    public void configure(ClientDetailsServiceConfigurer clients) throws Exception {
//        clients.inMemory()
//                .withClient("order-client")
//                .secret(passwordEncoder.encode("order-secret-8888"))
//                .authorizedGrantTypes("refresh_token", "authorization_code", "password")
//                .accessTokenValiditySeconds(3600)
//                .scopes("all")
//                .and()
//                .withClient("user-client")
//                .secret(passwordEncoder.encode("user-secret-8888"))
//                .authorizedGrantTypes("refresh_token", "authorization_code", "password")
//                .accessTokenValiditySeconds(3600)
//                .scopes("all");
//    }
//
//    /**
//     * 配置令牌(token)的访问端点
//     */
//    @Override
//    public void configure(AuthorizationServerEndpointsConfigurer endpoints) throws Exception {
//        endpoints
//                .authenticationManager(authenticationManager) // 密码模式需要
//                .authorizationCodeServices(authorizationCodeServices) // 授权码模式需要
//                .tokenServices(tokenServices()) // 令牌的管理方式
//                .allowedTokenEndpointRequestMethods(HttpMethod.POST); // 允许的请求方式
//    }
//
//    /**
//     * 令牌服务
//     */
//    @Bean
//    public AuthorizationServerTokenServices tokenServices(){
//        DefaultTokenServices service = new DefaultTokenServices();
//        service.setClientDetailsService(clientDetailsService); // 客户端信息的服务
//        service.setSupportRefreshToken(true); // 是否产生刷新令牌
//        service.setTokenStore(tokenStore); // 令牌的存储策略
//        service.setAccessTokenValiditySeconds(7200); // 令牌有效期
//        service.setRefreshTokenValiditySeconds(259200); // 刷新令牌有效期
//        return service;
//    }
//
//    /**
//     * 授权码服务(设置授权码模式的授权码如何存取,暂时在内存,后期在数据库)
//     */
//    @Bean
//    public AuthorizationCodeServices authorizationCodeServices(){
//
//        return new InMemoryAuthorizationCodeServices();
//    }
//}
