package com.daqing.financial.hrauth.controller;


import com.daqing.financial.hrauth.model.HrmsAccessRecordsLog;
import com.daqing.financial.hrauth.service.IHrmsAccessRecordsLogService;
import com.daqing.financial.hrauth.service.impl.HrmsAccessRecordsLogServiceImpl;
import com.daqing.framework.domain.hrms.response.RolePermissionResponse;
import com.daqing.framework.model.response.ResponseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 访问记录表 前端控制器
 * </p>
 *
 * @author Qyq
 * @since 2021-01-12
 */
@RestController
@RequestMapping("/hrms-access-records-log")
public class HrmsAccessRecordsLogController {
    @Autowired
    private IHrmsAccessRecordsLogService iHrmsAccessRecordsLogService;

    /**
     * 访问记录（显示前五条最新数据），定时任务-每五分钟更新一次
     * @param
     * @return
     */
    //@Scheduled(cron ="0 */5 * * * ?")
    @GetMapping("/queryAccessRecords")
    public ResponseResult queryAccessRecords() {
        List<HrmsAccessRecordsLog> list = iHrmsAccessRecordsLogService.queryAccessRecords();
        return new ResponseResult<List<HrmsAccessRecordsLog>>().SUCCESS(list);
    }

    /**
     * 访问次数
     * @return
     */
    //@Scheduled(cron ="0 */5 * * * ?")
    @GetMapping("/queryVisitNum")
    public ResponseResult queryVisitNum() {
        Map map = iHrmsAccessRecordsLogService.queryVisitNum();
        return new ResponseResult<List<HrmsAccessRecordsLog>>().SUCCESS(map);
    }

    /**
     * 今日登录用户总数
     * @return
     */
    @GetMapping("/queryLoginNum")
    public ResponseResult queryLoginNum() {
        Map map = iHrmsAccessRecordsLogService.queryLoginNum();
        return new ResponseResult<List<HrmsAccessRecordsLog>>().SUCCESS(map);
    }

    /**
     * 登录用户趋势图
     * @return
     */
    @GetMapping("/queryLoginOnline")
    public ResponseResult queryLoginOnline() {
        Map map = iHrmsAccessRecordsLogService.queryLoginOnline();
        return new ResponseResult<List<HrmsAccessRecordsLog>>().SUCCESS(map);
    }

    /**
     * 登录用户趋势图
     * @return
     */
    @GetMapping("/queryLoginOnline2")
    public ResponseResult queryLoginOnline2() {
        Map map = iHrmsAccessRecordsLogService.queryLoginOnline2();
        return new ResponseResult<List<HrmsAccessRecordsLog>>().SUCCESS(map);
    }
}
