package com.daqing.financial.hrauth.controller;

import com.daqing.financial.hrauth.SystemLogControllerApi;
import com.daqing.financial.hrauth.service.LoginLogService;
import com.daqing.financial.hrauth.service.SystemLogService;
import com.daqing.framework.annotation.Log;
import com.daqing.framework.domain.hrms.SystemLog;
import com.daqing.framework.domain.hrms.request.UserLoginLogRequest;
import com.daqing.framework.enums.OperationType;
import com.daqing.framework.enums.OperationUnit;
import com.daqing.framework.model.response.ResponseResult;
import com.daqing.framework.utils.PageUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;



/**
 * @auther River
 * @date 2020/9/22 15:27
 */
@RestController
@RequestMapping("/hrms/auth/systemLog")
@Api(tags = {"日志管理"})
public class SystemLogController implements SystemLogControllerApi {

    @Autowired
    private SystemLogService systemLogService;
    @Autowired
    private LoginLogService loginLogService;

    @GetMapping("/list")
    @ApiOperation(value = "系统日志列表")
    @Log(detail = "系统日志列表",level = 3,operationUnit = OperationUnit.SYSLOG,operationType = OperationType.SELECT)
    public ResponseResult list(@RequestParam("page") Integer page,
                               @RequestParam("size") Integer size,UserLoginLogRequest userLoginLogRequest) {
        PageUtils data = systemLogService.queryPage(page, size,userLoginLogRequest);
        return new ResponseResult<PageUtils>().SUCCESS(data);
    }

    @GetMapping("/loginLogList")
    @Log(detail = "登录日志列表",level = 3,operationUnit = OperationUnit.SYSLOG,operationType = OperationType.SELECT)
    public ResponseResult loginLogList(@RequestParam("page") Integer page,
                                       @RequestParam("size") Integer size, UserLoginLogRequest userLoginLogRequest) {
        PageUtils data = loginLogService.queryPage(page, size,userLoginLogRequest);
        return new ResponseResult<PageUtils>().SUCCESS(data);
    }

    @PostMapping("/insert")
    public ResponseResult insert(@RequestBody SystemLog operationLog) {
        int result = systemLogService.insertLog(operationLog);
        return result>0 ? ResponseResult.SUCCESS("新增日志成功"):ResponseResult.FAIL(40007,"新增日志失败");

    }

}
