package com.daqing.financial.hrauth.controller;

import com.alibaba.fastjson.JSON;
import com.daqing.financial.hrauth.config.WeChatConfig;
import com.daqing.financial.hrauth.util.*;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import net.sf.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/wxpublic")
@Api(tags = "验证公众平台token")
@Slf4j
public class WXTokenController {

    @Autowired
    private WeChatConfig weChatConfig;

    @RequestMapping("/verify_wx_token")
    public String verifyWXToken(HttpServletRequest request) {
        String msgSignature = request.getParameter("signature");
        String msgTimestamp = request.getParameter("timestamp");
        String msgNonce = request.getParameter("nonce");
        String echostr = request.getParameter("echostr");
        if (WXPublicUtils.verifyUrl(msgSignature, msgTimestamp, msgNonce)) {
            return echostr;
        }
        return null;
    }

    @RequestMapping("/sendDingyue")
    public void sendDingyue(String open_id,String time,String jieguo){
        System.out.println("来了订阅服务推送~~~~~~~~~~~~~~~~~~~~");
        Template template=new Template();
        template.setTemplate_id("Oj6kc3K8a1CWd-l4VaWsYM3R-Obr3UOX_M6AQxD7Hpc");//签名id
        template.setTouser(open_id);//用户的 openid
        List<TemplateParam> paras=new ArrayList<TemplateParam>();
        paras.add(new TemplateParam("thing1.DATA","模板内容"));
        paras.add(new TemplateParam("thing2.DATA",time));
        paras.add(new TemplateParam("thing3.DATA",jieguo));
        paras.add(new TemplateParam("thing4.DATA","模板内容"));
        template.setTemplateParamList(paras);

/*        String url="https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid="
                + 小程序的appid
                + "&secret="
                + 小程序的Secret*/

        String url = String.format(weChatConfig.getORDER_URL(),weChatConfig.getXcxAppid(),weChatConfig.getXcxAppsecret());

        System.out.println("消息订阅请求路径===="+url);
        //获取access_token
        Map<String ,Object> baseMap =  HttpUtils.doGet(url);
        String accessToken = (String)baseMap.get("access_token");

        String requestUrl="https://api.weixin.qq.com/cgi-bin/message/subscribe/send?access_token=ACCESS_TOKEN";
        requestUrl=requestUrl.replace("ACCESS_TOKEN", accessToken);
        //requestUrl=requestUrl.replace("ACCESS_TOKEN", WxAppletUserInfo.getMPToken().getString("access_token"));

        System.out.println(template.toJSON());
        JSONObject jsonResult= CommonUtil.httpsRequest(requestUrl, "POST", template.toJSON());
        System.out.println("jsonResult===="+jsonResult);
        if(jsonResult!=null){
            System.out.println(jsonResult);
            int errorCode=jsonResult.getInt("errcode");
            String errorMessage=jsonResult.getString("errmsg");
            if(errorCode==0){
                System.out.println("Send Success");
            }else{
                System.out.println("服务通知发送失败:"+errorCode+","+errorMessage);
            }
        }
    }



}


