package com.daqing.financial.hrauth.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.framework.domain.hrms.EmployeeRoleEntity;
import com.daqing.framework.domain.hrms.PermissionEntity;
import com.daqing.framework.domain.hrms.RolePermissionEntity;
import com.daqing.framework.domain.hrms.request.RolePermissionRequest;
import com.daqing.framework.domain.hrms.response.RolePermissionResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 记录菜单权限
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Mapper
public interface RolePermissionMapper extends BaseMapper<RolePermissionEntity> {
    IPage<RolePermissionResponse> pageByCondition(Page page);

    List<RolePermissionResponse> queryPermissionByRoleId(Long roleId);

    int addHrmsRole(RolePermissionRequest rolePermission);

    boolean addHrmsRolePermission(@Param("rolePermissionList")List<RolePermissionRequest> rolePermissionList);

    int updateHrmsRole(RolePermissionRequest rolePermission);

    boolean deleteHrmsRolePermission(Long roleId);

    int queryCountByRoleId(Long roleId);

    boolean deleteHrmsRoleByRoleId(Long roleId);

    int uniqueRoleName(String name);

    EmployeeRoleEntity selectRoleByUserId(Long id);

    //List<RolePermissionEntity> selectRolePermiByPermiId(Long permissionId);

    List<PermissionEntity> queryPermissionTree();

    List<RolePermissionEntity> queryPermissionArrById(Long roleId);
}
