package com.daqing.financial.hrauth.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.hrms.UserEntity;
import com.daqing.framework.domain.hrms.request.LoginRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * @auther River
 * @date 2020/9/22 14:55
 */
@Mapper
public interface UserLoginDao extends BaseMapper<UserEntity> {

    UserEntity getUser(String code);
    int selectPhoneCount(String phoneAccount);
    int updatePasswordByPhoneAccount(@Param("phoneAccount") String phoneAccount, @Param("password") String password);

    UserEntity login(LoginRequest loginRequest);
    UserEntity selectByPhoneAccount(String phoneAccount);
    UserEntity findByOpenid(String openId);
    int updateOpenIdByPhoneAccount(@Param("phoneAccount") String phoneAccount, @Param("wechatId") String wechatId);

    Boolean updateWeChat(@Param("id") Long id, @Param("weChatId") String weChatId);

    String getTokenByUserId(Long userId);

    Boolean updateUserLogin(@Param("userId") Long userId, @Param("date") Date date);

    Integer countWeChatId(String weChatId);

    String getNameByUserId(Long userId);

    UserEntity selectByManagerId();

    int updateManagePassword(String newMD5);

    int selectUserEmpCount(@Param("md5UnionId")String md5UnionId);

    UserEntity xcxLogin(LoginRequest loginRequest);

    String readIsRemind(Long id);
}
