package com.daqing.financial.hrauth.feign;

import com.daqing.framework.domain.hrms.PermissionEntity;
import com.daqing.framework.domain.hrms.RoleEntity;
import com.daqing.framework.domain.hrms.SystemLog;
import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


/**
 * 这是一个声明式的远程调用
 */
@FeignClient(value = "dq-financial-hrms-auth",contextId = "hrms-auth")
public interface HrauthFeignService {

    @GetMapping("/hrms/auth/permission/getUserRoles")
    ResponseResult<List<RoleEntity>> getUserRoles(@RequestParam("userId")Integer userId);

    @GetMapping("/hrms/auth/permission/queryPermissionList")
    ResponseResult<List<PermissionEntity>> queryPermissionList(@RequestParam("jiacan")String jiacan);

    @PostMapping("/hrms/auth/systemLog/insert")
    ResponseResult insert(@RequestBody SystemLog operationLog);
}
