package com.daqing.financial.hrauth.feign;

import com.daqing.framework.domain.hrms.EmployeeEntity;
import com.daqing.framework.domain.hrms.PermissionEntity;
import com.daqing.framework.domain.hrms.RolePermissionEntity;
import com.daqing.framework.model.response.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 这是一个声明式的远程调用
 */
@Component
@FeignClient(name="dq-financial-hrms",contextId = "hrms")
public interface HrmsFeignService {

    @RequestMapping(method = RequestMethod.GET, value = "/hrms/employee/getEmployeeByUserId")
    ResponseResult<EmployeeEntity> getEmployeeByUserId(@RequestParam("userId") Integer userId);

    @GetMapping("/hrms/permission/queryPermissionList")
    ResponseResult<List<PermissionEntity>> queryPermissionList();

    @GetMapping("/hrms/permission/queryRolePermissionList")
    ResponseResult<List<RolePermissionEntity>> queryRolePermissionList(@RequestParam("id") Long id);

    /**
     * 根据userId获取用户名以及部门名称
     */
    @PostMapping("hrms/employee/getAccountAndDeptNameById")
    ResponseResult getAccountAndDeptNameById(@RequestBody List<Integer> ids);

    @GetMapping("hrms/employee/getEmpmsgById")
    EmployeeEntity getEmpmsgById(@RequestParam("id") Long id);
}
