package com.daqing.financial.hrauth.handle;

import com.daqing.financial.hrauth.dao.UserLoginDao;
import com.daqing.financial.hrauth.service.UserLoginService;
import com.daqing.financial.hrauth.service.impl.UserDetailsServiceImpl;
import com.daqing.framework.domain.hrms.request.LoginRequest;
import com.daqing.framework.domain.hrms.response.LoginResponse;
import com.daqing.framework.model.response.ResponseResult;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.MapUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 *  <p> 自定义认证处理 </p>
 *
 * @description :
 * @author : zhengqing
 * @date : 2019/10/12 14:49
 */
@Slf4j
@Component
public class AdminAuthenticationProvider implements AuthenticationProvider {

    @Autowired
    UserDetailsServiceImpl userDetailsService;
    @Resource
    private UserLoginDao userMapper;
    @Autowired
    UserLoginService userLoginService;

    @SneakyThrows
    @Override
    public Authentication authenticate(Authentication authentication) throws AuthenticationException {
        log.info("来了authenticate~~~~");
        MyAuthenticationToken authRequest=(MyAuthenticationToken)authentication;
        String tenDayEffective= MapUtils.getString(authRequest.getParam(),"tenDayEffective","1");
        String type= MapUtils.getString(authRequest.getParam(),"type","1");
        String wechatId= MapUtils.getString(authRequest.getParam(),"wechatId",null);
        String userName = MapUtils.getString(authRequest.getParam(),"userName",null);
        // 获取前端表单中输入后返回的用户名、密码
        //String userName = (String) authentication.getPrincipal();
        String password = (String) authentication.getCredentials();

        LoginRequest loginRequest = new LoginRequest();
        loginRequest.setPhone(userName);
        loginRequest.setPassword(password);
        loginRequest.setTenDayEffective(Integer.parseInt(tenDayEffective));
        loginRequest.setType(Integer.parseInt(type));
        loginRequest.setWechatId(wechatId);
        ResponseResult login = userLoginService.login(loginRequest);
        LoginResponse data = (LoginResponse) login.getData();

        SecurityUser userInfo = (SecurityUser) userDetailsService.loadUserByUsername(userName);

/*        boolean isValid = PasswordUtils.isValidPassword(password, userInfo.getPassword(), userInfo.getCurrentUserInfo().getSalt());
        // 验证密码
        if (!isValid) {
            throw new BadCredentialsException("密码错误！");
        }

        // 前后端分离情况下 处理逻辑...
        // 更新登录令牌 - 之后访问系统其它接口直接通过token认证用户权限...
        String token = PasswordUtils.encodePassword(System.currentTimeMillis() + userInfo.getCurrentUserInfo().getSalt(), userInfo.getCurrentUserInfo().getSalt());
        UserEntity user = userMapper.selectById(userInfo.getCurrentUserInfo().getId());
        user.setToken(token);
        userMapper.updateById(user);
        userInfo.getCurrentUserInfo().setToken(token);*/

        userInfo.getCurrentUserInfo().setHeadPortaritUrl(data.getHeadPortaritUrl());
        userInfo.getCurrentUserInfo().setToken(data.getToken());
        return new UsernamePasswordAuthenticationToken(userInfo, password, userInfo.getAuthorities());
    }

    @Override
    public boolean supports(Class<?> aClass) {
        return true;
    }
}
