package com.daqing.financial.hrauth.handle;

import com.daqing.financial.hrauth.model.ApiResult;
import com.daqing.financial.hrauth.util.ResponseUtils;
import com.daqing.framework.domain.hrms.UserEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.security.core.Authentication;
import org.springframework.security.web.authentication.AuthenticationSuccessHandler;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 *  <p> 认证成功处理 </p>
 *
 * @description :
 * @author : zhengqing
 * @date : 2019/10/12 15:31
 */
@Slf4j
@Component
public class AdminAuthenticationSuccessHandler implements AuthenticationSuccessHandler {

    @Override
    public void onAuthenticationSuccess(HttpServletRequest httpServletRequest, HttpServletResponse response, Authentication auth) throws IOException, ServletException {
        UserEntity user = new UserEntity();
        log.info("来了认证成功处理~~~~~~~~~~~~~~~~~~~~~~~~~~");
        SecurityUser securityUser = ((SecurityUser) auth.getPrincipal());
        user.setAccount(securityUser.getCurrentUserInfo().getAccount());
        user.setToken(securityUser.getCurrentUserInfo().getToken());
        user.setHeadPortaritUrl(securityUser.getCurrentUserInfo().getHeadPortaritUrl());
        user.setId(securityUser.getCurrentUserInfo().getId());
        ResponseUtils.out(response, ApiResult.ok("登录成功!", user));
    }

}
