package com.daqing.financial.hrauth.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.framework.domain.hrms.PermissionEntity;
import com.daqing.framework.domain.hrms.RoleEntity;
import com.daqing.framework.domain.hrms.RolePermissionEntity;
import com.daqing.framework.domain.hrms.request.RolePermissionRequest;
import com.daqing.framework.domain.hrms.response.RolePermissionResponse;
import com.daqing.framework.utils.PageUtils;

import java.util.List;

/**
 * 记录菜单权限
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
public interface RolePermissionService extends IService<RolePermissionEntity> {

    List<PermissionEntity> listWithTree();

    List<RolePermissionResponse> listWithPermissionTree(Long roleId);

    PageUtils queryPage(Integer page, Integer size);

    int addHrmsRole(RolePermissionRequest rolePermission);

    boolean addHrmsRolePermission(List<RolePermissionRequest> rolePermissionList);

    int updateHrmsRole(RolePermissionRequest rolePermission);

    boolean deleteHrmsRolePermission(Long roleId);

    int queryCountByRoleId(Long roleId);

    boolean deleteHrmsRoleByRoleId(Long roleId);

    int uniqueRoleName(String name);

    List<RolePermissionEntity> queryPermissionArrById(Long roleId);

    List<RoleEntity> getUserRoles(Integer userId);

    List<PermissionEntity> getList(String jiacan);
}

