//package com.daqing.financial.hrauth.util;
//
//import org.apache.commons.codec.binary.Base64;
//import org.bouncycastle.jce.provider.BouncyCastleProvider;
//
//import javax.crypto.*;
//import javax.crypto.spec.IvParameterSpec;
//import javax.crypto.spec.SecretKeySpec;
//import java.io.UnsupportedEncodingException;
//import java.nio.charset.StandardCharsets;
//import java.security.*;
//import java.security.spec.InvalidParameterSpecException;
//import java.util.Arrays;
//
///**
// * Created by yfs on 2018/3/25.
// * <p>
// * AES-128-CBC 加密方式
// * 注：
// * AES-128-CBC可以自己定义“密钥”和“偏移量“。
// * AES-128是jdk自动生成的“密钥”。
// */
//public class AesCbcUtil {
//
//
//    static {
//        //BouncyCastle是一个开源的加解密解决方案，主页在http://www.bouncycastle.org/
//        Security.addProvider(new BouncyCastleProvider());
//    }
//
//    /**
//     * AES解密
//     *
//     * @param data           //密文，被加密的数据
//     * @param key            //秘钥
//     * @param iv             //偏移量
//     * @param encodingFormat //解密后的结果需要进行的编码
//     * @return
//     * @throws Exception
//     */
//    public static String decrypt(String data, String key, String iv, String encodingFormat) throws Exception {
////        initialize();
//
//        //被加密的数据
//        byte[] dataByte = Base64.decodeBase64(data);
//        //加密秘钥
//        byte[] keyByte = Base64.decodeBase64(key);
//        //偏移量
//        byte[] ivByte = Base64.decodeBase64(iv);
//
//
//        try {
//            Cipher cipher = Cipher.getInstance("AES/CBC/PKCS7Padding");
//
//            SecretKeySpec spec = new SecretKeySpec(keyByte, "AES");
//
//            AlgorithmParameters parameters = AlgorithmParameters.getInstance("AES");
//            parameters.init(new IvParameterSpec(ivByte));
//
//            cipher.init(Cipher.DECRYPT_MODE, spec, parameters);// 初始化
//
//            byte[] resultByte = cipher.doFinal(dataByte);
//            if (null != resultByte && resultByte.length > 0) {
//                String result = new String(resultByte, encodingFormat);
//                return result;
//            }
//            return null;
//        } catch (NoSuchAlgorithmException e) {
//            e.printStackTrace();
//        } catch (NoSuchPaddingException e) {
//            e.printStackTrace();
//        } catch (InvalidParameterSpecException e) {
//            e.printStackTrace();
//        } catch (InvalidKeyException e) {
//            e.printStackTrace();
//        } catch (InvalidAlgorithmParameterException e) {
//            e.printStackTrace();
//        } catch (IllegalBlockSizeException e) {
//            e.printStackTrace();
//        } catch (BadPaddingException e) {
//            e.printStackTrace();
//        } catch (UnsupportedEncodingException e) {
//            e.printStackTrace();
//        }
//
//        return null;
//    }
//
//    /**
//     * AES解密
//     *
//     * @param encryptedData 消息密文
//     * @param ivStr         iv字符串
//     */
//    public static byte[] decrypt2(String sessionKey, String encryptedData, String ivStr) {
//        try {
//            AlgorithmParameters params = AlgorithmParameters.getInstance("AES");
//            params.init(new IvParameterSpec(Base64.decodeBase64(ivStr)));
//
//            Cipher cipher = Cipher.getInstance("AES/CBC/NoPadding");
//            cipher.init(Cipher.DECRYPT_MODE, new SecretKeySpec(Base64.decodeBase64(sessionKey), "AES"), params);
//
//            String encodingFormat = "UTF-8";
//            byte[] resultByte = cipher.doFinal(Base64.decodeBase64(encryptedData));
//            return  resultByte;
///*            System.out.println("resultByte===="+resultByte);
//            if (null != resultByte && resultByte.length > 0) {
//                String result = new String(resultByte, encodingFormat);
//                return result;
//            }
//            return null;*/
//            //return new String(PKCS7Encoder.decode(cipher.doFinal(Base64.decodeBase64(encryptedData))), StandardCharsets.UTF_8);
//        } catch (Exception e) {
//            throw new RuntimeException("AES解密失败", e);
//        }
//    }
//
//
//    public static String decryptNew(String encryptedData, String sessionKey, String iv) throws Exception {
//        String result = "";
//        // 被加密的数据
//        byte[] dataByte = Base64.decodeBase64(encryptedData);
//        // 加密秘钥
//        byte[] keyByte = Base64.decodeBase64(sessionKey);
//        // 偏移量
//        byte[] ivByte = Base64.decodeBase64(iv);
//        try {
//            // 如果密钥不足16位，那么就补足. 这个if 中的内容很重要
//            int base = 16;
//            if (keyByte.length % base != 0) {
//                int groups = keyByte.length / base + (keyByte.length % base != 0 ? 1 : 0);
//                byte[] temp = new byte[groups * base];
//                Arrays.fill(temp, (byte) 0);
//                System.arraycopy(keyByte, 0, temp, 0, keyByte.length);
//                keyByte = temp;
//            }
//            // 初始化
//            Security.addProvider(new BouncyCastleProvider());
//            Cipher cipher = Cipher.getInstance("AES/CBC/PKCS7Padding", "BC");
//            SecretKeySpec spec = new SecretKeySpec(keyByte, "AES");
//            AlgorithmParameters parameters = AlgorithmParameters.getInstance("AES");
//            parameters.init(new IvParameterSpec(ivByte));
//            // 初始化
//            cipher.init(Cipher.DECRYPT_MODE, spec, parameters);
//            byte[] resultByte = cipher.doFinal(dataByte);
//            if (null != resultByte && resultByte.length > 0) {
//                result = new String(resultByte, "UTF-8");
//            }
//        } catch (NoSuchAlgorithmException e) {
//            e.printStackTrace();
//        } catch (NoSuchPaddingException e) {
//            e.printStackTrace();
//        } catch (InvalidParameterSpecException e) {
//            e.printStackTrace();
//        } catch (IllegalBlockSizeException e) {
//            e.printStackTrace();
//        } catch (BadPaddingException e) {
//            e.printStackTrace();
//        } catch (UnsupportedEncodingException e) {
//            e.printStackTrace();
//        } catch (InvalidKeyException e) {
//            e.printStackTrace();
//        } catch (InvalidAlgorithmParameterException e) {
//            e.printStackTrace();
//        } catch (NoSuchProviderException e) {
//            e.printStackTrace();
//        }
//        return result;
//    }
//
//}