package com.daqing.financial.hrms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.daqing.framework.domain.hrms.DepartmentVO;
import com.daqing.framework.domain.hrms.DeptEntity;
import com.daqing.framework.domain.hrms.EmployeeEntity;
import com.daqing.framework.domain.hrms.ext.EmployeeVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 记录部门信息
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Mapper
public interface DeptDao extends BaseMapper<DeptEntity> {
	Integer getMaxSort(@Param("parentId") Long parentId);

	Integer getEmpDeptCount(@Param("deptId") Long deptId);

	List<DeptEntity> getByPositionId(@Param("positionId") Long positionId);

	List<DepartmentVO> listDepartment();

	List<DepartmentVO> getDepartmentByParentId(Long parentId);

	List<DepartmentVO> listDepartmentIdAndName();

	List<EmployeeVO> listEmployeeById(Long id);

	List<EmployeeVO> listEmployeeByDeptId(Long deptId);

	List<Map<Long, String>> listDepartments();
}
