package com.daqing.financial.hrms.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.daqing.framework.domain.hrms.PositionEntity;
import com.daqing.framework.domain.hrms.ext.PositionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 记录职位信息
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Mapper
public interface PositionDao extends BaseMapper<PositionEntity> {

    Integer getCountByNameAndDeptId(@Param("deptId") Long deptId, @Param("name") String name);

    Integer getCountByNameAndDeptIdAndId(@Param("deptId") Long deptId, @Param("name") String name, @Param("id") Long id);

    IPage<PositionVO> pageByCondition(Page page, @Param("queryMsg") String queryMsg);

    List<PositionVO> listPositionIdAndName();

    List<PositionVO> listPositionIdAndNameByDeptId(@Param("deptIds") List<Long> deptIds);
}
