package com.daqing.financial.hrms.dao;

import com.daqing.framework.domain.hrms.UserEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人资管理系统，员工账号信息表，用于存储员工账号密码等登录相关数据
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Mapper
public interface UserDao extends BaseMapper<UserEntity> {

    String getPasswordById(Long id);

    String getAccountById(Long id);

    Boolean updatePassword(@Param("id") Long id, @Param("password") String password);

    String getPhoneAccount(Long id);

    Boolean updatePhoneAccount(@Param("id")Long id,@Param("phoneAccount") String phoneAccount);

    Boolean updateWeChat(@Param("id") Long id, @Param("weChatId") String weChatId);

    Long getEmployeeIdByUserId(Long userId);

    List<String> listPhoneAccount();

    Boolean updateHeadPortraitUrl(@Param("id") Long employee_id, @Param("url") String headPortraitUrl);
}
