package com.daqing.financial.hrms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.framework.domain.hrms.DepartmentVO;
import com.daqing.framework.domain.hrms.DeptEntity;
import com.daqing.framework.domain.hrms.EmployeeEntity;
import com.daqing.framework.domain.hrms.ext.EmployeeVO;
import com.daqing.framework.domain.hrms.request.DeptAddRequest;

import java.util.List;
import java.util.Map;

/**
 * 记录部门信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
public interface DeptService extends IService<DeptEntity> {

    boolean saveDept(DeptAddRequest deptAddRequest);

    List<DeptEntity> listWithTree();

    boolean updateDept(DeptEntity dept);

    boolean deleteByIds(Long[] ids);

    List<DepartmentVO> listDepartmentAndEmployeeTree(String account);

    //List<DepartmentVO> listDeptAndEmpTree(String name,List<Long> empIds);

    DepartmentVO getDepartmentAndEmployee(Long id);

    List<EmployeeVO> listEmployeeById(Long id);

    List<EmployeeVO> listEmployeeByDeptId(Long deptId);

    List<DepartmentVO> listEmployeeTrees(String account);

    List<Map<Long, String>> listDepartment();
}

