package com.daqing.financial.hrms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.framework.domain.crms.request.EmployeeDisableRequest;
import com.daqing.framework.domain.guarantee.po.DgGuaranteePO;
import com.daqing.framework.domain.guarantee.response.EmployeeMessageResponse;
import com.daqing.framework.domain.hrms.UserEntity;
import com.daqing.framework.domain.hrms.ext.EmployeeAndUserVO;
import com.daqing.framework.domain.hrms.ext.EmployeeInfoVO;
import com.daqing.framework.domain.hrms.ext.EmployeeTO;
import com.daqing.framework.domain.hrms.ext.EmployeeVO;
import com.daqing.framework.domain.hrms.request.EmployeeRequest;
import com.daqing.framework.domain.hrms.response.RolePermissionResponse;
import com.daqing.framework.model.response.ResponseResult;
import com.daqing.framework.utils.PageUtils;
import com.daqing.framework.domain.hrms.EmployeeEntity;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 记录员工的基本信息，如姓名、电话、部门等
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
public interface EmployeeService extends IService<EmployeeEntity> {

    List<EmployeeTO> getEmployeeAndDeptById(List<Long> ids);

    EmployeeEntity getEmployeeById(Long id);

    List<EmployeeVO> listEmployeeName();

    PageUtils queryPage(Integer page, Integer size, EmployeeRequest employeeRequest);

    Boolean delete(List<Long> ids);

    Boolean start(Long id);

    Boolean stop(EmployeeDisableRequest employeeDisableRequest);

    UserEntity forbidInfo(Long id);

    void disableDetection();

    Boolean reset(Long id);

    EmployeeInfoVO info(Long id);

    List<RolePermissionResponse> permissionTreeList(List<Long> ids);

    Boolean update(EmployeeInfoVO employeeInfoVO);

    Boolean save(EmployeeInfoVO employeeInfoVO);

    Boolean excelExport(HttpServletResponse response);

    Boolean excelTemplate(HttpServletResponse response);

    Boolean excelImport(MultipartFile file);

    EmployeeEntity getEmployeeByUserId(Long userId);

    List<EmployeeMessageResponse> getAccountAndDeptNameById(List<Integer> ids);

    boolean insertUserRole(Long userId, Long roleId);

    boolean insertUsrRole(List<DgGuaranteePO> list);

    Boolean saveUserRole(Long userId, Long roleId);

    List<EmployeeVO> listEmpNameByUserId(List<Integer> userIds);

    int selectUserRole(Long userId, Long roleId);

    String getDeptIds(Integer userId);

    EmployeeEntity getEmpmsgById(Long id);

    List<EmployeeTO> getAccountAndDeptNameByIds(List<Long> ids);

    List<EmployeeVO> getUserIdByRoleId();
}

