package com.daqing.financial.hrms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.daqing.framework.domain.hrms.PositionEntity;
import com.daqing.framework.domain.hrms.ext.PositionVO;
import com.daqing.framework.domain.hrms.ext.RoleVO;
import com.daqing.framework.domain.hrms.request.PositionRequest;
import com.daqing.framework.domain.hrms.response.PositionResponse;
import com.daqing.framework.utils.PageUtils;

import java.util.List;

/**
 * 记录职位信息
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
public interface PositionService extends IService<PositionEntity> {

    PageUtils queryPage(Integer page, Integer size, String queryMsg);

    boolean savePosition(PositionRequest positionRequest);

    boolean updatePosition(PositionRequest positionRequest);

    PositionResponse getPositionById(Long id);

    void removePositionByIds(List<Long> asList);

    List<PositionVO> listPositionIdAndName(List<Long> deptIds);

    List<RoleVO> listRoleIdAndName();
}

