package com.daqing.financial.hrms.service.impl;

import com.daqing.financial.hrms.entity.vo.EmployeeVO;
import com.daqing.financial.hrms.entity.vo.UserRoleVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.daqing.framework.utils.PageUtils;
import com.daqing.framework.utils.Query;

import com.daqing.financial.hrms.dao.RoleDao;
import com.daqing.framework.domain.hrms.RoleEntity;
import com.daqing.financial.hrms.service.RoleService;


@Service("roleService")
public class RoleServiceImpl extends ServiceImpl<RoleDao, RoleEntity> implements RoleService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<RoleEntity> page = this.page(
                new Query<RoleEntity>().getPage(params),
                new QueryWrapper<RoleEntity>()
        );

        return new PageUtils(page);
    }

    @Override
    public List<EmployeeVO> getEmployeesByRoleId(String roleId) {
        return baseMapper.selectEmployeesByRoleId(roleId);
    }

    @Override
    public boolean saveUserRole(UserRoleVO userRoleVO) {
        String roleId = userRoleVO.getRoleId();
        baseMapper.removeUserRole(roleId);

        List<String> userIds = userRoleVO.getUserIds();
        userIds.forEach(userId -> {
            //添加前判断是否重复
            int count = baseMapper.selectUserRole(roleId, userId);
            if (count==0){
                baseMapper.saveUserRole(roleId,userId);
            }
        });
        return true;
    }

}