package com.daqing.framework.annotation;

import com.daqing.framework.enums.OperationType;
import com.daqing.framework.enums.OperationUnit;

import java.lang.annotation.*;

/**
 * @author Rogers
 * 操作日志注解
 * @create 2020-07-03
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {

    /**
     * 方法描述,可使用占位符获取参数:{{tel}}
     */
    String detail() default "";

    /**
     * 日志等级:自己定，此处分为1-9
     */
    int level() default 0;

    /**
     * 操作类型(enum):主要是select,insert,update,delete
     */
    OperationType operationType() default OperationType.UNKNOWN;

    /**
     * 被操作的对象(此处使用enum):可以是任何对象，如表名(user)，或者是工具(redis)
     */
    OperationUnit operationUnit() default OperationUnit.UNKNOWN;

    /** 该属性需要访问的微服务名称 */
//    String serverId();
//
//    /** 表名 */
//    String tableName();


}


