package com.daqing.framework.exception;

import com.daqing.framework.model.response.ResultCode;

/**
 * @Author: gongsj.
 * @Description: 自定义异常处理类
 * @Date:Created in 2020/09/07 11:35.
 * @Modified By:
 */
public class CustomException extends RuntimeException {
    private final ResultCode resultCode;

    public CustomException(ResultCode resultCode) {
        //异常信息为错误码+异常信息
        super("错误码：" + resultCode.code() + "，错误信息：" + resultCode.message());
        this.resultCode = resultCode;
    }

    public ResultCode getResultCode() {
        return this.resultCode;
    }
}
