package com.daqing.framework.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @ClassName SystemLog
 * @Description 操作日志
 * @Date 2020/9/29 14:30
 * @Version 1.0
 */

@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
@TableName("sys_action_log")
@ApiModel("操作日志")
public class SystemLog {
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 日志等级
     */
    @ApiModelProperty("日志等级")
    private Integer logLevel;
    /**
     * 被操作的对象
     */
    @ApiModelProperty("被操作的对象")
    private String operationUnit;
    /**
     * 方法名
     */
    @ApiModelProperty("method")
    private String method;
    /**
     * 参数
     */
    @ApiModelProperty("参数")
    private String args;
    /**
     * 操作人id
     */
    @ApiModelProperty("操作人id")
    private String userId;
    /**
     * 操作人
     */
    @ApiModelProperty("操作人")
    private String userName;
    /**
     * 日志描述
     */
    @ApiModelProperty("日志描述")
    private String logDescribe;
    /**
     * 操作类型
     */
    @ApiModelProperty("操作类型")
    private String operationType;
    /**
     * 方法运行时间
     */
    @ApiModelProperty("方法运行时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Long runTime;
    /**
     * 方法返回值
     */
    @ApiModelProperty("方法返回值")
    private String returnValue;
    /**
     * 内网IP地址
     */
    @ApiModelProperty("内网IP地址")
    private String ipAddressLan;

    /**
     * 外网IP地址
     */
    @ApiModelProperty("外网IP地址")
    private String ipAddressWan;

    @ApiModelProperty("工号")
    private String jobNumber;
}
