package com.daqing.framework.domain.crms;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Pattern;

/**
 * 企业类型客户信息表
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 09:57:32
 */
@Data
@TableName("crms_company_customer")
public class CompanyCustomerEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	//@Pattern(regexp = "^\\\\d+$",message = "成立年限只能为整形数字")
	@ApiModelProperty(value = "id")
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;
	/**
	 * 注册资金
	 */
	@ApiModelProperty(value = "注册资金")
	private String registeredCapital;

	@ApiModelProperty(value = "社会统一代码")
	private String socialUnifiedCode;

	/**
	 * 所属行业
	 */
	@ApiModelProperty(value = "所属行业")
	private String industry;
	/**
	 * 成立年限
	 */
	@ApiModelProperty(value = "成立年限")
	//@Pattern(regexp = "^\\\\d+$",message = "成立年限只能为整形数字")
	private Integer years;
	/**
	 * 所在区域
	 */
	@ApiModelProperty(value = "所在区域")
	private String region;
	/**
	 * 股东名称
	 */
	@ApiModelProperty(value = "股东名称")
	private String shareholder;
	/**
	 * 关联企业
	 */
	@ApiModelProperty(value = "关联企业")
	private String affiliatedCompany;
	/**
	 * 员工个数
	 */
	@ApiModelProperty(value = "员工人数")
	private String empNum;
	/**
	 * 联系人
	 */
	@ApiModelProperty(value = "联系人")
	private String linkman;

	@ApiModelProperty(value = "联系人的联系电话")
	private String linkPhone;

	/**
	 * 业务来源
	 */
	@ApiModelProperty(value = "业务来源")
	private String businessSource;

	@ApiModelProperty(value = "经营范围")
	private String businessScope;

	@ApiModelProperty(value = "经营地址")
	private String businessAddr;

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "注册时间")
	private Date registerTime;

	@ApiModelProperty(value = "注册地址")
	private String registerAddr;

	@ApiModelProperty(value = "法人-身份证号")
	private String legalIdNumber;

	@ApiModelProperty(value = "法人-户口所在地")
	private String legalHukouAddr;

	@ApiModelProperty(value = "法人-联系电话")
	private String legalPhone;

	@ApiModelProperty(value = "法人-家庭住址")
	private String legalHomeAddr;

	@ApiModelProperty(value = "法人-性别 1、男，0、女")
	private Integer legalGender;

	@ApiModelProperty(value = "法人-姓名")
	private String legalName;

	/**
	 * 客户基本信息表id
	 */
	@ApiModelProperty(value = "客户基本信息表id")
	private Long customerId;

	/**
	 * 是否存在关联人
	 */
	@ApiModelProperty(value = "是否存在关联人")
	private Integer isExistRelated;

}
