package com.daqing.framework.domain.crms.ext;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 客户信息详情(企业类型)
 * @auther River
 * @date 2020/9/29 11:00
 */
@Data
@ToString
public class CustomerCompanyDTO implements Serializable {

    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String code;
    /**
     * 客户类型：1、企业类型，0：个人类型
     */
    @ApiModelProperty(value = "企业类型")
    private Integer type;
    /**
     * 客户经理
     */
    @ApiModelProperty(value = "客户经理")
    private Long manager;
    /**
     * 客户名称
     */
    @ApiModelProperty(value = "客户名称")
    private String name;
    /**
     * 联系地址
     */
    @ApiModelProperty(value = "联系地址")
    private String addr;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;
    /**
     * 注册资金
     */
    @ApiModelProperty(value = "注册资金")
    private String registeredCapital;
    /**
     * 所属行业
     */
    @ApiModelProperty(value = "所属行业")
    private String industry;
    /**
     * 成立年限
     */
    @ApiModelProperty(value = "成立年限")
    private Integer years;
    /**
     * 所在区域
     */
    @ApiModelProperty(value = "所在区域")
    private String region;
    /**
     * 股东名称
     */
    @ApiModelProperty(value = "股东名称")
    private String shareholder;
    /**
     * 关联企业
     */
    @ApiModelProperty(value = "关联企业")
    private String affiliatedCompany;
    /**
     * 员工个数
     */
    @ApiModelProperty(value = "员工个数")
    private String empNum;
    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String linkman;
    /**
     * 业务来源
     */
    @ApiModelProperty(value = "业务来源")
    private String businessSource;

    @ApiModelProperty(value = "社会统一代码")
    private String socialUnifiedCode;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "注册时间")
    private Date registerTime;

    @ApiModelProperty(value = "注册地址")
    private String registerAddr;

    @ApiModelProperty(value = "联系人的联系电话")
    private String linkPhone;

    @ApiModelProperty(value = "经营地址")
    private String businessAddr;

    @ApiModelProperty(value = "经营范围")
    private String businessScope;

    @ApiModelProperty(value = "法人-姓名")
    private String legalName;

    @ApiModelProperty(value = "法人-性别 1、男，0、女")
    private Integer legalGender;

    @ApiModelProperty(value = "法人-身份证号")
    private String legalIdNumber;

    @ApiModelProperty(value = "法人-户口所在地")
    private String legalHukouAddr;

    @ApiModelProperty(value = "法人-联系电话")
    private String legalPhone;

    @ApiModelProperty(value = "法人-家庭住址")
    private String legalHomeAddr;

    @ApiModelProperty(value = "是否存在关联人 0->否；1->是")
    private Integer isExistRelated;

}
