package com.daqing.framework.domain.crms.ext;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.Email;
import java.io.Serializable;
import java.util.Date;

/**
 * 企业类型客户返回信息包装类(excel)
 *
 * @auther River
 * @date 2020/9/14 10:48
 */
@Data
@ToString
public class CustomerCompanyVO extends BaseRowModel implements Serializable {

    /**
     * 客户编号
     */
    @ExcelProperty(value = "编号",index = 0)
    private String code;
    /**
     * 客户经理
     */
    @ExcelProperty(value = "客户经理",index = 1)
    private String manager;
    /**
     * 客户名称
     */
    @ExcelProperty(value = "姓名",index = 2)
    private String name;

    @ExcelProperty(value = "社会统一代码", index = 3)
    private String socialUnifiedCode;

    @ExcelProperty(value = "联系电话", index = 4)
    private String phone;

    @ExcelProperty(value = "注册时间", index = 5)
    private Date registerTime;

    @ExcelProperty(value = "注册资金(万元)", index = 6)
    private String registeredCapital;

    @ExcelProperty(value = "员工人数(人)", index = 7)
    private String empNum;

    @ExcelProperty(value = "注册地址", index = 8)
    private String registerAddr;

    @ExcelProperty(value = "联系人", index = 9)
    private String linkman;

    @ExcelProperty(value = "联系人的联系电话", index = 10)
    private String linkPhone;

    @ExcelProperty(value = "经营地址", index = 11)
    private String businessAddr;

    @ExcelProperty(value = "业务来源", index = 12)
    private String businessSource;

    @ExcelProperty(value = "经营范围", index = 13)
    private String businessScope;

    @ExcelProperty(value = "法人-身份证号",index = 14)
    private String legalIdNumber;

    @ExcelProperty(value = "法人-户口所在地",index = 15)
    private String legalHukouAddr;

    @ExcelProperty(value = "法人-联系电话",index = 16)
    private String legalPhone;

    @ExcelProperty(value = "法人-家庭住址",index = 17)
    private String legalHomeAddr;

    @ExcelProperty(value = "法人-性别 1:男，0:女",index = 18)
    private Integer legalGender;

    @ExcelProperty(value = "法人-姓名",index = 19)
    private String legalName;
}
