package com.daqing.framework.domain.crms.ext;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 客户信息详情(个人类型)
 * @auther River
 * @date 2020/9/29 11:01
 */
@Data
@ToString
public class CustomerPersonalDTO implements Serializable {

    /**
     * 客户编号
     */
    private String code;
    /**
     * 客户类型：1、企业类型，0：个人类型
     */
    private Integer type;
    /**
     * 客户经理
     */
    private Long manager;
    /**
     * 客户名称
     */
    private String name;
    /**
     * 联系地址
     */
    private String addr;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 年龄
     */
    private Integer age;
    /**
     * 性别：1、男，0、女
     */
    private Integer gender;
    /**
     * 婚姻状况：1、已婚，0、未婚
     */
    private Integer maritalStatus;
    /**
     * 学历
     */
    private Integer education;
    /**
     * 工作单位
     */
    private String employer;
    /**
     * 职务
     */
    private String position;
    /**
     * 工作年限
     */
    private Integer workingYears;
    /**
     * 社保账号
     */
    private String socialSecurityNum;
    /**
     * 居住情况
     */
    private String livingSituation;
    /**
     * 户籍地址
     */
    private String residenceAddr;
    /**
     * 业务来源
     */
    private String businessSource;
    /**
     * 紧急联系人
     */
    private String emergencyLinkman;
    /**
     * 紧急联系人关系
     */
    private String emergencyLinkmanRelationship;
    /**
     * 紧急联系人电话
     */
    private String emergencyLinkmanPhone;

}
