package com.daqing.framework.domain.crms.ext;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * 个人类型返回信息包装类(excel)
 *
 * @auther River
 * @date 2020/9/11 17:28
 */
@Data
@ToString
public class CustomerPersonalVO extends BaseRowModel implements Serializable {

    /**
     * 客户编号
     */
    @ExcelProperty(value = "编号",index = 0)
    private String code;
    /**
     * 客户经理
     */
    @ExcelProperty(value = "客户经理",index = 1)
    private String manager;
    /**
     * 客户名称
     */
    @ExcelProperty(value = "姓名",index = 2)
    private String name;
    /**
     * 联系地址
     */
    @ExcelProperty(value = "地址",index = 3)
    private String addr;
    /**
     * 联系电话
     */
    @ExcelProperty(value = "电话",index = 4)
    private String phone;
    /**
     * 身份证号
     */
    @ExcelProperty(value = "身份证号",index = 5)
    private String idCard;
    /**
     * 年龄
     */
    @ExcelProperty(value = "年龄",index = 6)
    private Integer age;
    /**
     * 性别：1、男，0、女
     */
    @ExcelProperty(value = "性别(1:男,0:女)",index = 7)
    private Integer gender;
    /**
     * 婚姻状况：1、已婚，0、未婚
     */
    @ExcelProperty(value = "婚姻状况(0:未婚,1:已婚,2:离异,3:再婚)",index = 8)
    private Integer maritalStatus;
    /**
     * 学历
     */
    @ExcelProperty(value = "学历(0:本科,1:大专,2:高职,3:中专,4:其他)",index = 9)
    private Integer education;
    /**
     * 工作单位
     */
    @ExcelProperty(value = "工作单位",index = 10)
    private String employer;
    /**
     * 职务
     */
    @ExcelProperty(value = "职务",index = 11)
    private String position;
    /**
     * 工作年限
     */
    @ExcelProperty(value = "工作年限",index = 12)
    private Integer workingYears;
    /**
     * 社保账号
     */
    @ExcelProperty(value = "社保账号",index = 13)
    private String socialSecurityNum;
    /**
     * 居住情况
     */
    @ExcelProperty(value = "居住情况",index = 14)
    private String livingSituation;
    /**
     * 户籍地址
     */
    @ExcelProperty(value = "户籍地址",index = 15)
    private String residenceAddr;
    /**
     * 业务来源
     */
    @ExcelProperty(value = "业务来源",index = 16)
    private String businessSource;
    /**
     * 紧急联系人
     */
    @ExcelProperty(value = "紧急联系人",index = 17)
    private String emergencyLinkman;
    /**
     * 紧急联系人关系
     */
    @ExcelProperty(value = "紧急联系人关系",index = 18)
    private String emergencyLinkmanRelationship;
    /**
     * 紧急联系人电话
     */
    @ExcelProperty(value = "紧急联系人电话",index = 19)
    private String emergencyLinkmanPhone;
}
