package com.daqing.framework.domain.crms.ext;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 返回客户信息包装类
 *
 * @auther River
 * @date 2020/9/9 10:10
 */
@Data
@ToString
public class CustomerTO implements Serializable {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 客户编号
     */
    @ApiModelProperty(value = "客户编号")
    private String code;

    /**
     * 客户姓名
     */
    @ApiModelProperty(value = "客户名称")
    private String name;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;

    /**
     * 客户类型
     */
    @ApiModelProperty(value = "客户类型")
    private Integer type;

    /**
     * 客户经理
     */
    @ApiModelProperty(value = "客户经理")
    private String manager;

    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private List<String> departments;

    @ApiModelProperty(value = "企业id")
    private Long companyId;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
