package com.daqing.framework.domain.crms.ext;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 导出excel模板(个人类型)
 * @auther River
 * @date 2020/10/9 11:32
 */
@Data
@ToString
public class PersonalTemplate extends BaseRowModel implements Serializable {

    /*@NotNull(message = "客户经理不能为空")
    @ExcelProperty(value = "客户经理(请填写本公司存在的员工姓名)",index = 0)
    private String manager;*/
    /**
     * 客户名称
     */
    @NotNull(message = "客户名称不能为空")
    @ExcelProperty(value = "姓名",index = 0)
    private String name;
    /**
     * 联系地址
     */
    @NotNull(message = "联系地址不能为空")
    @ExcelProperty(value = "地址",index = 1)
    private String addr;
    /**
     * 联系电话
     */
    @NotNull(message = "联系电话不能为空")
    @ExcelProperty(value = "电话",index = 2)
    private String phone;
    /**
     * 身份证号
     */
    @NotNull(message = "身份证号不能为空")
    @ExcelProperty(value = "身份证号",index = 3)
    private String idCard;
    /**
     * 年龄
     */
    @NotNull(message = "年龄不能为空")
    @ExcelProperty(value = "年龄",index = 4)
    private Integer age;
    /**
     * 性别：1、男，0、女
     */
    @NotNull(message = "性别不能为空")
    @ExcelProperty(value = "性别(1:男,0:女)",index = 5)
    private Integer gender;
    /**
     * 婚姻状况：1、已婚，0、未婚
     */
    @NotNull(message = "婚姻状况不能为空")
    @ExcelProperty(value = "婚姻状况(0:未婚,1:已婚,2:离异,3:再婚)",index = 6)
    private Integer maritalStatus;
    /**
     * 学历
     */
    @NotNull(message = "学历不能为空")
    @ExcelProperty(value = "学历(0:本科,1:大专,2:高职,3:中专,4:其他)",index = 7)
    private Integer education;
    /**
     * 工作单位
     */
    @NotNull(message = "工作单位不能为空")
    @ExcelProperty(value = "工作单位",index = 8)
    private String employer;
    /**
     * 职务
     */
    @NotNull(message = "职务不能为空")
    @ExcelProperty(value = "职务",index = 9)
    private String position;
    /**
     * 工作年限
     */
    @NotNull(message = "工作年限不能为空")
    @ExcelProperty(value = "工作年限",index = 10)
    private Integer workingYears;
    /**
     * 社保账号
     */
    @NotNull(message = "社保账号不能为空")
    @ExcelProperty(value = "社保账号",index = 11)
    private String socialSecurityNum;
    /**
     * 居住情况
     */
    @NotNull(message = "居住情况不能为空")
    @ExcelProperty(value = "居住情况",index = 12)
    private String livingSituation;
    /**
     * 户籍地址
     */
    @NotNull(message = "户籍地址不能为空")
    @ExcelProperty(value = "户籍地址",index = 13)
    private String residenceAddr;
    /**
     * 业务来源
     */
    @NotNull(message = "业务来源不能为空")
    @ExcelProperty(value = "业务来源",index = 14)
    private String businessSource;
    /**
     * 紧急联系人
     */
    @NotNull(message = "紧急联系人不能为空")
    @ExcelProperty(value = "紧急联系人",index = 15)
    private String emergencyLinkman;
    /**
     * 紧急联系人关系
     */
    @NotNull(message = "紧急联系人关系不能为空")
    @ExcelProperty(value = "紧急联系人关系",index = 16)
    private String emergencyLinkmanRelationship;
    /**
     * 紧急联系人电话
     */
    @NotNull(message = "紧急联系人电话不能为空")
    @ExcelProperty(value = "紧急联系人电话",index = 17)
    private String emergencyLinkmanPhone;
}
