package com.daqing.framework.domain.crms.request;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;


/**
 * 记录客户基本信息
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 11:23:28
 */
@Data
@ToString
public class CustomerRequest implements Serializable {

	/**
	 * 客户编号或者名称
	 */
	@ApiModelProperty(value = "客户编号或者名称")
	private String codeOrName;
	/**
	 * 客户类型
	 */
	@ApiModelProperty(value = "客户类型")
	private Integer customerType;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Integer createTime;
	/**
	 * 起始时间
	 */
	@ApiModelProperty(value = "起始时间")
	private String startTime;
	/**
	 * 结束时间
	 */
	@ApiModelProperty(value = "结束时间")
	private String endTime;

}
