package com.daqing.framework.domain.crms.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @auther River
 * @date 2020/10/19 11:52
 */
@Data
@ToString
public class EmployeeDisableRequest implements Serializable {

    @NotNull(message = "员工id不能为空")
    @ApiModelProperty("员工id")
    private Long employeeId;

    @NotNull(message = "禁用开始时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("禁用开始时间")
    private Date disableStartTime;

    @NotNull(message = "禁用结束时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("禁用结束时间")
    private Date disableEndTime;

    @NotNull(message = "禁用原因不能为空")
    @ApiModelProperty("禁用原因")
    private String disableCause;
}
