package com.daqing.framework.domain.crms.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.Date;

/**
 * 企业类型客户信息表
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 09:57:32
 */
@Data
@TableName("crms_company_customer")
public class CompanyCustomerResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键 companyId
	 */
	@ApiModelProperty(value = "id")
	private Long id;
	/**
	 * 注册资金
	 */
	@ApiModelProperty(value = "注册资金")
	private String registeredCapital;

	@ApiModelProperty(value = "社会统一代码")
	private String socialUnifiedCode;
	/**
	 * 所属行业
	 */
	@ApiModelProperty(value = "所属行业")
	private String industry;
	/**
	 * 成立年限
	 */
	@ApiModelProperty(value = "成立年限")
	private Integer years;
	/**
	 * 所在区域
	 */
	@ApiModelProperty(value = "所在区域")
	private String region;
	/**
	 * 股东名称
	 */
	@ApiModelProperty(value = "股东名称")
	private String shareholder;
	/**
	 * 关联企业
	 */
	@ApiModelProperty(value = "关联企业")
	private String affiliatedCompany;
	/**
	 * 员工个数
	 */
	@ApiModelProperty(value = "员工个数")
	private String empNum;
	/**
	 * 联系人
	 */
	@ApiModelProperty(value = "联系人")
	private String linkman;

	@ApiModelProperty(value = "联系人的联系电话")
	private String linkPhone;
	/**
	 * 业务来源
	 */
	@ApiModelProperty(value = "业务来源")
	private String businessSource;

	@ApiModelProperty(value = "经营范围")
	private String businessScope;
	@ApiModelProperty(value = "经营地址")
	private String businessAddr;

	@ApiModelProperty(value = "注册时间")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date registerTime;
	@ApiModelProperty(value = "注册地址")
	private String registerAddr;
	@ApiModelProperty(value = "法人-身份证号")
	private String legalIdNumber;
	@ApiModelProperty(value = "法人-户口所在地")
	private String legalHukouAddr;
	@ApiModelProperty(value = "法人-联系电话")
	private String legalPhone;
	@ApiModelProperty(value = "法人-家庭住址")
	private String legalHomeAddr;
	@ApiModelProperty(value = "法人-性别 1、男，0、女")
	private Integer legalGender;
	@ApiModelProperty(value = "法人-姓名")
	private String legalName;
	/**
	 * 是否存在关联人
	 */
	@ApiModelProperty(value = "是否存在关联人")
	private Integer isExistRelated;
	/**
	 * 客户基本信息表id
	 */
	@ApiModelProperty(value = "客户基本信息表id")
	private Long customerId;
	/**
	 * 客户编号
	 */
	@ApiModelProperty(value = "客户编号")
	private String code;
	/**
	 * 客户类型：1、企业类型，0：个人类型
	 */
	@NotNull(message = "客户类型不能为空")
	@ApiModelProperty(value = "客户类型")
	//@Pattern(regexp = "^\\\\d+$",message = "成立年限只能为整形数字")
	private Integer type;
	/**
	 * 客户的经理人id
	 */
	@ApiModelProperty(value = "客户经理人id")
	private Long manager;
	/**
	 * 客户名称
	 */
	@ApiModelProperty(value = "客户名称")
	private String name;
	/**
	 * 联系地址
	 */
	@ApiModelProperty(value = "联系地址")
	private String addr;
	/**
	 * 联系电话
	 */
	@NotNull(message = "联系电话不能为空")
	@ApiModelProperty(value = "联系电话")
	private String phone;
	/**
	 * 密码
	 */
	@ApiModelProperty(value = "密码")
	private String password;
	/**
	 * 微信唯一标识
	 */
	@ApiModelProperty(value = "微信唯一标识")
	private String wechatId;
	/**
	 * 0：未删除，1：已删除
	 */
	@ApiModelProperty(value = "是否删除")
	private Integer delOrNot;
	/**
	 * 0：启用，1：禁用
	 */
	@ApiModelProperty(value = "是否禁用")
	private Integer status;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 修改时间
	 */
	@ApiModelProperty(value = "修改时间")
	private Date motifyTime;

}
