package com.daqing.framework.domain.crms.response;

import com.daqing.framework.model.response.ResultCode;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 客户资源管理操作状态集
 *
 * @auther River
 * @date 2020/9/21 10:16
 */
@ToString
@AllArgsConstructor
public enum CrmsCode implements ResultCode {

    CUSTOMER_IMPORT_EXSIT(false,20001,"导入数据失败,请检查文件和数据格式或稍后再试!"),
    CUSTOMER_EXPORT_EXSIT(false,20002,"导出数据失败,请稍后再试!"),
    CUSTOMER_EXPORTTEMPLATE_EXSIT(false,20003,"导出excel模板失败,请稍后再试!"),
    NOT_NULL(false,20004,"上传的文件不能为空"),
    CUSTOMER_IS_NULL(false,20005,"导入数据失败,当前员工不存在!"),
    CUSTOMER_NAME_REPETITION(false, 20006, "当前客户名称已存在!"),
    CUSTOMER_SOCIAL_UNIFIED_CODE_REPETITION(false, 200010,"当前社会统一代码已存在!"),
    CUSTOMER_APPLET_IS_NULL(false, 20007,"未查询到你的认证信息,请先认证你的信息!"),
    CUSTOMER_APPLET_EXIST(false, 20008,"你已认证自己的信息,无需再次认证!"),
    CUSTOMER_APPLET_STATUS_IS_NULL(false, 20009, "当前申请贷款信息状态异常,请刷新重试!");

    /**
     * 操作是否成功
     */
    @Getter
    private final boolean success;

    /**
     * 状态码
     */
    @Getter
    private final int code;

    /**
     * 提示信息
     */
    @Getter
    private final String message;

    public boolean success() {
        return this.success;
    }

    public int code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
