package com.daqing.framework.domain.crms.response;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 记录客户基本信息
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-08 11:23:28
 */
@Data
public class CustomerEntityResponse implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@NotNull(message = "id不能为空")
	@ApiModelProperty(value = "id")
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;
	/**
	 * 客户编号
	 */
	@ApiModelProperty(value = "客户编号")
	private String code;
	/**
	 * 客户类型：1、企业类型，0：个人类型
	 */
	@NotNull(message = "客户类型不能为空")
	@ApiModelProperty(value = "客户类型")
	//@Pattern(regexp = "^\\\\d+$",message = "成立年限只能为整形数字")
	private Integer type;
	/**
	 * 客户的经理人id
	 */
	@ApiModelProperty(value = "客户经理人id")
	private Long manager;
	/**
	 * 客户名称
	 */
	@ApiModelProperty(value = "客户名称")
	private String name;
	/**
	 * 联系地址
	 */
	@ApiModelProperty(value = "联系地址")
	private String addr;
	/**
	 * 联系电话
	 */
	@NotNull(message = "联系电话不能为空")
	@ApiModelProperty(value = "联系电话")
	private String phone;
	/**
	 * 密码
	 */
	@ApiModelProperty(value = "密码")
	private String password;
	/**
	 * 微信唯一标识
	 */
	@ApiModelProperty(value = "微信唯一标识")
	private String wechatId;
	/**
	 * 0：未删除，1：已删除
	 */
	@ApiModelProperty(value = "是否删除")
	private Integer delOrNot;
	/**
	 * 0：启用，1：禁用
	 */
	@ApiModelProperty(value = "是否禁用")
	private Integer status;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 * 修改时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	@ApiModelProperty(value = "修改时间")
	private Date motifyTime;

	@ApiModelProperty(value = "企业id")
	private Long companyId;

}
