package com.daqing.framework.domain.crms.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 工作台客户资源列表展示类
 *
 * @auther River
 * @date 2020/10/19 14:19
 */
@Data
@ToString
public class CustomerWorkbenchListVO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "客户编号")
    private String code;

    @ApiModelProperty(value = "客户名称")
    private String name;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "客户类型(0:个人类型,1:企业类型)")
    private Integer type;

    @ApiModelProperty(value = "客户经理")
    private String manager;

    @ApiModelProperty(value = "所属部门")
    private List<String> departments;

    @ApiModelProperty(value = "审批状态(0:通过,1:未通过,2:带审核)")
    private Integer status;

    @ApiModelProperty(value = "企业id")
    private Long companyId;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
