package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 保后催收
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@TableName("al_collection")
@ToString
public class AlCollection implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("保后id")
    private Integer insuranceId;

    @ApiModelProperty("逾期金额")
    private BigDecimal overdueAmount;

    @ApiModelProperty("逾期利息")
    private BigDecimal overdueInterest;

    @ApiModelProperty("逾期费用")
    private BigDecimal otherExpenses;

    /**
     * 逾期期数
     */
    private Integer overduePeriods;

    @ApiModelProperty("催收方式：1->电话催收；2->上门/外访")
    @NotNull(message = "催收方式不能为空")
    private Integer collectionMethod;

    @ApiModelProperty("催收人")
    private Integer collectionUser;

    @ApiModelProperty("催收时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @NotNull(message = "催收时间不能为空")
    private Date collectionTime;

    @ApiModelProperty("催收反馈")
    @NotNull(message = "催收反馈不能为空")
    private String collectionFeedback;

    @ApiModelProperty("附件")
    @NotNull(message = "附件不能为空")
    private String enclosureFile;

    @ApiModelProperty("情况说明")
    @NotNull(message = "情况说明不能为空")
    private String situationDescription;

    @ApiModelProperty("拜访人")
    @NotNull(message = "拜访人不能为空")
    private String visitor;

    @ApiModelProperty("其他催收描述")
    private String other;
}
