package com.daqing.framework.domain.guarantee;

import java.math.BigDecimal;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelIgnore;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author lr
 * @since 2021-08-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AlCollectionStatistics对象", description="")
@ExcelTarget("AlCollectionStatistics")
public class AlCollectionStatistics implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @ExcelIgnore
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "清收组id")
    @ExcelIgnore
    private Integer groupId;

    @ApiModelProperty(value = "排序号")
    @TableField(exist = false)
    @Excel(name = "公司排名",mergeVertical = true, width = 15)
    private Integer sort;

    @ApiModelProperty(value = "实际还款日")
    @ExcelIgnore
    @TableField(value = "actual_repayment_date")
    private String actualRepaymentDate;

    @ApiModelProperty(value = "组名")
    @TableField(exist = false)
    @Excel(name = "清收组",orderNum = "1",mergeVertical = true, isImportField = "groupName", width = 15)
    private String groupName;

    @ApiModelProperty(value = "清收负责人id")
    @ExcelIgnore
    private Integer personLiableId;

    @ApiModelProperty(value = "保后id")
    @ExcelIgnore
    private Integer insuranceId;

    @ApiModelProperty(value = "清收负责人")
    @Excel(name = "清收负责人", orderNum = "2", isImportField = "personLiable", width = 15)
    private String personLiable;

    @ApiModelProperty(value = "工号")
    @Excel(name = "工号", orderNum = "3", mergeVertical = true, isImportField = "jobNumber", width = 15)
    private String jobNumber;

    @ApiModelProperty(value = "清收企业")
    @Excel(name = "清收企业", orderNum = "4", isImportField = "enterprise", width = 15)
    private String enterprise;

    @ApiModelProperty(value = "清收现金")
    @Excel(name = "清收现金", orderNum = "5", isImportField = "cash", width = 15)
    private BigDecimal cash;

    @ApiModelProperty(value = "清收资产")
    @Excel(name = "清收资产", orderNum = "6", isImportField = "assets", width = 15)
    private BigDecimal assets;

    @ApiModelProperty(value = "回款时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "回款时间", orderNum = "7",databaseFormat = "yyyy-MM-dd",isImportField = "collectionTime", width = 15)
    private String collectionTime;

    @ApiModelProperty(value = "已清收总金额")
    @ExcelProperty(value = "已清收总金额",index = 7)
    @Excel(name = "已清收总金额", orderNum = "8", isImportField = "totalAmount", width = 15)
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "完成比例")
    @Excel(name = "完成比例", orderNum = "9", isImportField = "proportion", width = 15)
    private String proportion;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", orderNum = "10", isImportField = "description", width = 30)
    private String description;

    @ApiModelProperty(value = "创建时间")
    @ExcelIgnore
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @ExcelIgnore
    private Date updateTime;

}
