package com.daqing.framework.domain.guarantee;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 保后代偿清收相关信息
 * </p>
 *
 * @author lr
 * @since 2021-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AlReimbursement对象", description="保后代偿清收相关信息")
public class AlReimbursement implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "保后id")
    private Integer insuranceId;

    @ApiModelProperty(value = "代偿金额")
    private BigDecimal compensationAmount;

    @ApiModelProperty(value = "代偿余额")
    private BigDecimal compensatoryBalance;

    @ApiModelProperty(value = "代偿时间")
    private Date compensatoryTime;

    @ApiModelProperty(value = "清收负责人")
    private String personLiable;

    @ApiModelProperty(value = "清收负责人id")
    private Integer personLiableId;

    @ApiModelProperty(value = "所属清收组id")
    private Integer collectionGroupId;

    @ApiModelProperty(value = "所在区域")
    private String area;

    @ApiModelProperty(value = "经营情况")
    private String operation;

    @ApiModelProperty(value = "诉讼情况")
    private String litigation;

    @ApiModelProperty(value = "抵押情况")
    private String mortgage;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
