package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 申请贷款信息
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_apply_amount_info")
public class DgApplyAmountInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 提单人id
     */
    private Integer presenterId;

    /**
     * 角色id
     */
    private Integer roleId;

    /**
     * 类型（1->担保部业务员；2->担保部经理审核）
     */
    private Integer type;

    /**
     * 申请额度
     */
    private BigDecimal applyAmount;

    /**
     * 申请期限
     */
    private String applyTime;

    /**
     * 贷款银行（用中划线隔开）
     */
    private String bank;

    /**
     * 贷款用途
     */
    private String amountWide;

    /**
     * 其他贷款用途
     */
    private String otherAmountWide;

    /**
     * 反担保措施（中划线隔开）
     */
    private String enGuaranteeMeasures;

    /**
     * 客户类型
     */
    private String customerType;

    /**
     * 业务类型
     */
    private String businessType;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 反担保措施描述
     */
    private String description;

    /**
     * 状态 1->审核中；2->已审核；3->拒绝；4->驳回；
     */
    private Integer status;

    /**
     * 操作状态: 0->已发起；1->待处理；2->已处理；
     */
    private Integer operatingStatus;

    /**
     * 审批人Id
     */
    private Integer approvalId;

    /**
     * 审批意见
     */
    private String remark;

    /**
     * 业务编号
     */
    private String businessCode;

    /**
     * 申请类型
     */
    private Integer applyType;

}
