package com.daqing.framework.domain.guarantee;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * 业务申请字段修改
 *
 * @auther River
 * @date 2020/12/30 14:48
 */
@Data
@ToString
public class DgApplyField implements Serializable {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("客户类别")
    private String customerType;

    @ApiModelProperty("客户编号")
    private String customerCode;

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("社会统一代码")
    private String customerUnicode;

    @ApiModelProperty("联系电话")
    private String customerPhone;

    @ApiModelProperty("注册时间")
    private String registerTime;

    @ApiModelProperty("注册资金")
    private String registerFund;

    @ApiModelProperty("注册地址")
    private String registerAddr;

    @ApiModelProperty("员工个数")
    private String employeeNumber;

    @ApiModelProperty("经营地址")
    private String businessAddr;

    @ApiModelProperty("业务类别")
    private String businessType;

    @ApiModelProperty("经营范围")
    private String businessScope;

    @ApiModelProperty("法人姓名")
    private String legalPersonName;

    @ApiModelProperty("法人性别")
    private String legalPersonSex;

    @ApiModelProperty("身份证号码")
    private String legalPersonCard;

    @ApiModelProperty("联系电话")
    private String legalPersonPhone;

    @ApiModelProperty("户口")
    private String legalPersonAccount;

    @ApiModelProperty("家庭地址")
    private String legalPersonAddr;

    @ApiModelProperty("关联人")
    private String legalPersonAffiliatedPerson;

    @ApiModelProperty("贷款申请额度")
    private String loansAmount;

    @ApiModelProperty("贷款申请期限")
    private String loansTimeLimit;

    @ApiModelProperty("贷款银行")
    private String loansBank;

    @ApiModelProperty("贷款用途")
    private String loansUse;

    @ApiModelProperty("贷款其他用途")
    private String loansElseUse;

    @ApiModelProperty("贷款反担保措施")
    private String loansMeasure;

    @ApiModelProperty("附件营业执照")
    private String accessoryBusinessLicense;

    @ApiModelProperty("附件夫妻身份证")
    private String accessoryIdCard;

    @ApiModelProperty("附件结婚证、离婚证")
    private String accessoryMarriageCertificate;

    @ApiModelProperty("附加法人身份证")
    private String accessoryPersonCard;

    @ApiModelProperty("附件公司章程")
    private String accessoryConstitution;

    @ApiModelProperty("附件审计报告")
    private String accessoryAudit;

    @ApiModelProperty("附件公司信用报告")
    private String accessoryCredit;

    @ApiModelProperty("附件夫妻信用报告")
    private String accessoryCoupleCredit;

    @ApiModelProperty("附件承诺书")
    private String accessoryCommitment;

    @ApiModelProperty("附件完税证明")
    private String accessoryProve;

    @ApiModelProperty("附件会议纪要")
    private String accessoryConference;

    @ApiModelProperty("附件评估报告")
    private String accessoryAssess;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("更新时间")
    private Date updateTime;
}
