package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 审核流程进程
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_audit_process")
public class DgAuditProcess implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    @ApiModelProperty(value = "审批人")
    private String approver;

    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @TableField(exist = false)
    @ApiModelProperty(value = "部门名称(实为角色名称)")
    private String deptName;

    @ApiModelProperty(value = "部门ids")
    private String departmentId;

    @ApiModelProperty(value = "通过时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "流程标识：1业务申请，2担保部调查，3资产部调查，4信息部调查，5合规调查，6工作会，7贷审会，8担保函，9回款确认，10放款通知")
    private Integer processId;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "审批意见")
    private String auditOpinion;

    @ApiModelProperty(value = "驳回原因")
    private String reason;

    @ApiModelProperty(value = "申请金额")
    private String loanMoney;

    @ApiModelProperty(value = "申请期限")
    private String loanTern;

}
