package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 业务关联企业表
 * </p>
 *
 * @author Qyq
 * @since 2021-01-27
 */
@TableName("dg_business_company")
@Data
public class DgBusinessCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 注册资金（万元）
     */
    private String registeredCapital;

    /**
     * 社会统一代码
     */
    private String socialUnifiedCode;

    /**
     * 员工人数
     */
    private String empNum;

    /**
     * 联系人
     */
    private String linkman;

    /**
     * 联系人的联系电话
     */
    private String linkPhone;

    /**
     * 业务来源
     */
    private String businessSource;

    /**
     * 经营范围
     */
    private String businessScope;

    /**
     * 经营地址
     */
    private String businessAddr;

    /**
     * 注册时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date registerTime;

    /**
     * 注册地址
     */
    private String registerAddr;

    /**
     * 法人-身份证号
     */
    private String legalIdNumber;

    /**
     * 法人-户口所在地
     */
    private String legalHukouAddr;

    /**
     * 法人-联系电话
     */
    private String legalPhone;

    /**
     * 法人-家庭住址
     */
    private String legalHomeAddr;

    /**
     * 法人-性别 1、男，0、女
     */
    private Integer legalGender;

    /**
     * 法人-姓名
     */
    private String legalName;

    /**
     * 是否存在关联人 0->否；1->是
     */
    private Integer isExistRelated;

    /**
     * 客户编号
     */
    private String code;

    /**
     * 客户类型：1、企业类型，0：个人类型
     */
    private Integer type;

    /**
     * 客户名称
     */
    private String name;

    /**
     * 联系地址(指个人的)
     */
    private String addr;

    /**
     * 联系电话（指个人或企业的）
     */
    private String phone;

    /**
     * 客户基本信息表id
     */
    private Long customerId;
}
