package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 合规调查
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_compliance_investigation")
public class DgComplianceInvestigation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 贷款信息表id
     */
    private Integer businessId;

    /**
     * 角色id
     */
    private Integer roleId;

    /**
     * 附件
     */
    @ApiModelProperty("附件")
    private String fileUrl;

    /**
     * 调查意见
     */
    @ApiModelProperty("审核(调查)意见")
    private String opinion;

    /**
     * 审核状态
     */
    private Integer auditStatus;

    /**
     * 操作状态
     */
    private Integer operationStatus;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}
