package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 附件
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_enclosure_info")
public class DgEnclosureInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 营业执照复印件
     */
    private String businessLicense;

    /**
     * 上传法定代表人夫妻及企业实际经营者身份证复印件
     */
    private String legalCardCopy;

    /**
     * 法定代表人夫妻户口本，结婚证（离婚证）复印件
     */
    private String marriageCopy;

    /**
     * 法定代表人身份证明
     */
    private String legalCopy;

    /**
     * 公司章程
     */
    private String companyConstitution;

    /**
     * 会计师事务所审计的上一年度及本年度审计报告
     */
    private String accountingFirm;

    /**
     * 企业信用报告
     */
    private String companyCredit;

    /**
     * 企业法人夫妇信用报告，实际经营者信用报告
     */
    private String creditReport;

    /**
     * 征信业务授权书，承诺书
     */
    private String certificateAuthorization;

    /**
     * 增值税纳税申报表首表复印件/完税证明
     */
    private String taxCertificate;

    /**
     * 股东会会议纪要
     */
    private String meetingMinutes;

    /**
     * 反担保资料和评估报告
     */
    private String assessmentReport;

    /**
     * 谈话纪要
     */
    private String conversationSummary;

    /**
     * 考察照片
     */
    private String inspectionPhotos;

    /**
     * 其他附件
     */
    private String otherFile;
}
