package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 企业法人信息
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_legal_info")
public class DgLegalInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 身份证号码
     */
    private String card;

    /**
     * 性别（1男 2女）
     */
    private Integer gender;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 所在地：（用中划线拼接）
     */
    private String province;

    /**
     * 家庭住址
     */
    private String address;
}
