package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 贷审会审议
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_loan_committee_consider")
public class DgLoanCommitteeConsider implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 审议者id
     */
    private Integer considerId;

    /**
     * 角色id
     */
    private Integer roleId;

    @ApiModelProperty(value = "审核状态：（1审核中 、2已审核、4驳回）")
    private Integer status;

    @ApiModelProperty(value = "操作状态：（1待处理 、2已处理。默认添加为待处理）")
    private Integer operatingStatus;

    /**
     * 贷审会议定事项
     */
    private String agreedItems;

    /**
     * 贷审会附加事项
     */
    private String additionalItems;

    /**
     * 贷款金额（贷审会意见）
     */
    private BigDecimal loanMoney;

    /**
     * 贷款期限（贷审会意见）
     */
    private String loanTern;

    /**
     * 贷审会时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date passingTime;

    /**
     * 同意（贷审委员）
     */
    private String agreePerson;

    /**
     * 不同意（贷审委员）
     */
    private String disagreePerson;

    /**
     * 所有的贷审委员
     */
    private String allPerson;

    /**
     * 附件（会议记录）
     */
    private String file;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
