package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信息调查
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_message_investigation")
public class DgMessageInvestigation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 调查者id
     */
    private Integer empId;

    /**
     * 角色id
     */
    private Integer roleId;

    /**
     * 类型（1->信息部调查员审核；2->信息部经理审核；3->分管领导审核）
     */
    private Integer type;

    /**
     * 状态 0：待指派；1：审核中；2：已审核；3：拒绝；4：驳回；5：已撤销；6：草稿；
     */
    private Integer status;

    /**
     * 操作状态: 0->已发起；1->待处理；2->已处理；
     */
    private Integer operatingStatus;

    /**
     * 附件
     */
    private String file;

    /**
     * 审核意见
     */
    private String remark;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
