package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 回款确认
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_payment_confirmation_consider")
public class DgPaymentConfirmationConsider implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id -》(自动生成)")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "业务id")
    private Integer businessId;

    @ApiModelProperty(value = "企业id")
    private Integer companyId;

    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty(value = "操作回款确认者id")
    private Integer considerId;

    @ApiModelProperty(value = "审核意见")
    private String auditOpinion;

    @ApiModelProperty(value = "审核状态：（1审核中 、2已审核、4驳回）")
    private Integer status;

    @ApiModelProperty(value = "操作状态：（1待处理 、2已处理。默认添加为待处理）")
    private Integer operatingStatus;

    @ApiModelProperty(value = "银行回单图片")
    private String imgFile;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
