package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 流程管理表
 * </p>
 *
 * @author Qyq
 * @since 2021-01-15
 */
@Data
@TableName("dg_process_manage")
public class DgProcessManage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 图标
     */
    private String iconImg;

    /**
     * 业务管理模块id
     */
    private Integer modelId;

    /**
     * 审批名称
     */
    private String approvalName;

    /**
     * 审批说明
     */
    private String approvalInstructions;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date createTime;
}
