package com.daqing.framework.domain.guarantee;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 工作会审议
 * </p>
 *
 * @author Qyq
 * @since 2020-11-05
 */
@Data
@TableName("dg_work_conference_consider")
public class DgWorkConferenceConsider implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 业务id
     */
    private Integer businessId;

    /**
     * 角色id
     */
    private Integer roleId;

    /**
     * 审议者id
     */
    private Integer considerId;

    @ApiModelProperty("工作会意见")
    private String remark;

    @ApiModelProperty("参会评委")
    private String joinJudge;

    /**
     * 审核状态
     */
    private Integer auditStatus;

    /**
     * 操作状态
     */
    private Integer operationStatus;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;
}
