package com.daqing.framework.domain.guarantee;

import com.daqing.framework.model.response.ResultCode;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 担保模块状态集合
 *
 * @auther River
 * @date 2020/11/12 16:13
 */
@ToString
@AllArgsConstructor
public enum GuaranteeCode implements ResultCode {


    COMPLIANCE_INVESTIGATION_REMARK_NOT_NULL(false, 80001, "意见不能为空,请输入拒绝/驳回意见!"),
    COMPLIANCE_UPLOAD_NOT_NULL(false, 80002, "附件不能为空,请上传附件!"),
    COMPLIANCE_USER_NOT_NULL(false, 80003, "指派调查员不能为空,请选择指派员!"),
    COMPLIANCE_USER_IS_EXIST(false, 80004, "当前用户在该业务中已被指派为A角、B角、信息部专员或资产部专员中的一个,请选择其他用户!"),

    ROLE_IS_NOT(false, 90001, "当前登录用户角色信息不存在,无法查询!"),

    LOAN_MESSAGE_NOT_NULL(false, 100001, "议定事项、附加事项、贷款金额、贷款期限、附件等不能为空!"),

    WORK_JUDGE_NOT_NULL(false, 110001, "参会评委不能为空,请重新选择!"),

    EXCEL_ID_NOT_NULL(false, 120001, "导出的数据不能为空,请选择要导出的数据!"),

    EFFICIENCY_TIME_ERROR(false, 130001,"时间格式错误!"),

    FROM_DESIGN_PROCESS_ERROR(false,140001,"当前节点数据不存在!"),
    FROM_DESIGN_NAME_NOT_NULL(false,140002,"字段名称不能为空!"),

    REPEAT_BUSINESS(false,150001,"企业存在进行中的业务，不能再次申请！");
    /**
     * 操作是否成功
     */
    @Getter
    private final boolean success;

    /**
     * 状态码
     */
    @Getter
    private final int code;

    /**
     * 提示信息
     */
    @Getter
    private final String message;

    public boolean success() {
        return this.success;
    }

    public int code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
