package com.daqing.framework.domain.guarantee.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 催收列表po类
 *
 * @auther River
 * @date 2021/3/23 10:17
 */
@Data
@ToString
public class AlCollectionListPO implements Serializable {

    /**
     * id
     */
    private Integer id;

    /**
     *客户编号
     */
    private String code;

    /**
     * 客户名称
     */
    private String name;

    /**
     * 逾期金额
     */
    private BigDecimal overdueAmount;

    /**
     * 逾期利息
     */
    private BigDecimal overdueInterest;

    /**
     * 其他费用
     */
    private BigDecimal otherExpenses;

    /**
     * 逾期次数
     */
    private Integer overduePeriods;

    /**
     * 催收方法
     */
    private Integer collectionMethod;

    /**
     * 催收人id
     */
    private Integer collectionUser;

    /**
     * 催收时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date collectionTime;

    /**
     * 催收反馈
     */
    private String collectionFeedback;
}
