package com.daqing.framework.domain.guarantee.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * AB角、合规调查、资产调查、信息调查、法规调查的审核意见、审核人id、时间
 *
 * @auther River
 * @date 2020/11/25 16:43
 */
@Data
@ToString
public class AuditOpinionPO implements Serializable {

    @ApiModelProperty("担保A角调查意见")
    private String aAuditOpinion;

    @ApiModelProperty("A角id")
    private Integer aEmpId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("A角调查时间")
    private Date aTime;

    @ApiModelProperty("担保B角调查意见")
    private String bAuditOpinion;

    @ApiModelProperty("B角id")
    private Integer bEmpId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("B角调查时间")
    private Date bTime;

    @ApiModelProperty("资产审核意见")
    private String assetAuditOpinion;

    @ApiModelProperty("资产id")
    private Integer assetEmpId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("资产审核时间")
    private Date assetTime;

    @ApiModelProperty("信息审核意见")
    private String messageAuditOpinion;

    @ApiModelProperty("信息id")
    private Integer messageEmpId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("信息审核时间")
    private Date messageTime;

    @ApiModelProperty("法规审核意见")
    private String regulationAuditOpinion;

    @ApiModelProperty("法规id")
    private Integer regulationEmpId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty("法规审核时间")
    private Date regulationTime;
}
