package com.daqing.framework.domain.guarantee.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @auther River
 * @date 2020/11/23 16:17
 */
@Data
@ToString
public class DgWorkConferencePO implements Serializable {

    @ApiModelProperty("工作会表id")
    private Integer id;

    @ApiModelProperty("业务编号")
    private String businessCode;

    @ApiModelProperty("客户名称")
    private String name;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty("业务类别")
    private String businessType;

    @ApiModelProperty("金额")
    private BigDecimal applyAmount;

    @ApiModelProperty("期限")
    private String applyTime;

    @ApiModelProperty("申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("A角")
    private Integer aUserId;

    @ApiModelProperty("B角")
    private Integer bUserId;

    @ApiModelProperty("法规部领导")
    private Integer iUserId;

    @ApiModelProperty("资产部领导")
    private Integer assUserId;

    @ApiModelProperty("信息部领导")
    private Integer mUserId;

    @ApiModelProperty("操作状态,0:已发起,1:待处理,2:已处理")
    private Integer operationStatus;

    @ApiModelProperty("审核状态,0:待指派,1:审核中,2:已审核,3:已拒绝,4:已驳回,5:草稿,6:已撤销")
    private Integer auditStatus;

    @ApiModelProperty("业务状态,1->进行中;2->已完成;3->已否决")
    private Integer businessStatus;

    @ApiModelProperty("角色id")
    private Integer roleId;

    @ApiModelProperty("业务id")
    private Integer businessId;
}
