package com.daqing.framework.domain.hrms;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.daqing.framework.domain.hrms.ext.EmployeeVO;
import com.daqing.framework.domain.hrms.ext.UserDeptVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 封装所有部门及部门下所有员工的包装类
 *
 * @auther River
 * @date 2020/9/15 9:44
 */
@Data
@ToString
public class DepartmentVO implements Serializable{

    /**
     * 主键
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;
    /**
     * 部门名称
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private String name;
    /**
     * 上级部门id
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Long parentId;
    /**
     * 排序
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Integer sort;
    /**
     * 子部门
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    @TableField(exist = false)
    private List<DepartmentVO> children;

    /**
     * 该级部门下面的员工
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    @TableField(exist = false)
    private List<EmployeeVO> employee;

    private List<UserDeptVO> userDept;
}
