package com.daqing.framework.domain.hrms;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 记录员工的基本信息，如姓名、电话、部门等
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 16:26:04
 */
@Data
@TableName("hrms_employee")
public class EmployeeEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId(value = "id", type = IdType.INPUT)
	private Long id;
	/**
	 * 姓名
	 */
	private String name;
	/**
	 * 性别：1、男，0、女
	 */
	private Integer gender;
	/**
	 * 生日
	 */
	private Date birthday;
	/**
	 * 办公电话
	 */
	private String officePhone;
	/**
	 * 手机号码
	 */
	private String phone;
	/**
	 * 公司邮箱
	 */
	private String companyMail;
	/**
	 * 备用邮箱
	 */
	private String spareMail;
	/**
	 * 职位描述
	 */
	private String positionDescription;
	/**
	 * 工号
	 */
	private String jobNumber;
	/**
	 * 头像地址
	 */
	private String headPortaritUrl;
	/**
	 * 账号表id
	 */
	private Long userId;

}
