package com.daqing.framework.domain.hrms.ext;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.daqing.framework.domain.hrms.DeptEntity;
import com.daqing.framework.domain.hrms.PositionEntity;
import com.daqing.framework.domain.hrms.RoleEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 员工+用户详情展示类
 *
 * @auther River
 * @date 2020/10/15 10:01
 */
@Data
@ToString
public class EmployeeAndUserVO implements Serializable {

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty("员工姓名")
    private String name;

//    @NotNull(message = "性别不能为空")
    @ApiModelProperty("性别")
    private Integer gender;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty("生日")
    private Date birthday;

//    @NotNull(message = "办公电话不能为空")
    @ApiModelProperty("办公电话")
    private String officePhone;

    @NotNull(message = "手机号码不能为空")
    @ApiModelProperty("手机号码")
    private String phone;

    @NotNull(message = "公司邮箱不能为空")
    @ApiModelProperty("公司邮箱")
    private String companyMail;

//    @NotNull(message = "备用邮箱不能为空")
    @ApiModelProperty("备用邮箱")
    private String spareMail;

    @ApiModelProperty("职位描述")
    private String positionDescription;

    @ApiModelProperty("工号")
    private String jobNumber;

    @ApiModelProperty("图像地址")
    private String headPortaritUrl;

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("部门")
    private List<String> departments;

    @ApiModelProperty("职位")
    private List<String> positions;

    /**
     * 用户
     */
    @ApiModelProperty("账号")
    private String account;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("登录次数")
    private Integer loginNum;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("上次登录时间")
    private Date lasttime;

    @ApiModelProperty("手机账号")
    private String phoneAccount;

    @ApiModelProperty("微信账号")
    private String wechatId;

    @ApiModelProperty("角色")
    private List<String> roles;

    /**
     * 修改信息字段
     */
    @ApiModelProperty("旧手机号")
    private String primaryPhone;

    @ApiModelProperty("旧验证码")
    private String primaryCode;

    @ApiModelProperty("新手机号")
    private String newPhone;

    @ApiModelProperty("新验证码")
    private String newCode;
}
