package com.daqing.framework.domain.hrms.ext;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.data.annotation.Transient;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 员工列表展示pojo类
 * @auther River
 * @date 2020/10/10 15:44
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class EmployeeListVO extends BaseRowModel implements Serializable {

    @ExcelIgnore
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("姓名")
    @ExcelProperty(value = "姓名",index = 0)
    private String name;

    @ExcelProperty(value = "账号",index = 1)
    @ApiModelProperty("账号")
    private String account;

    @ExcelProperty(value = "工号",index = 2)
    @ApiModelProperty("工号")
    private String jobNumber;

    @ExcelProperty(value = "部门",index = 3)
    @ApiModelProperty("部门")
    @Transient
    private List<String> departmentNameList;

    @ExcelProperty(value = "职位",index = 4)
    @ApiModelProperty("职位")
    private List<String> positionNameList;

    @ExcelProperty(value = "角色",index = 5)
    @ApiModelProperty("角色")
    private List<String> roleNameList;

    @ExcelProperty(value = "创建时间",index = 6)
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    @ExcelIgnore
    @ApiModelProperty("状态(0:启用,1:禁用,2:即将禁用(展示的时候属于启用))")
    private Integer status;
}
