package com.daqing.framework.domain.hrms.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * 微信扫码登录绑定手机号和openId
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
public class BindOpenIdRequest implements Serializable {
	/**
	 * 手机账号
	 */
	@NotBlank(message = "手机账号不能为空！")
	//@Pattern(regexp = "^[1][3,4,5,7,8][0-9]{9}$",message = "手机号格式不正确！")
	@Pattern(regexp = "^1(3\\d|4[5-8]|5[0-35-9]|6[567]|7[01345-8]|8\\d|9[025-9])\\d{8}$",message = "手机号格式不正确！")
	private String phoneAccount;

	/**
	 * unionId
	 */
	private String wechatId;

	/**
	 * 验证码
	 */
	@NotBlank(message = "验证码不能为空！")
	private String code;
}
