package com.daqing.framework.domain.hrms.request;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 记录菜单权限
 * 
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
@TableName("hrms_role")
public class RolePermissionRequest implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 角色id
	 */
	private Long roleId;
	/**
	 * 角色名称
	 */
	private String name;

	/**
	 * 角色描述
	 */
	private String description;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 更新时间
	 */
	private Date motifyTime;

	/**
	 * 权限ids
	 */
	@NotEmpty(message = "权限至少选中一项！")
	private Long[] permissionIds;

	private Long permissionId;

	/**
	 * 拥有权限名称
	 */
	private String permissionName;

	/**
	 * 父级id
	 */
	private Long parentId;

	/**
	 * 子权限
	 */
	@JsonInclude(JsonInclude.Include.NON_EMPTY)
	@TableField(exist = false)
	private List<RolePermissionRequest> children;

	/**
	 * 排序
	 */
	private Integer sort;

}
