package com.daqing.framework.domain.hrms.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.io.Serializable;

/**
 * 修改平台超管员密码请求体对象
 *
 * @author gongsj
 * @email gongsj@gmail.com
 * @date 2020-09-07 17:12:14
 */
@Data
public class UpdatePwdRequest implements Serializable {

	/**
	 * 手机账号
	 */
/*	@Pattern(regexp = "^1(3\\d|4[5-8]|5[0-35-9]|6[567]|7[01345-8]|8\\d|9[025-9])\\d{8}$",message = "手机号格式不正确！")
	private String phoneAccount;*/

	/**
	 * 新密码
	 */
	@Pattern(regexp = "^(?=.*[0-9].*)(?=.*[A-Z].*)(?=.*[a-z].*).{6,20}$",message = "密码格式不正确！")
	private String newPwd;
	/**
	 * 确认密码
	 */
	private String confirmPwd;

    /**
	 * 原密码
	 */
	@NotBlank(message = "当前密码不能为空！")
	private String password;
}
