package com.daqing.framework.domain.hrms.response;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Transient;

import java.io.Serializable;
import java.util.Date;

/**
 * 员工列表导出到excel实体类
 *
 * @auther River
 * @date 2021/1/4 15:27
 */
@Data
@ToString
public class EmployeeExcelResponse  extends BaseRowModel implements Serializable {

    @ApiModelProperty("姓名")
    @ExcelProperty(value = "姓名",index = 0)
    private String name;

    @ExcelProperty(value = "账号",index = 1)
    @ApiModelProperty("账号")
    private String account;

    @ExcelProperty(value = "工号",index = 2)
    @ApiModelProperty("工号")
    private String jobNumber;

    @ExcelProperty(value = "部门",index = 3)
    @ApiModelProperty("部门")
    @Transient
    private String departmentNameList;

    @ExcelProperty(value = "职位",index = 4)
    @ApiModelProperty("职位")
    private String positionNameList;

    @ExcelProperty(value = "角色",index = 5)
    @ApiModelProperty("角色")
    private String roleNameList;

    @ExcelProperty(value = "创建时间",index = 6)
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;
}
