package com.daqing.framework.domain.hrms.response;

import com.daqing.framework.model.response.ResultCode;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * @Author: gongsj.
 * @Description: 部门相关操作状态集
 * @Date:Created in 2020/09/09 15:35.
 * @Modified By:
 */
@ToString
@AllArgsConstructor
public enum HrmsCode implements ResultCode {

    DEPT_NAME_ILLEGAL(false, 22001, "部门名称为空或已存在！"),
    REQUIRED(false, 23001, "清偿方式必填一项！"),
    DEPT_ID_NOT_EXSIT(false, 22002, "部门id不存在！"),
    DEPT_LEVEL_ILLEGAL(false, 22003, "部门层级不可超出5级！"),
    DEPT_EMP_EXSIT(false, 22004, "请将部门下所有员工移除后再执行删除操作！"),
    DEPT_POSITION_EXSIT(false, 22005, "该部门下已存在该职位！"),
    DEPT_NOT_NULL(false,22006,"部门不能为空!"),

    EMPLOYEE_IS_NULL(false,44001,"当前员工已不存在!"),
    EMPLOYEE_NAME_IS_NULL(false,44002,"请完善员工姓名!"),
    EMPLOYEE_ACCOUNT_IS_NULL(false,44003,"请完善员工账号!"),
    EMPLOYEE_JOB_NUMBER_IS_NULL(false,44004,"请完善员工工号!"),
    EMPLOYEE_DEPARTMENT_IS_NULL(false,44005,"请完善员工部门!"),
    EMPLOYEE_POSITION_IS_NULL(false,44006,"请完善员工职位!"),
    EMPLOYEE_ROLE_IS_NULL(false,44007,"请完善员工角色!"),
    EMPLOYEE_DEPARTMENT_NAME_IS_NOT(false,44008,"部门名称重复或不存在,请输入正常的部门名称!"),
    EMPLOYEE_POSITION_NAME_IS_NOT(false,44009,"职位名称重复或不存在,请输入正常的职位名称!"),
    EMPLOYEE_ROLE_NAME_IS_NOT(false,44010,"角色名称重复或不存在,请输入正常的角色名称!"),
    EMPLOYEE_DISABLE_TIME_ERROR(false,44011,"禁用失败,当前禁用开始时间可能大于或等于结束时间!"),
    EMPLOYEE_USER_IS_NULL(false,44012,"当前员工的用户信息已不存在!"),
    EMPLOYEE_INFO_NOT_NULL(false,44013,"姓名、账号、手机号、公司邮箱、工号不能为空,请正确填写!"),
    EMPLOYEE_JOB_NUMBER_EXIST(false,44014,"员工工号已存在,请重新输入!"),
    EMPLOYEE_USER_ACCOUNT_EXIST(false,44015,"员工账号已存在,请重新输入!"),
    EMPLOYEE_REPETITION_EXCEED(false,44016,"员工姓名重复过多,请重新输入!"),

    POSITION_NOT_NULL(false,55001,"职位不能为空!"),

    ROLE_NOT_NULL(false,66001,"角色不能为空!"),

    EXCEL_DATA_IS_NULL(false,77001,"当前数据为空,请填写数据!"),

    USER_PASSWORD_NOT_NULL(false,88001,"原密码或者新密码不能为空!"),
    USER_PASSWORD_MISTAKE(false,88002,"原密码不正确,请重新输入!"),
    USER_PASSWORD_NO_CONSISTENT(false,88003,"确认密码和新密码不一致,请重新输入!"),
    USER_PASSWORD_MATCHES(false,88004,"新密码必须包含大写字母、小写字母、数字,且长度不小于6位!"),
    USER_PASSWORD_IS_NO_ACCOUNT(false,88005,"新密码不能和账户相同,请重新输入!"),
    USER_PHONE_NOT_NULL(false,88006,"手机号码不能为空,请输入手机号码!"),
    USER_PRIMARY_CODE_MISTAKE(false,88007,"更新失败,原手机号验证码错误!"),
    USER_NEW_CODE_MISTAKE(false,88008,"更新失败,新手机号验证码错误!"),
    USER_PHONE_CODE_MISTAKE(false,88009,"更新失败,手机验证码错误!"),
    USER_PRIMARY_PHONE_MISTAKE(false,88010,"原手机号码错误!"),
    USER_PHONE_OR_CODE_NOT_NULL(false,88011,"手机号码或验证码不能为空!"),
    USER_BINDING_FAIL(false,88012,"绑定失败,手机验证码错误!"),
    USER_FILE_IS_NULL(false,88015,"当前文件不存在,请正确选择文件!"),
    USER_FILE_TYPE_MISTAKE(false,88013,"文件格式不正确,请重新选择图片文件!"),
    USER_FILE_UPLOAD_FAIL(false,88014,"上传图像失败,请稍后刷新再试!"),
    USER_PHONE_ACCOUNT_REPETITION(false,88015,"该手机号已绑定过用户,请更换手机号!"),
    USER_HEAD_PORTRAIT_URL_IS_NULL(false, 88016, "当前图片不存在,请重新选择!"),

    PHNOE_ACCOUNT_NOT_EMPTY(false,33001,"手机号码为空！"),
    VERIFY_CODE_NOT_EMPTY(false,33002,"短信验证码为空！"),
    NEW_PASSWORD_NOT_EMPTY(false,33003,"新密码不能为空！"),
    NEW_PASSWORD_ILLEGAL(false,33004,"新密码格式不正确！"),
    VERIFY_CODE_ILLEGAL(false,33005,"验证码不匹配！"),
    PHNOE_ACCOUNT_NOT_EXIST(false,33006,"手机号码不存在！"),
    CONFIRM_PWD_NOT_EMPTY(false,33007,"确认密码不能为空！"),
    TWICE_PWD_DIFFERENT(false,33008,"两次输入密码不一致！"),
    NEW_PASSWORD_DIFFERENT(false,33008,"输入的新密码不能与账号相同！"),
    PASSWORD_ERROR(false,33009,"当前密码输入不正确！"),
    NEWPWD_PASSWORD_SAME(false,33010,"新密码不能与当前密码一致！"),

    ROLE_EMP_EXIST(false,44001,"该角色有用户关联，不能删除！"),
    ROLE_NAME_EXIST(false,44002,"该角色名称已存在，请重新输入！"),
    EMP_POSITION_EXSIT(false, 22006, "该职位下已关联员工！"),
    ROLE_EMP_LINK(false,44003,"该角色关联业务管理模块，不能删除！"),

    TOKEN_EXCEPTION(false,401,"TOKEN已过期，请重新登录！"),

    AT_LEAST_ONE(false,61001,"模板可见人员至少选择一项！"),

    EMP_SAME(false, 51001, "A,B角不能选同一个人！"),
    EMP_TO_BE_CHOOSE(false, 51002, "该用户已经被指派！");



    /**
     * 操作是否成功
     */
    @Getter
    private final boolean success;

    /**
     * 状态码
     */
    @Getter
    private final int code;

    public static HrmsCode hrmsCode;

    /**
     * 提示信息
     */
    @Getter
    private final String message;

    public boolean success() {
        return this.success;
    }

    public int code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }
}
