package com.daqing.framework.utils.excel;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.CellData;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.property.ExcelContentProperty;

/**
 * @Author chen
 * @DATE 2020/10/19 15:44
 * @Version 1.0
 * 审核状态转换器
 */
public class ApprovalStatusConverter implements Converter<Integer> {

    @Override
    public Class supportJavaTypeKey() {
        return Integer.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    /**
     * 这里读的时候会调用
     *
     * @param cellData
     *            NotNull
     * @param contentProperty
     *            Nullable
     * @param globalConfiguration
     *            NotNull
     * @return
     */
    @Override
    public Integer convertToJavaData(CellData cellData, ExcelContentProperty contentProperty,
                                     GlobalConfiguration globalConfiguration) {
        return 0;
    }

    /**
     * 这里是写的时候会调用
     *
     * @param value
     *            NotNull
     * @param contentProperty
     *            Nullable
     * @param globalConfiguration
     *            NotNull
     * @return
     */
    @Override
    public CellData convertToExcelData(Integer value, ExcelContentProperty contentProperty,
                                       GlobalConfiguration globalConfiguration) {

        switch (value){
            case 0:
                return new CellData("待指派");
            case 1:
                return new CellData("审核中");
            case 2:
                return new CellData("已审核");
            case 3:
                return new CellData("已拒绝");
            case 4:
                return new CellData("驳回");
            case 5:
                return new CellData("已撤销");
            case 6:
                return new CellData("草稿");
            default:
                return new CellData(String.valueOf(value));
        }

    }

}
