package com.daqing.framework.utils.oss;

import com.aliyun.oss.OSSClient;
import com.aliyun.oss.model.PutObjectRequest;
import com.aliyun.oss.model.UploadFileResult;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.Date;

/**
 * 阿里云oss文件上传工具类
 *
 * @auther River
 * @date 2020/9/16 15:50
 */
public class OssFileUtils {

    private static final String endpoint = "oss-on-beijing.aliyuncs.cn"; // 访问地址

    private static final String accessKeyId = "LTAICMr9msM1kJ"; // 访问权限

    private static final String accessKeySecret = "i1b4a2mtKxsXJl674mhjTEwAKQxk"; // 加密操作

    private static final String bucketName = "river1998"; //仓库名称

    public static String uploadFile(String objectkey, MultipartFile multipartFile) throws IOException {

        // 创建OSSClient实例
        OSSClient ossClient  = new OSSClient(endpoint,accessKeyId,accessKeySecret);
        if (multipartFile.getSize() != 0 && "".equals(multipartFile.getName())){
            // 创建PutObjectRequest实例 第二个参数表示上传到oss时需要指定的包含文件后缀名在内的完整路径
            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, multipartFile.getName(), new ByteArrayInputStream(multipartFile.getBytes()));
            /*如果需要上传时设置存储类型与访问权限，请参考以下示例代码。
              ObjectMetadata metadata = new ObjectMetadata();
              metadata.setHeader(OSSHeaders.OSS_STORAGE_CLASS, StorageClass.Standard.toString());
              metadata.setObjectAcl(CannedAccessControlList.Private);
              putObjectRequest.setMetadata(metadata);*/
            //上传文件
            ossClient.putObject(putObjectRequest);
            ossClient.shutdown();
        }
        // 设置这个文件地址的有效时间
        Date expiration = new Date(new Date().getTime() + 3600l * 1000 * 24 * 365 * 10);
        String url = ossClient.generatePresignedUrl(bucketName, objectkey, expiration).toString();
        return url;
    }
}
